Issue 3959 - Outline View (aka MS Word)
Outline View (aka MS Word)
Status: CONFIRMED
Product: Writer
Classification: Application
Component: viewing
641
All All
: P3 trivial with 378 votes (vote)
: ---
Assigned To: AOO issues mailing list
: oooqa, rfe_eval_ok
: 14420 17179 22903 24091 26856 70769 75386 76049 91178 106496 107464 (view as issue list)
Depends on: 81480
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 20:39 UTC by jwernerny
Modified: 2015-07-08 04:06 UTC (History)
74 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Highlight Content View icon (6.20 KB, image/png)
2015-02-19 21:00 UTC, Keith Collyer
no flags Details
Example of MS Word 2013 Outline View (94.02 KB, image/png)
2015-02-19 22:26 UTC, orcmid
no flags Details
Example of the Navigation Sidebar in Word 2013 (154.41 KB, image/png)
2015-02-20 03:04 UTC, orcmid
no flags Details
Navigator with Outline View (156.88 KB, image/png)
2015-06-07 11:55 UTC, mroe
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jwernerny 2002-04-10 20:39:19 UTC
One thing I miss when I use Open Office instead of MS Word is the outline 
view.  Basically put, all of the "Heading x" become the "bullets" of the 
outline view.  It is similar to the Navigator, but with some notable 
differences: All of the text of the document is shown and it is in the same 
window that would otherwise show the page or online view.
Comment 1 stefan.baltzer 2002-04-23 13:43:31 UTC
Reassigned to Christian.
Comment 2 oblomov 2002-07-20 12:49:18 UTC
Isn't this achieved with the Navigator, by enabling Content View?
Comment 3 jwernerny 2002-08-13 02:51:38 UTC
Navigator view is similar, but not the same.  The difference is that 
the MS Word Outline view is done in the document window and contains 
the full text of the document, not just the headings.  It also 
contains all of the font settings and fields.  Printing while in 
Outline view generates an outline style printout.

Navigator view is similar to the MS Word "Map Window", which shows 
the headings indented by level.

If you want, I can try to post some screen shots to make the 
differences clearer.
Comment 4 rsearjeant 2002-10-07 12:59:11 UTC
Hello, this is my very first contribution, so forgive me if don't 
select the correct IssueZilla stuff.

I agree completely with John Werner - I also miss outline view.  It 
is much more than Navigator, and not the same as Word's document 
map.  My main use for it is to 'brainstorm' the structure of a 
document, creating the initial hierarchy (a bit like a 'linear mind-
map' perhaps).  The fact that you can selectively elide section 
contents, and drag/drop material up/down the hierarchy is very nice.

(Apart from this missing feature, I prefer (and use) Writer - it's 
excellent. )
Comment 5 christian.jansen 2003-03-17 10:08:50 UTC
Reassigned to Bettina.
Comment 6 hesse 2003-04-11 10:53:00 UTC
I miss the outline view too. For me the mso outline view was a great
help creating legal documents during my studies. Beiing able to reduce
text on the basis of outline helps a lot. Its easy to see what you
have written above and can be changed faster then opening two windows
of the same document.
Comment 7 Unknown 2003-04-30 17:14:26 UTC
I agree that an Outliner is very important for writing structured 
documents - it is a key writing tool. I use an outline/mindmapper for 
all my notetaking and lecture prep (inspiration - see 
www.inspiration.com for info). 

There is a basic outliner in Impress - its not good, but it is a 
start, and it should be possible to reuse it in Writer.

Mike
Comment 8 hatless 2004-01-02 03:43:04 UTC
Yep, the Impress outliner has the right general behavior. Presumably, whoever
designed it was familiar with Powerpoint. The same thing is needed as a "view"
in Writer.

The other thing MS Office can do is handle the passing of outlines
bidirectionally  between the word processor and presentation tool. Opening or
pasting an outline-mode-compliant into Powerpoint gives you a cogent
presentation right off the bat, and IIRC, a Powerpoint outline pasted into Word
comes over with its outlining and bullet points intact, with the outline levels
mapping to the Header[1..n] styles.

In any case, the lack of a true outlining mode in OOo Writer is a pretty big
deficiency.
Comment 9 ingenstans 2004-01-05 10:13:26 UTC
*** Issue 24091 has been marked as a duplicate of this issue. ***
Comment 10 remote29 2004-01-05 17:41:33 UTC
I agree from what I have read that the Navigator in OO is good and equates to MS
Word's Document Map function.

What this issue suggests (if I understand it correctly) is that OO Writer needs
an Outline document view where an outline can be created, with the heading
promotion and demotion that may be available in Navigator, and where the primary
document body is entered into this same view.  Of course other details that
others have offered I agree with as well.  This is simply to supplement and give
grounds for my vote for this issue.

I think if we can just achieve this last piece in Writer, then we will have darn
near complete functionality match between MS Office and OO's Writer
applications.  This is important for obvious reasons.  All the attention of
comparing MS Office to OO's Writer is for obvious reasons.

Thank you,

Jason
Comment 11 guido.pinkernell 2004-02-09 17:59:49 UTC
*** Issue 14420 has been marked as a duplicate of this issue. ***
Comment 12 guido.pinkernell 2004-02-12 16:26:02 UTC
*** Issue 22903 has been marked as a duplicate of this issue. ***
Comment 13 lohmaier 2004-03-23 18:12:20 UTC
*** Issue 26856 has been marked as a duplicate of this issue. ***
Comment 14 lohmaier 2004-04-05 19:59:41 UTC
*** Issue 17179 has been marked as a duplicate of this issue. ***
Comment 15 jerri 2004-04-21 02:15:24 UTC
This is a major feature that is missing which prevents me from using OOo instead
of MSO, as I rely on the outline view for creating and editing my documents in Word.
Comment 16 erikanderson3 2004-04-22 07:26:34 UTC
Allow me to weigh in here as well.  MSO's Outline is extremely helpful in a
number of important ways.  The Navigator comes close to covering these, but the
interoperability with the presentation tool, and more importantly the ability to
fold text sections right there in the main window, are notably missing.  

Happy two years for this request...  :)
Comment 17 erikanderson3 2004-04-22 07:27:50 UTC
For a better description of the missing outline capabilities, look to duped
Issue 24091.

Cheers,

Erik
Comment 18 dwig 2004-04-22 18:02:23 UTC
Issue 24091 describes three desired functions, of which two already exist
(although they could be made more usable and clearly available).  The missing
piece is the ability to collapse/expand outline subtrees.  This, I think, could
be done (at least in a basic way) in a macro, since there is the ability to hide
text.  You'd want at least macros for "show/hide all", "show/hide all below the
current item", "show the top N levels", "show the top N levels below the current
item".
Comment 19 sophia 2004-05-03 11:59:21 UTC
Here is why I think the 'outline' feature should be the number one feature
planned in OOWriter :

1. Outline view allow the user to focus on the content. This goal is very
different from the goal the navigator was designed for. Only the hierarchy and
the content is managed in the outline view (no layout here). Not only the titles
can be viewed, also the content of the sections.

2. Outline view is a cognitive tool. It achieves to represent the growing
heuristic which comes from the user thought. Because it express the ideas of a
user, those ideas can be shared with other users.

3. It is a zoomable interface since sections can be reduced and expanded as
needed. This offer a kind of fisheye view which allow the user to be more
efficient in building a document.

4. It is the only feature I think wordprocessor offer more than LaTeX tools (up
to now). If word processors don't have the outline feature, I prefer LaTeX.
Comment 20 sophia 2004-08-08 12:17:17 UTC
Not fixed on 1.1.2 version. Thus, I always use Microsoft Word.
Comment 21 lohmaier 2004-09-23 22:07:42 UTC
reassigning.
Comment 22 jrlogic 2004-09-29 04:54:50 UTC
I write for books and design documents. The outline view is imperative to 
accomplishing this. I've been stuck with MS Office because it is the only 
editor I can readily switch between an outline view and a document view with 
proper promotion of headings.

As of version 1.1.2 I still have to boot into Windows to work. If I weren't so 
busy with other free software work, I'd offer support to implement this 
feature. For now, I will have to get my $$ worth from MS Office instead of 
recommending/using OOo.

Just my de-valued $0.02 ...
Comment 23 madbop 2005-08-15 15:49:59 UTC
As discussed in issue http://www.openoffice.org/issues/show_bug.cgi?id=24091
there is some functionality missing in navigator, that can be found in the
outline view of MS-Word.
I personally like the navigator view better, since the user can easily surf the
structure and view the content simultanously (and it covers the nasty space that
is left by the "single page view only" of OOoWriter.
However the improvements could go as far as implementing a mind map
(http://www.openoffice.org/issues/show_bug.cgi?id=53295) or just integrate a
nice user interface to build structured content by assign <return> <insert>
<delete> and tab in conjunction with modifiers and the cursor keys to easily
-insert-, delete and manipulate the structure "on the fly". (with a warning if
more then only the headline is removed)

A 2D view would be an advantage to MS-software of course, but for the first step
just a rework of the user interface in navigator would help.

Here also a direct link between navigator and content to scroll the content
window immediatly would be strongly appreciated. (=content view which also works
the other way around: moving inside the navigator moves the content too, without
having to click return - which removes the focus from the navigator BTW)
Comment 24 mgl_linux 2005-09-03 19:33:06 UTC
After thirty years in industry writing letters, reports, documents and books,  I
can honestly say that the OO writer application is best suited to writing simple
letters.  However, if you want to penetrate industry and the more complicate
forms of documentation that is generated in workshops, meetings, and
brainstorming sessions, then you will have to accelerate the introduction of the
Micorosft "Outline View" into your product development cycle.

Even before word processors became commonplace, writing courses taught the
outline view (e.g. two column sheets, prioritization of ideas, expansion, then
rewrite on a clean sheet) as a means of getting over writer's block and
generating the first level of ideas.  It then made it easier to restructure
those thoughts. 

You need to get OO Writer out of the word processor framework and into the idea
generation and development focus by accelerating the introduction of the Outline
View into the product.  Otherwise, very few serious writiers will make the
transition to your fine product.....myself included.

mgl

Comment 25 chenbichao 2006-01-27 16:42:51 UTC
In my view, I do more appreciate the functions in OpenOffice Navigator, 
because the headings, the outline views can be easily covered by the keyboard, 
and Navigator does give “Headings”, “Sections”, “References” and 
“Indexes”, which are all useful functions for editing. Besides, Navigator 
does include “Draw objects”, which embeds the drawing objects inside a text 
file. 
In addition, OpenOffice can not copy all the features from MS office, it does 
have its own advantages. 
However, this is very helpful in improving OpenOffice to open such kind 
discussion. 
Comment 26 kloker 2006-03-05 13:41:53 UTC
I'm no professional writer, but nevertheless I find this feature to be of
paramount importance. I have tried quite hard to use the navigator, but it's not
good enough. For now, I actually take out my old iBook with MS Word 97 installed
everytime I have to write a "heavy" document.

I'd willingly pay for someone to solve this, rather than paying for a copy of MS
Word.

This issue will soon celebrate it's fourth birthday, maybe we can have it solved
before that?

Erik Hedberg, 
Swedem
Comment 27 trollineto 2006-05-29 09:14:19 UTC
Outline view or navigator enhancement is needed !

It must be able to write and edit the structure of a text, not only make some
cosmetical modifications : Navigator is able to move a -only one-
heading/chapter. But it's really not enough...

Two examples : 
- Building of a text from scratch : quickly arrange your ideas !
- Working with an exhaustive text template : use it as base of work and erase
the not needed headings/chapters in the 'framework view'.
Comment 28 graylion 2006-05-29 09:23:00 UTC
In a lot of cases i start writing a major document by arranging my ideas in the
outline view and using that as my chapter headings as I go. the MS Word outline
view is perfect for the purpose and OOO is sorely missing in this regard. I have
been known to use Word just for this purpose and then switch to Writer for the
actual text.
Comment 29 dwig 2006-05-31 03:50:15 UTC
The most full-featured outliner I'm familiar with is part of the Ecco Pro PIM. 
A summary of its outlining functions and capabilities is at
http://www.compusol.org/ecco/outlining.html.  I'm not saying OOo should go that
far, but it's worth having a model like this in mind when designing the outline
mode.
Comment 30 masbak 2006-05-31 11:31:31 UTC
Hi all.
I completely agree with this issue.
I work in a small architecture office and I've tried to make them use Ooo.
Almost everyone found it great, but it's been a complete failure only because we
could not manage our big documents the way we wanted.

For us, the main feature missing in the navigator of Ooo is the ability to
delete an entire chapter by selecting its title.
We often write charge books, which are basically big texts from which we delete
unnecessary chapters.
We're going to switch back to MSO and pay new $$ licences because we want to
keep just one single system in the office.
Comment 31 michaelvd 2006-05-31 11:40:07 UTC
Masbak, that is not the issue we are talking about here.

What you want is perfectly possible using the "navigator" (press F5 or the
navigator icon to bring it up, or read the help files about the navigator). This
is a great tool for managing large texts with chapters, etc...
Comment 32 masbak 2006-05-31 11:56:02 UTC
??? Sorry . What I mean is that the navigator is cool for managing great lines
in a big document, but should be more content-orientated, as it is in MSO. If
someone knows that feature i talk about higher (ie : deleting chapters by the
navigator) please tell me, tell us all. Otherwise I'll try a new issue.
Comment 33 michaelvd 2006-05-31 12:20:31 UTC
Sorry, you're right. It is possible to move a title in the navigator, which will
move all related paragraphs with it, but it is not possible to delete a chapter.

A (not very elegant) workaround for your problem would then be to move all the
chapters you don't need to the end of the document using the navigator, and then
manually delete everything at once.
Comment 34 masbak 2006-05-31 13:18:22 UTC
Okay, thanks. That's how I manage it by myself.
But indeed it's not really the best way: because as you put them back at the
end, you quickly get lost in your document, for your cursor moves with your
chapter and you can only select one chapter at the time in the navigator.
This is especially hard to experience when your document is composed of 600
chapters.
I found it hard to explain to a bunch of hysterical architects-on-speed i happen
to have as colleagues. (understand me : I like them though).

That's too bad because OooWriter looks perfectly like it's made to manage large
documents: easy and obvious style manager, stability, small file sizes, even all
the features of the navigator...
The only thing not cool is the uneasy way to link structure and contents by the
navigator.
Comment 35 koppie 2006-10-17 05:29:02 UTC
Another missing element of the Word Outline View is the fact that when you start
a new paragraph, it maintains the outline level.  In OOo, it reverts to plain
text every time you hit "enter."  You can edit your styles so that it keeps the
same style, but it forgets your changes every time you quit.

This part of the problem could be solved with a more robust style manager, one
that remembers your changes.  (Is there already a way to do this?  Did I miss
something?  Please let me know.)
Comment 36 lumbercartel 2006-10-18 19:12:32 UTC
I think it's time to kill this one.  Four and a half years, and it's all a
matter of writers saying they need it but no coders offering to actually
implement it.  Put another way, it's not going to happen.

It's not even on the wishlist/roadmap.  It's dead, Jim.
Comment 37 koppie 2006-10-18 19:49:49 UTC
I disagree.  If we get enough votes and this item rises through the ranks, it
might eventually get the attention it deserves.

In the mean time, it doesn't hurt anything to keep this item open.  It's not
like we're running out of room on the web, right?
Comment 38 russc 2006-10-18 20:45:44 UTC
The absence of this feature is a show-stopper for me. When I discovered it was
missing, I stopped even investigating what else the app could do, because it
doesn't matter. I can't really switch from MSO if I don't have the efficient way
of working in big structure documents provided by outline view.
Comment 39 mglowy 2006-10-19 06:20:05 UTC
I agree that OO will never make a major dent into corporate and business (and
then the home user) unless they take the need for an Outline functionality
seriously.  

I will have to stick with MS Office for the distant future until someone wakes up.

OO would become a major player if people could have the same functionality.  
After all Mozilla Firefox and Thunderbird did not make major inroads without
delivering something more, not something less.


Comment 40 cdunham 2006-10-19 13:08:05 UTC
Just a point, because we're talking here. I don't think this issue is just about
equivalent functionality. It's about minamally-required/expected functionality.
Fussy point, I know, but I hate to see oo be just a clone, when it could be so
much more. To that point, why just stick with the minimal functionality? There
are some great ideas that have been discussed here. It would be a shame if they
were lost.

Of course, what code have I contributed? None, so I have a limited right to
complain. Just like most of you, I'm someone who has an interest in seeing oo be
something great, not just a knock-off.
Comment 41 overshoot 2006-10-21 03:45:30 UTC
I'm not suggesting that outlining isn't important -- in fact, I agree that it's
a show-stopper.

However, I've been tracking the votes on this one and it's never gotten into
triple-digits and it's never even gotten a developer to remotely consider it. 
It's not even on the "version 4.0" wish list.  Let's face it -- as important as
it may be to writers, the writers who count don't do outlining -- C has only two
levels of context and you don't need an outliner for that.

I'm not saying it's not important, I'm just giving up and wasting my votes on
something that has a chance of getting implemented sometime before I die.
Comment 42 russc 2006-10-21 16:49:54 UTC
"the writers who count don't do outlining"...  Hmmm. This raises some
interesting philosophical issues. Are the "writers who count" the folks who are
so generously donating their time and talents to write the app or are they they
the end users who (hopefully) will use this as a tool? (Obviously both, in
different ways.) The history of software development is littered with countless
applications that have died nearly unnoticed because the developers didn't pay
enough attention to what users wanted or needed. Does anyone know what
percentage of contributors to this forum (i.e., voters on issues) are developers
and what percentage are interested potential end users? It would be a shame if,
after so much investment of effort by so many talented people, OO fails to
achieve widespread use because not enough user voices are getting heard.
Comment 43 jwernerny 2006-10-21 19:55:40 UTC
It's still not in there, but I am not ready to give up hope.  There was another
issue a while back with the quickstart icon which the developers tried to
ignore.  Eventually, there were enough votes that they decided to reverse their
decission.  It took a while, but it did happen.

The best thing I can say for now is that if you care about this issue, make sure
you have voted for it.  I've put my two votes in, and I would put more if I could.
Comment 44 michael.ruess 2006-10-24 11:38:47 UTC
*** Issue 70769 has been marked as a duplicate of this issue. ***
Comment 45 jaypel 2006-11-16 23:31:50 UTC
-- I agree with all discussion to date, re critical need for outliner (a.k.a.
idea processor).  An idea processor is next level up from word processor. 
Apparent lack of this capability in OOo kept me using MSW much longer than I
would otherwise have done.  

-- Below are comments to summarize the above & synthesize with my
thoughts/experience over the last few decades of using various outliner
capabilities. (MSW & Power Point not as good as some earlier, DOS based
applications.)  Much of the infrastructure to support capabilities as described
would appear to already be in the woof and warp of OOo.  Other code elements
have been out there for a long time, such as for the ubiquitous tree structure
file exploration viewer paradigm (see "Methods to open/collapse" below).

-- The outlining function is a means to help create, manipulate, and edit ideas
and how they are structured into a whole.  The word processor function provides
for the expansion of the ideas into text (the "leaves" on the outline "tree"
structure).  Together they from a creativity suite in combination with other OOo
components, such as text formatting, embedding of images, charts, graphs,
diagrams, tables, etc.  ((Once a document is created to the authors'
satisfaction, the availability of publishing capabilities are important (in
various forms such as print, html, pdf, LaTeX, etc.) -- but that's another
subject.))

-- Methods to open/collapse of outline sections should include: 
--- by clicking on navigator open/close indicator/symbol/icon (normally +/- sign
in most viewers); 
--- by clicking on outline level toolbar indicator (i.e. all sections to level
'x'); and,
--- by scrolling thru using cursor up/down (where all sections above & below
currently active one collapse; current one opens to level of currently active
line) -- this is for reviewing overall flow of text to ensure good logic and
idea transitions.
--- possibility to use for structured programming (ex: Pascal, LISP) & XML
exploration/editing/creation

-- Outline numbering/labeling schema should include (at a minimum): 
--- "decimal" (a.k.a. "legal") numbering -- already used internally by navigator
for reference) -- excellent for reference for collaboration about a document;
--- standard formats used in school/education (ex: levels indicated by Roman
Numerals, Capital letters, Arabic numbers, lower case letter, use of
parenthesis, etc.)
--- "roll your own" (individually created schema that can be shared with others
in the spirit of Open Software)

-- Content manipulation capability should include: 
--- collapsing an entire section to move/delete/copy/paste en masse by
grabbing/highlighting the section header.
--- promote/demote of single lines or en masse with lower level sections under them

Comment 46 archiesteel 2006-12-08 02:21:50 UTC
I wholeheartedly agree that the Navigator, while well-done and a good idea, is
not the same as directly editing the outline in MSWord's outline. This feature
should be added, if only because new users coming from Word who use the feature
often will be turned off by not finding it in OO.o and may switch back. I
seriously think it is hampering OO.o's adoption rate.

OO.o 2 is a beautiful, powerful program, but it can't afford dealbreakers like
this one. I know users for which this tool, as it is in MSW, is more important
than spellchecking...

So I add my vote and my voice to support the inclusion of Outline mode in OO.o.
I'd even be ready to contribute to a bounty for it, if there was one.
Comment 47 lllactive 2006-12-08 16:56:04 UTC
The features of an Outline Tool as used in M$Office-Word does not seem to be
available in OO-Writer. Features I used a lot in M$Office-Word can be a
guideline of what is needed: 

1. singling out and display all the items at the top level of the
hierarchy, or any other level, blending out the lower levels
2. showing the subheads under a major heading, or including only the
first sentence
3. hiding and revealing the subheads under any particular heading, while
remaining in the higher outline displayed, and you only see the subheads
of this particular heading
3. easily move an entire section of your outline (not as easy with OO as
with M$)
4. record notes within your evolving structure, which can be printed as
hidden text on the bottom of the text or as an addendum. It is not the
standard referencing that OO also does as foot or end notes. These are
notes that contain comments and references in research that is for the
author and is not part of the normal document.

More info on applications at: http://en.wikipedia.org/wiki/Outliner 
It would be a big plus to have OO-Writer do Outlining like M$-Word, especially
for researchers, writers and students (the up and coming decision-makers on what
office products will be purchased in companies). 

Al (LLLActive)
Comment 48 lumbercartel 2006-12-11 21:47:35 UTC
archiesteel, lllactive: You're right, and you're echoing comments made by all of
us over the years.  This particular issue has now passed its fourth anniversary
and is (IIRC) the third-highest vote-getter of all enhancement requests.

It's also not on the roadmap, and appears unlikely to ever *get* on the roadmap.

I think we can safely conclude that the only way to get outline mode is to write
your own and somehow get the patched version to build.
Comment 49 dwig 2006-12-11 22:14:09 UTC
lumbercartel says: "I think we can safely conclude that the only way to get
outline mode is to write your own and somehow get the patched version to build."

I've wondered how much of the desired functionality one could get using OO Basic
macros.  It might not be the whole enchilada, but it wouldn't need any special
development environment or C/C++ skills, either.  Perhaps if someone (or
sometwo...) could come up with a macro-based prototype, it'd move some developer
to take it further.  I'd give it a go myself, if I had any free time.
Comment 50 liotier 2006-12-27 13:36:27 UTC
Some comment about lack of outline mode in Openoffice Writer :
http://serendipity.ruwenzori.net/index.php/2006/11/05/openoffice-outline-mode
Comment 51 Mathias_Bauer 2007-02-02 11:00:45 UTC
Thanks for all the suggestions. It took me quite some time to read and
understand everything written here. :-)

I tried to condense and structure the discussion done so far and my first
attempt can be read at

http://wiki.services.openoffice.org/wiki/Writer_Views

I hope it gives you some understanding why such a feature is quite some work to
do and what must be done in Writer before we could even start. I agree with
everybody here that this is an important feature and so does the whole team.
This is one of the bigger features that we will try to implement as soon as some
resources will be available.
Comment 52 graylion 2007-02-02 11:12:04 UTC
Can I say finally!

thank you very very much, this is very encouraging. What I really like is your
idea of being able to have 2 views of the document (and that should be any 2
views) open at the same time, that could be really nifty and would work well on
a widescreen monitor.
Comment 53 liotier 2007-02-02 11:36:45 UTC
Thanks mba for your very encouraging comment. Not only did the OO team listen,
but their ambitions go beyond the requests. I am going to eagerly follow the
development of those ideas !
Comment 54 Mathias_Bauer 2007-02-02 11:52:52 UTC
Thanks also :-)

I want to make clear that my comment wasn't a promise that we start to work on
this immediately - we are just busy with other also important things (bug
fixing, ODF support, OOXML filter etc.). But I wanted to let you know that the
whole Writer team agrees with you that the Outline View is one of the most
important missing features in Writer. Unfortunately it is quite some work to do,
especially if you don't want to just hack the feature but develop an improved
Writer view concept. So my plan is to implement the necessary preconditions
mentioned in the wiki as soon as time will permit and then start writing the
specs. ATM I can't tell when this will happen, so please be patient with us.
Comment 55 liotier 2007-02-02 13:04:24 UTC
I am aware that acknowledging the requirements is only a first step, but it is
an essential one and I am glad that it has been taken. If you need help writing
the specs please let me know - I am not aware of OO's internals but I can help
at the functional level (writing functional specifications is part of my day job).
Comment 56 pbootsma 2007-02-15 12:04:20 UTC
As a management consultant, I'm a daily user of the outline view in MS Word.
It's an excellent tool for brainstorming with groups, using a data projector. I
also use it for agenda's in meetings and for keeping documentation of smaller
projects together in one file. I've made it a habit to give each level a
specific color and font size so the visual appearance is easily recognized and
easy to navigate. The absence of such an outliner in Writer is the only thing
holding me back from migrating to OO. So I'm really happy the Writer team is
picking this up. Give it your best! And count me in when any help is wanted from
the users community.
Comment 58 michael.ruess 2007-03-14 15:13:01 UTC
*** Issue 75386 has been marked as a duplicate of this issue. ***
Comment 59 qwertyscar 2007-03-15 11:21:36 UTC
It could be necessary for university thesis, my reference professor asked me to 
use it.
Comment 60 qwertyscar 2007-03-15 11:21:40 UTC
It could be necessary for university thesis, my reference professor asked me to 
use it.
Comment 61 dmelgar 2007-04-02 22:19:20 UTC
Outline view is the major function which is missing from Open Office which prevents me from using it. 
If this feature was present, my organization at my company would likely be able to use open office. 

There are a range of things that MSWord outline view accomplishes which navigator does not. 

My usecase is where you are creating a document. Outline view provides a hierarchical editor. You can 
quickly type in an outline of your document by entering headings. You can easily change the heading 
level by tab, shift-tab. You can then enter text as you'd like within a heading. You can collapse the 
section so that you only see the heading. You can move sections around... I know navigator can do this, 
but its more seamless when you're still in the same document view. You have good control over what 
you see within the document, you can view all headings at any particular level or above. 

Another analogy is that many programming editors have the equivalent ability to expand and collapse 
code while you're looking at it, at least Eclipse does. If you can see all relevant code on the screen at 
once, you're more productive. Collapsing irrelevant sections or comments helps you compress the code 
so that important sections can be seen at the same time. 
Same idea in a document. MSWord allows you to collapse sections that you're not currently working on, 
while letting you leave expanded sections which maybe pertinent or that you're trying to work on. 

Another perspective... navigator view to me seems more like a dynamic table of contents. Its useful 
when someone is reading the document or if they want to make large scale reorganization. To me its 
not very useful when originally creating the document or to let you get a handle on a large document 
that you're actively writing new content. Its analagous to listing methods of a class. Its useful for using 
the class, but if I want to see what a couple of sections of code do, so that I can make sure they work 
together, I want them expanded and everything else collapsed to reduce clutter as I move around the 
file. 

I don't usually spend any time on this website because I don't use OpenOffice. I tried for several weeks 
a few years ago but found that I needed outline view and it wasn't worth losing it. I've seen a request to 
support outline view which is years old. Google search finds several posts from people adamantly 
asking for it, with responses usually telling folks to use navigator view. The impression is that the 
OpenOffice community has made up its mind that outline view is not useful, that navigator is good 
enough and it seems hard to change that viewpoint. 

It may well be that this is just my personal (or my organizations) must have feature. My assumption has 
been that OOo is pretty full featured otherwise. Maybe I'm wrong and there are other features that I 
don't realize are missing that are even higher priority, I haven't gotten that far. We also heavily use 
comments and change tracking. And of course read/write compatability with Office documents is 
critical. 

My area strongly embraces open standards and we'd therefore like to use Open Office instead of MS 
Office, but can't as stated above without outline view. 
Comment 62 aexl 2007-04-03 10:37:53 UTC
Dmelgar has explained the importance about outline view much better than i could
(thank you), i can confirm his experiences.
Also, when doing Trainings, Users again and again ask for outline mode.
I dont try to sell them Navigator, it's just not what they want.

Comment 63 aexl 2007-04-03 11:05:50 UTC
in the light of some of the preceding posts i have filed issue 76049 as a
request for clarificytion:
--------------------
Outline editing mode (like MS Word)

OOo should haven an editing mode with collapsable sections.

This is related to issue 3959, but NOT a duplicate, because issue 3959 asks for
an outline VIEW, which in fact is there in navigator.

So i kindly suggest to change the subject and summary of issue 3959 to reflect
that it is about editing.

Alternately please reopen issue 26856, which asks for editing.
Comment 64 Mathias_Bauer 2007-04-03 11:19:51 UTC
aexl: I think everyone meanwhile understands this issue as an RFE for an
editable outline view. So though I value your effort I think we shouldn't add
more issues about this. So if you don't mind I indeed would like to close your
issue as duplicate.

@all new commenters: Please read my last comment where I pointed to some
conceptual considerations about an outline view in Writer. It explains why we
need to do some work before we can work on such thing.
Comment 65 Mathias_Bauer 2007-04-03 20:02:41 UTC
*** Issue 76049 has been marked as a duplicate of this issue. ***
Comment 66 cmulloy 2007-04-09 15:49:48 UTC
I agree with all of the comments above that Outlining is the remaining ‘killer’
functionality missing from OpenOffice. 

As an additional enhancement I would like to suggest that outlining be combined
with Mind-mapping functionality(see Wikipedia article:
http://en.wikipedia.org/wiki/Mind_map, there are several good GPL projects e.g.
VYM, Kdissert) as it is better than outlining for brainstorming large conceptual
projects as it allows one to graphically structure the the thinking process and
even add text to headings. 
Mindmapping, according to research, directly replicates the way the brain
generates, synthesises and connects ideas. The structures from a mind
mindmapping could be transfered to Outlining mode for further refinement or
directly into an OpenOffice odt. This present schema is available in Windows XP
using Mindjet (www.mindjet.com) with an ability to export the ideas structure
into MS Word which can be either manipulated in Outline mode or Document mode.

Mindmapping is also a powerful tool for generating presentations. Again Mindjet
links to MS Powerpoint so that structured ideas can be transfered rapidly to
presentations. 

Linking mindmap structutres  to outlining and documents would become a powerful
tool that exists nowhere else at present.
Comment 67 bhaskara 2007-05-08 17:30:36 UTC
This may sound like a crazy idea, BUT I will put it out anyway. Kdissert
(http://freehackers.org/~tnagy/kdissert.html) is a tool that can convert a tree
hierarchy to a document outline but not the other way round. It is extremely
useful to visualize the outline of documents. Currently, the branches of the
tree cannot be collapsed and one has to view the tree in its entirety. 

I was wondering if  "outline view" could be implemented in OO such that clicking
on some button could open up a new window and display a visual representation of
the outline tree. This visual representation MUST be collapseable to user
defined depth individually on different outline branches. If this visual
representation of the outline can be linked to the document, the users can
simply see this visual representation of the outline and navigate the required
part of the document by simply clicking on the required outline tree branch.
This would not require any changes to the way a document is displayed and
visualized, which I believe is what is requires lots of work on part of
programmer to implement outline view. The linking from the tree to the document
contents would be not different from a cross-reference. 

It is not quite the same as outline view that users are requesting for, but I
think this is much more powerful as gives a visual representation of the outline
view. Ofcourse there will be limitations on what can be displayed in the visual
tree outline. 

Comments, suggestions ?

-G
Comment 68 bhaskara 2007-05-08 17:43:52 UTC
Obviously I didn't read the previous post. It is nice to know that this has been
though about previously.

-G
Comment 69 bhaskara 2007-05-08 18:02:26 UTC
Couple of points I forgot in my previous post.

The visual representation of the outline view could be editable, i.e., if one
could add new branches to the tree outline in the visual representation, it
would be useful for brainstorming sessions as MANY users have pointed out.
Deletion of leafs or entire branches may be more complicated as there may be
content under that outline. A simple user controlled setting may prevent user
from doing silly stuff ....... you guys know what I mean. 

-G
Comment 70 xela0000 2007-05-15 19:34:39 UTC
>> Opened: Wed Apr 10 19:39:00 +0000 2002

Happy 5th anniversary issue 3959!
Comment 71 bhaskara 2007-05-16 03:53:24 UTC
could any developers/designers please let us know what is the current plan to
address this issue ?  Any updates would be highly appreciated.

-G
Comment 72 Mathias_Bauer 2007-05-16 09:53:55 UTC
please read my comment from 02-02-2007. That's the current state. 
Comment 73 lllactive 2007-09-21 10:06:03 UTC
Looking at the wiki (http://wiki.services.openoffice.org/wiki/Writer_Views), it
seems there is no reference to this issue #3959

Can't see any progress yet on an Outliner in OO-Writer on this Wiki Site.

I have now gone back to M$ Word with a sore heart, because there is no really
workable replacement in Linux yet; pity ... but I have to work on some research
papers where an outliner is absolutely required for the amount of material.

.
Comment 74 ryan_ 2007-11-21 07:21:08 UTC
I think I have a good solution, but I am not a coder myself. Since it has been
made clear that substantial changes need to be made to Writer before this
feature can be implemented, how about this?<a
href='http://freemind.sourceforge.net/wiki/index.php/Main_Page'>FreeMind</a> is
an open source mind mapping software written in Java. It has improving but
limited abilities to export to OOo Writer. Recent developments allow one to add
meta-data (attributes) to nodes.

If an OOo developer could enable importing and exporting of FreeMind maps, I
think most people would be happy. The reason I think this could work so well is
the meta-data could be inputted (in FreeMind) to correspond to OOo Writer
styles. This would mean a map could be imported and exported, whilst maintaining
the structure - making the most of both programs' structuring features.

This functionality would not push users away from OOo Writer, to mind mapping
software. It would encourage many 'wannabe'  Writer users back to the fold,
because they could integrate their favourite process. 

Currently I use Writer, briefly, after writing the document in FreeMind, to
print and archive documents. But I can't (easily) make use of styles because all
the work has already been done. After exporting I am left with a 'flat
document', the text is there but all the structural elements (physical styles,
meta-data, sections, subsections, etc) are removed. This means I am reluctant to
export to Writer at all, but it is a necessary step. I would <i>like</i> to 
integrate Writer into my routine more productively.
Comment 75 jpfisher 2007-11-21 17:47:12 UTC
Ryan I think this is a very interesting idea. I have only glanced at FreeMind, I
know nothing about it under the covers, so I can't comment on the intersection
of OO and FM. But treating this outline structure mod as a plug-in that operates
on the xml of OO might be the trick to getting past the disruptive nature of a
straight addition to the OO code tree. 

OO coders, is it possible to make a plugin that can manipulate blocks of text in
an outline view? Maybe if you give up on the requirement to be able to cut and
paste, and just implemented a hierarchical view of the text? "code folding" in
the code-editing app KDevelop is an example, the other editors must have the
same feature too. OH BTW it has to work with master-sub documents too.
Comment 76 Mathias_Bauer 2007-11-21 20:45:18 UTC
Leaving out the Cut&Paste functionality doesn't make a difference. The
complexity of this issue is:

- we need to ability to have multiple layouts per document (this will be ready
for OOo3.0)

- we have to implement a complete new layout algorithm as the outline view is
totally different to every other layout we currently have

As this is not possible for 3.0 we don't invest time here and save it for the
many other useful and requested enhancements like the multiple page view that is
already under heavy development. And some other nice things like new "notes",
cross references to headings, improved outline numbering, ODF 1.2 and many more.
Comment 77 rmattb 2007-12-09 06:12:00 UTC
I echo the other excellent comments, especially those of  ryan_ Wed Nov 21
07:21:08 +0000 2007
Outlining is the single feature that prevents me from using & recommending the
entire OpenOffice suite.  I would put all 5 of my votes here if that were possible. 

I would also contribute money toward this feature, if there were a way to do
feature-based funding for OpenOffice.  (I realize that could be problematic, and
has probably already been discussed elsewhere.)

I also plan to use this with mind maps, but no need to build that into OO, since
the format can be imported/exported into other tools.  The most promising I've
seen lately is one that lets many people edit on the web simultaneously(!),
Mindomo.  [I have no relationship to Mindomo, just like what they're doing.]
Comment 78 peterbobroff 2008-02-06 03:35:52 UTC
I fully agree with the recent comments. As much as I detest MS Word, without a 
comparable outline mode, OO Writer is of no use to me. 
Comment 79 ryan_ 2008-02-12 11:21:22 UTC
Thanks to all the people who took the time to respond to my comment. I apologize
for the length of this comment but hopefully it is well argued. 

I think what I had in mind was somewhat simpler than some of the follow-up
comments.  I think Writer should be able to import and export FreeMind maps. I
feel this functionality would provide great benefits for Writer users, and would
be a great selling point for Writer too.

Let me explain. Professor Allin Cottrell from the Department of Economics at
Wake Forest University wrote this great online piece from which I quote
(hopefully this is fair use):

8<----
Preparing printable text using a word processor effectively forces you to
conflate two tasks that are conceptually distinct and that, to ensure that
people's time is used most effectively and that the final communication is most
effective, ought also to be kept practically distinct. The two tasks are


   1. The composition of the text itself. By this I mean the actual choice of
words to express one's ideas, and the logical structuring of the text. The
latter may take various forms depending on the nature of the document. It
includes matters such as the division of the text into paragraphs, sections or
chapters, the choice of whether certain material will appear as footnotes or in
the main text, the adding of special emphasis to certain portions of the text,
the representation of some pieces of text as block quotations rather than as the
author's own words, and so on.

   2. The typesetting of the document. This refers to matters such as the choice
of the font family in which the text is to be printed, and the way in which
structural elements will be visually represented. Should section headings be in
bold face or small capitals? Should they be flush left or centered? Should the
text be justified or not? Should the notes appear at the foot of the page or at
the end? Should the text be set in one column or two? And so on.

The author of a text should, at least in the first instance, concentrate
entirely on the first of these sets of tasks. That is the author's business.
8<----

Available: http://ricardo.ecn.wfu.edu/~cottrell/wp.html

Now I don't take quite the hard line that Prof Cottrel does regarding word
processors. Writer is extremely powerful for (2) and it can do much more than
mentioned in the quoted paragraph. However FreeMind is the most powerful tool I
have been able to find for (1) - more powerful than a standard outliner because: 

(i) Every paragraph/element is a node. 
(ii) Maps can be filtered using attributes, e.g., you can display only
quotations, or only paragraphs that need cleaning up, etc. 
(iii) Users can add icons and physical styles so as to be able to immediately
distinguish structural elements e.g. quotations, sections and subsections. 
(iv) You have granular control over the display of your data. No other program
lets me view all of section 1.2, section 3.2.4, headings only for sections 5 &
6, and my notes/spare prose on another node - *all in the same window.*. 
(v) All these elements can be dragged and dropped to anywhere else. To move a
paragraph up in FreeMind, I press control+up.

To conclude, FreeMind import/export—for which a lot of the work has already been
done by the FM developers—would promote the use of FM for mode (1), and Writer
for working in mode (2) as well as heaps of other stuff, including indexing and
the eventual archiving and exchange of the document. FM import/export would
provide this power to Writer users quickly, and without the need for extensive
work on Writer. 
Comment 80 aexl 2008-02-12 11:40:05 UTC
@ryan_:
i really like the freemind idea.
but i feel it deserves its own issue.
(let me know its number so i can vote for it ;-)
Comment 81 jpfisher 2008-02-12 17:39:03 UTC
RE Freemind, I really worry about feature bloat in an app which is already huge.
There is an open document standard and OOo is dedicated to it, and Freemind (and
other apps) are very likely to adopt the open standard as an export choice. I'd
prefer to keep the Freemind interface in Freemind, and import/export to odf (or
whatever its going to be) In other words let Freemind be Freemind, Dreamweaver
be Dreamweaver, and Writer be Writer. I will say that my needs turn Ryan's
inside out: I am not so interested in a mind-mapper to help me think, as a
multi-layered hypertext presentation system thats helps my readers think.
John
Comment 82 ryan_ 2008-02-13 12:20:43 UTC
Thanks for the feedback, gents. I hope I don't come across as a FreeMind zealot,
I just believe that better integration between the two programs would cater to a
lot of people's needs - and quickly.

@aexl:
I might open a new issue, I will see what feedback I get here first.

@John (jpfisher):
I thought someone might bring up the issue: 'if the FM team (or devs of any
other program) are working on ODF export, what is the point of OOo team adding
the import functionality?'

My thoughts are that FM offers all of the functionality requested in this thread
- and more. It can export to OOo to a limited degree.

But OOo does not offer this functionality, FM does. So by providing FM
import/export the OOo team symbolically and practically offer this
functionality. (Plus the OOo team are the kings of file format compatibility).

A large proportion of FM users use OOo (I would guess), but probably only a
small percentage of OOo users use FM. Lots of people might like a solution that
is sanctioned by the OOo team. And anyway, the way things are currently, people
are either going without, or using a rival product, or mixing a couple of
solutions (as I do).

One last point--and I promise this will be my last long post--imagine if
Microsoft bought Mind Manager and included it in MS Office. This would be a
great move on MS's part, and other suites would be scrambling to catch up. OOo
could lead the way...

Ryan
Comment 83 dwig 2008-02-13 17:53:02 UTC
Ryan,

While interoperability between OOo and FreeMind is no doubt a good thing, maybe
the best approach initially is to leverage the extension capability of OOo (see
http://wiki.services.openoffice.org/wiki/Extensions) to do it.  That way, the
core product isn't burdened with yet another feature (and the developers with
one more thing to have to maintain), but a usable connection between the
products can arise.  If you have time and some scripting ability, I'd say go for
it!  If not, maybe you can use your enthusiasm to persuade someone with the
ability to take it on (maybe one of the FreeMind developers?)
Comment 84 stevepowell99 2008-02-14 09:35:11 UTC
freemind interoperability is a fine idea. But sorry, what we are talking about
is not a nice feature to be able to import/export from/to another format. We are
talking about basic functionality which anyone working on longer or highly
structured documents needs every other minute of the day. If oo.org doesn't want
to "get it" just because Microsoft does this particular feature much better,
that is a shame. Please, don't relegate the original issue to some import/export
extension. Outline functionality needs to be right there in the middle of
Writer. It doesn't have to be a clone of Word; it could be different and better.
Comment 85 mgl_linux 2008-02-14 16:33:53 UTC
I agree with stevepowell99.  If you guys with the intelligence and ability to
create OO cannot create an outline feature then don't clutter up the writer's
creation process with another layer of import/export functionality.  The
"outline" view that Microsft offers is too important a feature to screw up in
oo.  Rather, it is better to use Word for creation purposes and then later, if
need be, you can import it into OO do not any last bits  (....but by then, why
bother?).

This request has been on the books for years and is still not seen a hold-up in
making OO a primary tool for all serious documentation.
Comment 86 ryan_ 2008-02-14 19:34:26 UTC
@dwig
Good suggestion. I have no scripting ability myself, but would be willing to put
some money towards such an extension.

The FreeMind devs are very busy. I just tested the new beta and export to Writer
is very good, it even has limited support for styles. But there is no import, so
one doesn't get that really fluid mobility that makes such a difference.


@stevepowell99 & mgl_linux
I'm sympathetic to what you guys are saying. But as it is the case that OOo
doesn't have this functionality--I would guess that you are already using a
different product.

The OOo devs are committed to providing this functionality, but to give an
uneducated guess--I'd say we're looking at 5 years. I was just trying to suggest
an alternative.
Comment 87 nord73 2008-02-22 01:57:15 UTC
Many of those suggesting a export/import plugin/add-on/script can't really be using the Outline View in 
Word much. Those who do switch between them quite often, and I have serious doubts whether an 
export/import feature will be much more than a seldom used feature. Any efforts/resources spent 
towards an Outline View feature should be competitive with Word. It might not be on par with, or even 
work in the same way. But it really should be designed well enough to be used, to actually allow 
Windows/Word-users to use OpenOffice as their main tool for reports and other, larger texts which need 
an Outline feature.
Comment 88 bill_leach 2008-02-25 14:39:50 UTC
Several posters, sba, wernerny, jrlogic, stevepowell99, and most recently nord73
have tried to emphasize the importance of a real outline format for OO.  This
really is not "just a nice feature."  I CANNOT use OO at work for well over 90%
of my work because OO is useless at trying to read the Word documents and will
not create ".doc" files in a fashion that MS Word can understand. Now part of
this is no doubt a template problem but the experimentation that I have done
using MS Word's supplied "normal.dot" suggests otherwise.

I suspect that at just this one site there are at least 3,000 people with
occasional MS Word use and close to a thousand that use it almost all day every
day. It is a huge disappointment that OO can not handle Word's outline numbering
beyond the first level nor provide a true outline display mode.

Technical procedures, administrative procedures, technical reports, technical
manual, and a host of other documents are all created and edited in outline
format with multiple levels of numbering. At this one laboratory there are
thousands of EACH of these types of documents---none of which can be edited
using OpenOffice!

Every electric power plant in the USA all use these same document types.
Probably most every major business having detailed technical requirements uses
documents of this type and again they are unable to use OO for these documents.
Comment 89 tsudhonimh 2008-03-28 03:10:04 UTC
It's been almost 6 years since someone requested this feature. None of the
work-arounds really work, and the navigator is not good enough.

This is one instance where the way it works in Microsoft Office is really
excellent: in one window, you can expand and collapse the text as needed to work
on the sections, drag and drop sections to rearrange content, and promote or
demote sections.

Perhaps for programmers it's not evident, but for anyone who writes long
documents, it's indispensable. It's indispensable enough that I am still using
Microsoft Word for anything that has any sort of header/subheader structure.

Is there any way - including bribery - to get this issue taken care of? If you
fear documentaing it, I'll document anything you write, as long as it works
EXACTLY like Microsoft Word's outline view. 
Comment 90 wilbur_harvey 2008-03-28 03:18:58 UTC
Many of the documents the engineers write at my company (Spirent Communications)
require outline mode.
The lack of this feature is the ONLY technical reason why it cannot be used in
my company.
I keep trying, but if the document is of any length (more than a few pages) I
usually have to fall back to MS Word, even though my desktop machine is an
Ubuntu machine.
Please fix this.
I to would do whatever I can to help this get done, including forking over cash.
Comment 91 Mathias_Bauer 2008-03-28 08:32:36 UTC
You can all save your breath. Seems that complaining is easier than reading. If
you had done the latter you could have read that something has to be done before
such a new view can be implemented. And we still are working on that (see the
weekly schedule at GullFOSS).
Comment 92 liotier 2008-03-28 11:00:03 UTC
To save Mathias Bauer (mba) some energy I'll pitch in with a summary of my
understanding of the situation, so that everyone understands where we are and
why we must ave some more patience.

Many people seem to be quite impatient to have the workable outline view that
will make Openoffice the outliner of choice of word processing power users. But
as Mathias hints, there is no need for more begging : the need is well acknowledged.

Mathias has apparently taken a good look at the feasibility of this feature and
concluded that it involves modifications that reach quite deep into the
Openoffice document handling model. As explained in
http://wiki.services.openoffice.org/wiki/Writer_Views (Mathias posted that link
here last year) the whole layout engine needs to be modified so that a proper
implementation of advanced views can be made possible : "There is a particular
problem in Writer that needs to be solved before it makes sense to implement
more views. A Writer documents always has one layout. If the user switches from
"Print Layout" to "Online Layout" the old layout is thrown away and the new
layout for the complete document is calculated. On switching back the same
happens again. This can become quite annoying when new layouts are used that let
switching between layouts happen more often. Perhaps it might also be attractive
to have two different layouts visible at a time in two different windows, e.g.
Outline Layout and Print Layout". This prior requirement has been hinted by
Mathias as far back as 2006
(http://readlist.com/lists/openoffice.org/users/4/20550.html).

Maybe a quick fix for outline view is hypothetically possible, but the
developers apparently wish to build a solid foundation for the implementation of
views so that the whole problem class can be cleanly solved with greater future
development potential. 
So for now, unless you can contribute to the layout engine overhaul that is
required prior to implementing the much dreamed of outline mode, patience is
probably you best option - that and MS Word for a little while more...
Comment 93 dwig 2008-03-28 17:40:46 UTC
liotier,
Thanks for the summary, and to the OOo developers, thanks for a high-quality
product.

Perhaps it would help if you could provide a timeline or ETA for the
multi-layout feature.  If it's going to happen within a few months, perhaps
those who've expressed their frustration will hang on a while longer.

On the other hand, if it's a couple of years away, it might be worth looking for
a less-than-ideal solution, possibly involving an extension -- you've already
seen that some folks are willing to put up money to get something done. 
Perhaps, if a "bounty" could be put up, it'd attract a developer to cobble up
something that would work well enough to be usable until the holy grail arrives.
 Certainly OOo has enough hooks to make such a thing feasible.
Comment 94 Mathias_Bauer 2008-03-29 13:09:18 UTC
We have made good progress in implementing the multiple layout functionality.
Currently we are a little bit stuck in problems with form controls and grouped
objects but we are confident to fix that.
Comment 95 dwig 2008-03-30 22:53:07 UTC
Mathias, thanks for the update.  To get a ballpark idea, which of the following
would you feel comfortable agreeing to?

"We should have a release with the multiple layout capability, including the
outline layout, within:
A) six weeks
B) six months
C) one year
D) two years
E) five years"

We understand that you can't promise anything; all I'm looking for here is a
rough guess, so we can calibrate our expectations and maybe decide on
alternative actions.
Comment 96 Mathias_Bauer 2008-03-31 15:18:40 UTC
Predictions are hard to achieve, especially it they are about the future. ;-)

Since several months we are working on the multiple layout refactoring. The work
in Writer was done, but unfortunately now we are stuck in the Drawing Layer. We
have even refactored this part except for two kinds of objects: grouped objects
and form controls. While we are confident to fix the problems for the grouped
objects in the next few weeks, we ran into serious problems with the form
controls. We are depending on the work of others here that do their very best
but can't give an estimation when they will finish the work.

Nevertheless, I hope that we will fix that in the 3.0 release.

On top of that we have to implement the new views. My personal *very* rough
estimation is that each of the views will take more than six weeks but less than
six months development time. Additionally we will have QA and specification work
to be done. And e.g. 2-3 months of development time can be much more in real
time, depending on what the available developers might have to do besides that
(bug fixing, urgent things etc.). So I can't give an end date without knowing
what else we have to implement in parallel.

We are currently reviewing our priorities, see

http://wiki.services.openoffice.org/wiki/Quarterly_Review

So I think we should wait at least(!) for the first review cycle to give a
better and more detailed answer.

I think a lot of people that write comments here are making a fundamental
mistake. The mere fact that we never implemented that feature does not mean that
we don't think it is important. I can say that at least for the time where I
have to honor to be the Project Lead (starting in November 2006). In this time
we have implemented the centered view and the multiple page view and we started
with the multiple layout refactoring. This is a quite huge investment in that
area if you consider that we also had to do many other things (ODF1.2, Word XML
import filter, many bug fixing etc. etc.).

In fact we (the Writer development team) all agree that the "Outliner" feature
is important for a small but not too small number of OOo Writer users. And for
these people it probably is not even important but perhaps crucial.

The problem is that we have so many features that are at least equally important
 for various reasons and that a lot of different factors must be taken into
account when we select the work for the next release(s). 
I tried to explain that a bit in our blog:

http://blogs.sun.com/GullFOSS/entry/why_all_issues_are_equal

Perhaps that helps to understand better that not implementing an Outline View
not necessarily must be a clear sign of ignorance.
Comment 97 artrahn 2008-04-01 00:08:24 UTC
Thanks for the detailed description of the current state of project with regards
to this issue.  I am among the 'few' who categorise outline view as crucial.  It
has been present in every word processor I have used (several that pre-date MS
Word).  I look forward to the eventual inclusion into OpenOffice.  My sincerest
gratitude for all your efforts on the project.  I hope to have time in the
future to contribute as you have.  For now, thanks, and don't take the
complainers too seriously.  We all just really miss the feature.
Comment 98 lumbercartel 2008-04-05 00:18:47 UTC
mba:

"I think a lot of people that write comments here are making a fundamental
mistake. The mere fact that we never implemented that feature does not mean that
we don't think it is important."

That is <u>exactly</u> the message that we got for more than four years.  The
<u>only</u> responses (see above) that ever came from the development team was
that there was no need for this feature.  End of response.  Otherwise silence.

It has never been on the roadmap that anyone can tell (although the site
reorganizations have made it practically impossible to find things like
roadmaps, so who knows?)

"I can say that at least for the time where I have to honor to be the Project
Lead (starting in November 2006). In this time we have implemented the centered
view and the multiple page view and we started with the multiple layout
refactoring. This is a quite huge investment in that area if you consider that
we also had to do many other things (ODF1.2, Word XML import filter, many bug
fixing etc. etc.)."

And again, what we heard from you wasn't "this is a high priority," it was "this
is going to be difficult."  Now, you may have <u>meant</u> that as "we are
taking this seriously, but it will take some time."  However, please understand
that in the context of six-plus years of history it came across as "so we aren't
going to waste effort on something that's so unimportant."

This month is really the first time (on the eve of the issue's sixth
anniversary) that we've gotten any signals from the dev team that this is
anything other than a dead-on-arrival issue.  Whatever discussions the dev team
holds among themselves have not been visible to the rest of us (and outline view
still isn't on the published to-dos at
http://wiki.services.openoffice.org/wiki/To-Dos.)

So, thank you -- but try to understand the frustration rather than just slamming
us for complaining instead of coding.
Comment 99 discoleo 2008-05-11 17:52:20 UTC
Another - and in my opinion, superior view to the Outline view - is based on the
Storylines tool in Writer's Cafe, see:
http://linuxplanet.com/linuxplanet/reviews/6330/2

I have posted therefore issue 89311, see:
http://www.openoffice.org/issues/show_bug.cgi?id=89311

Breaking up the master-document into sub-sections will greatly improve writing
and editing the various scenes / ideas / sections / chapters and will also ease
the work with the master-document.
Comment 100 pgnau 2008-06-22 20:55:14 UTC
As a point of reference or comparison (but not as an alternative to OO Writer),
the "Leo" editor was recommended to me because of its ability to expand and
compress outline and code nodes: http://webpages.charter.net/edreamleo/front.html

FWIW, quoted from an anecdotal endorsement:
"Word outlines are very useful. But Leo makes Word look like a clunky toy."
--Joe Orr
Comment 101 eric.savary 2008-06-29 10:23:01 UTC
*** Issue 91178 has been marked as a duplicate of this issue. ***
Comment 102 blanchette 2008-08-20 07:19:41 UTC
I just installed OO for the first time and the first (.doc) document I opened
was an MS Word Outline View document.  I have scores and maybe hundreds of
documents that I have written and use in this format. Among other things, I do
historical research and my outline view documents are my database format. (I am
old enough to have once used index cards for this function.) For example, I have
a document which lists every person we know of who is likely to have been
personally known by Aristotle. Now, suppose I come across a new fact about one
of these persons or a new person in this category. I open my Aristotle's
People.doc file and hit alt+@ -- "Show Heading 2", which is the level with all
the names in alphabetical order. It's easy to scroll down to find the name or
person I want among the currently 259 names there, expand the heading and add my
fact in its logical place, either chronological or by subject heading. Under
each name are cross references to other names on the list (e.g., parents,
children, associates) and also to institutions, etc., which are in another
outline, as is my chronological-order timeline file. If the list were to get too
long for easy scrolling to my target, I already have a template with an alphabet
of hyperlinks to put at the top of the page and an alphabet of bookmarks to
insert at the beginning of each new set of initials. 

What's the point? The outline view is not merely a way of organizing information
for the purposes of narrative writing, it is a way of storing information which
is intended to remain in this form permanently. Without the capability of using
this format interactively, jumping from place to place, expanding and
contracting subheadings, etc., much of the value of my work is lost. That's why
I just added my two votes to making issue 3959 a high priority. Until
interactive outline use is possible in Open Office Writer, I cannot even
consider using it, as much as I would like to. 

So take heart developers, and know that there are many of us lined up outside
that door labeled Outline View, eagerly waiting for signs of progress and
grateful for your efforts to make this feature a reality. 

Comment 103 camarco 2008-11-17 23:59:06 UTC
I can't believe there's no Outline view feature in oO 3 :-(

I write my documents in the outline view of MS Word 2008. After finishing all
the text, I change to print layout view and select the Layout theme and maybe
insert some page breaks. That's it.
If I can't do that in writer, I will simply not spent time using open office,
even thou I'd very much like to :-(
Comment 104 davidshq 2008-12-27 10:31:10 UTC
Just figured I would chime in here on the absolute necessity of an outline view
for OOo. Its lack is killing me.
Comment 105 elsuperpaparulo 2009-01-08 13:49:04 UTC
I'm one of the many ones that cannot switch to Ooo until outline mode is
available. As many others here I'm ready to switch otherwise.
Comment 106 fvirili 2009-01-08 14:33:43 UTC
I too! I would add that we have been waiting for a very long time.
I hope in 2009 this issue will be solved, gaining many enthusiastic new users 
like us.

> I'm one of the many ones that cannot switch to Ooo until outline mode is
> available. As many others here I'm ready to switch otherwise.
Comment 107 andykandyk 2009-03-26 16:16:20 UTC
Pul-eAse add this.
My usage is for Agile Use Cases - the ability to expand/collapse subsets of the 
document is a huge help for organizing and maintaining consistency.
Building a TOC from some number of levels is also helpful as the doc gets large.
Comment 108 liotier 2009-04-10 10:06:32 UTC
Happy birthday Issue 3959 !
Comment 109 dwig 2009-04-13 20:16:32 UTC
Yes, Happy 7th Birthday!  Should we have a little celebration?  Maybe recounting
the workarounds we use for outlining, that we'd rather do in OOo?

On a more serious note, I see that the last comments from the developers came
about a year ago; at that time, the new layout engine was the high priority, and
if I understand correctly, having that in place would/will/does make the outline
view much easier, if not trivial.  An update on the engine and the overall
situation would be a nice birthday present.

And again, if a release of this feature isn't imminent, it'd be good to have
more of a dialogue with the developers.  Some of us have the capability to pitch
in and help in various ways, and if a number of small contributions could break
the logjam, might be able to donate some time here and there.
Comment 110 dmelgar 2009-04-13 20:37:40 UTC
OpenOffice will apparently never implement this. People who need it have moved on or never stopped 
here.

Microsoft Office (Word) is obviously the benchmark.

On Mac, Apple's Pages also does a good job with outline view.

On the Mac I'm also using The Omni Group's Omnioutliner which ships with new Macs.

No need for Open Office anymore. Nice try but delivered way too little way too late.
Comment 111 sophia 2009-04-15 22:39:54 UTC
Currently the only workaround for this missing outline view for my Unix-like box
is the Wine compatibility layer and Microsoft Word 97.

However Word 97 can't read Word 2007 files and I can't install the Microsoft
converter with Wine.

For that, I'm still using Openoffice in order to convert the newer file formats
to the 97 format :P
Comment 112 whycantijustusemyemailaddress 2009-04-17 07:22:45 UTC
I, like many other people, start a paper by writing the outline.  It's very nice
to be able to write the outline, and have the formatting applied while you write.

The navigator does not achieve this. You cannot write an outline in the
navigator.  Using the navigator requires you to write everything, then go back
and apply formatting.  Which aside from being tedious, is backwards.  Formatting
and structure are highly related, and should be thought of BEFORE you write.

Please add an outline view.
Comment 113 mwedwards 2009-04-17 14:31:30 UTC
In the spirit of open innovation, perhaps we should be considering integration
with a good mind mapping tool. The practice of brainstorming has evolved
somewhat, perhaps this is a good opportunity to push the envelope with regard to
the integration of these brainstorming tools with the writing process.
Comment 114 discoleo 2009-04-18 17:10:17 UTC
> ... perhaps we should be considering integration
> with a good mind mapping tool.

I fully agree. Various techniques have been developed and have evolved over the
past years, warranting novel approaches to the writing model.
Comment 115 leeshipley 2009-05-19 01:56:55 UTC
> ... perhaps we should be considering integration
> with a good mind mapping tool.

At last! Someone has seen the core issue in this request for an Outline View

I started using Starwriter in its first english edition and have had a love/hate
relationship with it ever since. Everytime I decided that I must leave MSWord
behind I had to recant when I found I couldn't do without a decent outliner. 
Being in business strategy, I do big documents and reports that need to be
extemely well organised, indexed and capable of quick redrafting to fit new
perspectives on problems.  Normally the right heirarchy is not apparent as the
information floods in and the report goes through many revisions as the taxonomy
is reworked.  It is not just a matter of initial mindmapping but of being able
to massage the structure over months and many drafts. If anything the mindmap is
quite often the end product not the initiator. 

Microsoft made the jump years ago when it integrated an outliner into the Views.
 The StarOffice Writer Navigator has been considerably improved as a "view"
helping not only with the outline but also with a whole host of other bits of
the layout.  But with the outlining it needs to go one better in allowing drag'n
drop for reordering promoting and demoting of heading nodes and the material
under them.

But perhaps the aim should be to allow for a good mindmap function within the
OpenOffice constellation.  The opensource and Java-based, Freeview, a clear
favourite in mindmapping should be seriously considered for closer integration.
 It could hold the same relationship as to Writer as Calc, Impress or Base--so
long as the necessary integration could be done cleanly.  It would be a clear
product differentiator that would drive people to use OpenOffice as their first
choice.
Comment 116 Mathias_Bauer 2009-05-29 14:09:00 UTC
I have updated the dependencies to reflect the status quo of the work on the
preconditions for this issue.
Comment 117 johngardner58 2009-06-27 00:46:21 UTC
Outline is one of my favorite features and is the single biggest issue with my
mainstream use of OO.  It is a huge issue for my students because outline view
is an awesome way of organizing thoughts.  Should work for both number and
bulleted outlines
Comment 118 johngardner58 2009-06-27 00:54:15 UTC
Outline is one of my favorite features and is the single biggest issue with my
mainstream use of OO Writer vs Word.  It is a huge issue for my students because
outline view is an awesome way of organizing thoughts.  Should work for both
number and bulleted outlines.

My wife and kids strongly prefer using Word, I have not been able to ascertain
why other than familiarity and the lack of an outline view.
Comment 119 asexymind 2009-08-10 22:49:16 UTC
Like many around this issue, the lack of support for the MS Word outline feature
is the single stumbling block to using OO for me and my team. We use the outline
feature as an integral part of our project planning and communication. Through
the outline feature we also integrate our Mind Manager documents and our
Personal Brain Documents - using MS Word outline as the lowest common
denominator in our information organization food chain.

Since many of my friends are OO users, I end up sending them text versions of my
outlines with screen shots of the organization, and request them to use the
Navigator to get the "effect" that I mean to communicate. None of them have been
willing to go through that learning curve, so I end up having to do my work
twice - end result - I do less collaboration with my OO conterparts. It isn't
worth the effort, and I am not willing to give up the advantages in organization
and clarity that the outline feature creates.

I know this is not the purpose/intention, but it is the real world result.  I
revisit OO each year to see if the problem is addressed. Each year, 7 years into
the problem, the answer is no. 

I have no right or basis to complain. I do want the OO community to get the
impact of not integrating this feature.
Comment 120 drhatch 2009-08-31 16:23:17 UTC
I wish to call into question a fundamental assumption that has been made about 
this effort, the assumption that has held up development for years: that 
multiple layout capability must exist before outline view can be useful.

This is holding up outline view because multiple layout capability (issue 81480) 
is a big effort, and it, in turn, requires refactoring of writer's usage of the 
drawing layer (issue 100875) and the latter has some significant technical 
difficulties. It seems unlikely that these issues will be finished soon.

The logic behind this assumption is that switching views will take too long if 
multiple layouts are not possible and/or most users will need simultaneous 
viewing for outline view to be useful. I disagree with both these assertions. 

1. Simultaneous viewing is not necessary. I have been using Word's outline view 
extensively for years without simultaneous viewing. Even though it's possible 
with split screens, it takes up screen real estate that I want to use otherwise. 

2. It won't take that long to switch layouts. For starters, even with multiple 
layouts the initial delay will be encountered. After that the delays will be 
small. On my two-year-old low-end desktop computer using Windows Xp, an open 
instance of OpenOffice.org will load a 75K-word, 178-page document in two 
seconds. A more typical 8.3k-word, 31 page document loads in less than one 
second. These are clearly upper bounds for the time to completely recalculate 
the layout, since other functions are included in docuument opening as well.

I, for one, would much rather have an outline view soon, one that takes a couple 
of seconds to switch, and which is available only as a single view, than wait 
the extra time it is going to take for the multiple-layout refactoring to be 
finished. That would be enough for me for a long time.

This is a case of "perfect" being the enemy of "good enough". Let's just have 
"good enough" for a while first.
Comment 121 bill_leach 2009-08-31 18:37:18 UTC
After reading the comments just posted by drhatch, I feel that I should chime 
in.  I also have used and am forced to use, MSWord.  I have used MSWord's 
outline view many hundreds of times.  I have NEVER opened a document in both 
the outline view and any other view.  I have always switched to the outline 
view only when it was the most efficient view for what I was doing (which is 
either creating an outline or more often reordering sections/subsection).

Again, I have never had "outline view" open with "normal layout" view," "web 
layout view," "print layout view," or "reading layout" view open at the same 
time.
Comment 122 camarco 2009-08-31 19:52:07 UTC
I also agree completely that an Outline view as single view would completely(!)
satisfy my professional needs. Never used outline as a split screen in word!
Comment 123 vardiss 2009-08-31 21:41:06 UTC
Another vote for implementing just a single view Outline format. 

It's all I ever use - or anyone else I know.

Available soon and functional is better than "some day it will be perfect".

Free us from MS Word!
Comment 124 russc 2009-08-31 22:14:43 UTC
I agree with other recent comments-- I use outline view in Word extensively but
almost never simultaneously with standard view. There's really no good reason
why this feature needs to be dependent on multiple simultaneous layouts.

Absence of outline view continues (after how many years now?) to be the biggest
obstacle to my switching from MSW to OO.
Comment 125 liotier 2009-08-31 22:48:53 UTC
Before too many "mee too" comments pile up on top of drhatch's insight, here is
a quick poll to collect the opinions -
http://serendipity.ruwenzori.net/index.php/2009/08/31/poll-does-anyone-use-microsoft-words-outline-view-simultaneously-with-another-view
Comment 126 johngardner58 2009-09-01 05:08:34 UTC
I agree with drhatch, I don't need simultaneous views, just a good functional
outline view.
Comment 127 needahammer 2009-09-01 05:53:11 UTC
I too want the outline view in writer and having it as the only active view is fine.
I have been using outlining software since Maxthink in the 80's. That, was the
easiest/fastest IMHO, but never left it's basic DOS roots. Outlining in MS word
was barely OK, but mostly, just better than the alternatives. Mostly for
compatibility reasons.
Given that even elementary school writing classes began with "create an outline"
I am continuously dismayed by the short shrift outlining tools receive.
Make it great in OOo and you have a good differentiating feature vis-a-vis the
"competition."
It needs easy keyboard shortcuts in outline view for expand/collapse,
promote/demote and rearrange.
Thanks!!!

Comment 128 masbak 2009-09-01 09:37:24 UTC
Well, for example : one thing you can't do in the Ooo Navigator is selecting a
chapter and just delete it. I use this a lot... on MS Office (the only and last
reason why I still use it).
This would be cool if we had it in Ooo.

2 other cool features would be :
- seeing your selection both in your page and in your navigator.
- multiple selections to move several chapters.
Comment 129 tsudhonimh 2009-09-03 14:52:04 UTC
http://www.xkcd.com/619/  

The whole purpose of outline view is to see the "bones" of the document and how
ideas relate to one another and move the ideas around to improve the flow of
content. Seeing the font sizes and faces is necessary, because in a rational
document they indicate relative importance. 

There is no need to have outline and any other view open - the only time I
remember doing it in Microsoft Word was when I was showing someone how it
worked. Watching the page layout view or web page view change as I move a header
in outline view is not needed. I know I'm moving chunks of text, and I know it
is affecting the layout. That will get fixed later.

I don't care if it takes several seconds to recalculate outline view. It's not a
view that one switches into and out of very often.
Comment 130 lllactive 2009-09-07 10:50:55 UTC
Why do the developers not just use M$ Word Outline view for a while and try out
all the features to know what is wanted. Why should users keep on explaining
what it should be capable of? If they are interested, they will. We need a
programmer that is interested to use it her-/himself.

In the mean time I got a MacBook with 2 cheap programmes that do it as well;
Pages and Omni Group's Omnioutliner (just like dmelgar does). Have a look and
see what Omnioutliner can do.
http://neowiki.neooffice.org/index.php/Guide_to_Outlining

It is a dead issue by now --- Opened: Wed Apr 10 19:39:00 +0000 2002
It is not going to come soon. Sorry .....

Comment 131 oban14 2009-10-30 14:56:35 UTC
This issue prevents me from using openoffice writer for authoring all but the 
simplest documents.  I'm stuck with MS Word until it's resolved, which is a shame 
because oowriter is otherwise such a great product!
Comment 132 dmelgar 2009-10-30 15:58:00 UTC
There should be an easy way to stop email from this site.

I was interested in the outline issue many years ago when I originally posted. This issue has been open for 
7 (seven) years!

It is obvious that its never going to happen.
I no longer have any interest in Openoffice.

How can I delete my account or otherwise get removed from the email list?
Comment 133 sophia 2009-10-30 16:31:09 UTC
Just make a survey beside you and you will get the same answer:
"What ? There is no outline view in OpenOffice ? I will not install it."
Comment 134 michael.ruess 2009-10-30 16:43:24 UTC
*** Issue 106496 has been marked as a duplicate of this issue. ***
Comment 135 eliezeryudkowsky 2009-11-23 06:34:59 UTC
The lack of an MSWord-style Outline view in Writer is the main reason I have to
keep using Word instead of Writer.  And Word is the main reason I use Windows XP
on a daily basis instead of Ubuntu Linux.

Which is to say: the lack of this one feature keeps me on Windows.  Totally
serious.  If I could give it all 5 votes I would.
Comment 136 sophia 2009-11-23 08:43:10 UTC
If you still want to use Microsoft Office but you have a Unix like operating
system, then you can use the Wine windows compatibility layer.

I'm using a supported flavor of Wine (Crossover Linux Professional) and this
allows Microsoft Office 97 too work well on my linux box (Ubuntu).
Comment 137 anoopshah 2009-11-23 19:12:54 UTC
I also think that Outline View is essential, but it does not need to be more
complicated than necessary.

I propose these specifications for the outline view:
REQUIRED:
Ability to view headings down to any heading level.
Ability to promote/demote sections of the document.
Ability to collapse/expand view of particular sections of document.
Ability to move or delete whole sections of the document easily.
Text fields to be shown.
Math formulae (or their LaTex/OOO math text representation) to be shown.
Simple formatting (superscripts, bold, italic, underline, colour) to be
displayed (but not necessarily WYSIWYG - it is acceptable to simply display
markup codes if this makes the program easier to develop)
Hyperlinks should function.
Full search and replace ability.
Ability to switch to Page View with the cursor in the same position in the document.
Fast responsive viewing.
Ability to select/cut/copy/paste text using the mouse or keyboard.

NOT REQUIRED:
Different fonts are not required - all text can be viewed in the same font; in
fact even a pure PLAIN TEXT display with judicious use of colour and a fixed
width font is acceptable (like Vim, Emacs, Kile etc.).
Images do not need to be displayed.
Margins, page formatting, columns, justification etc. do not need to be displayed.
Table row/column widths do not need to be displayed accurately (in fact tables
could even be omitted and replaced by a [TABLE] tag or suchlike; clicking on the
tag would switch to Page View with the cursor in the table)

The people who need this don't care about eye candy - the outline view has to be
fast and easy to navigate but not necessarily pretty.
Comment 138 Regina Henschel 2009-12-06 18:18:43 UTC
*** Issue 107464 has been marked as a duplicate of this issue. ***
Comment 139 alexgordon 2009-12-28 04:40:19 UTC
Missing "Outline" mode is a show stopper for me. All the documents I create 
(Technical Specs, etc) are written and read in the MS Word "Outline View".  I 
can not use OO until this feature is implemented.
Comment 140 nrtulator 2010-02-08 07:23:04 UTC
I want to push back on the "multiple views don't matter, just do Outline now"
outcry.  drhatch was right to point out that this is the bottleneck, but wrong
to focus on the "multiple simultaneous views" aspect.

Mathias explained that the motivation for re-factoring the layout code is to
support new views cleanly.  The ability to see a document in different views
simultaneously will be one result, but that is not the main reason for doing it.
 First they are reorganising the existing modes to support views in a more
modular way.  Then they can deliver several new views, not just Outline, more
easily, and hopefully more stably, than writing separate standalone view modes.

I have hankered for an outliner in Writer for years now.  I learned to use the
Navigator and "Outline Numbering" as recommended, but it really isn't the same,
so occasionally I am forced back to Word just for outlining.  But if the delay
is caused by Doing The Right Thing, then I can wait a bit longer.
Comment 141 joaosousa 2010-03-17 16:29:51 UTC
Just to help emphasise the importance of outline view.

I used outline mode in ms word intensively to write both my graduation and
doctoral thesis. It is a valuable tool to jot and organize the ideas that will
eventually become sections and paragraphs. The ability to promote and demote
text, to collapse sections and to drag whole sections and paragraphs easily all
over the document is a very valuable composition feature. I does seem like a
mind mapping tool for your document.

I switched to OpenOffice and have been using it almost exclusively for the last
8 years and this is a feature I miss every time I have to write a document with
more than a couple of sections or paragraphs. Without it, it feels like I have
to write a document linearly, having to decide a priori the final structure of
the document.

Comment 142 jsmetz 2010-04-09 19:30:49 UTC
I do a lot of technical documentation.  Documenting evolving technologies is
already difficult when trying to make sure the language and structure of the
presentation accurately conveys the realities of the technology.  The only way
this can be efficient of time in a word processor - or even possible - is be
able to collapse individual outline headings and move them to different parts of
the document - including moving blocks of heading and text to different heading
levels.  The absence of this feature in OpenOffice means I have to use MS Word.
 That is too bad because the Open Office product is excellent in so many other ways.
Comment 143 cheros 2010-04-12 01:18:30 UTC
Well, happy 8th birthday bug 3959..  :-(

I personally think a multiview concept is overkill - nice to have, but not worth
keeping up a resolution for.

The last MSO I bought was 2003, and I'm still using it.  This has, however, a
FAR better outliner in Powerpoint than it has in Word, and I would personally
prefer that model.

I think the demand originates in two separate quarters:

- Original writers that write from scratch.  I always pop up Powerpoint or
Freemind and draw an initial structure before I let myself loose, as the
structure makes or breaks the document in terms of clarity and accessibility.

- Editors and template based workers.  For them outline is a navigational tool,
but even there the Navigator isn't enough as it  doesn't support manipulation of
that structure.

However, please avoid overkill.  The feature is for most people I know to work
with documents an absolutely critical component to do their work.  Without it,
there is no chance OpenOffice will ever make it into the corporate environment.
 As a matter of fact, it's the reason I still use (old) MS Office..
Comment 144 robin_daniel 2010-12-15 11:14:17 UTC
Wow - 81480 is resolved, so may we now hope that this one will at last be
addressed? I do manage to avoid MSO, but only by using Action Outline from Green
Parrots as my notebook/outliner/drafting space, and then going straight to
Scribus. I'd still much prefer to work in OpenOffice.

I'm going to have to try to work out how to follow the progress of defects
again, as it's years since I bothered, as the answer to this one was always
"it's impossible". 

Impossible NO LONGER!

Comment 145 paul.miller 2011-03-07 17:04:09 UTC
The absence of a proper outline view is virtually the only annoyance I have with Open Office.  It seems crazy that I have to have a seperate program (an open source outline editor from SourceForge) to create outlines then export them in RTF and import them into Open Office.

How long will it take before someone on the development team takes notice and starts doing something about this?
Comment 146 Joe L 2011-06-06 17:03:11 UTC
(In reply to comment #145)
> The absence of a proper outline view is virtually the only annoyance I have
> with Open Office.  It seems crazy that I have to have a separate program (an
> open source outline editor from SourceForge) to create outlines then export
> them in RTF and import them into Open Office.
> 
> How long will it take before someone on the development team takes notice and
> starts doing something about this?

I agree whole-heartily with this being an issue/bug.   I have done my best to use OpenOffice as much as possible -- vs using MSword.

But the lack of being able to outline(initial brainstorm/drafting documents) is a gaping hole in OoO.   MSword has done it for over 12 years.  Got me through a lot of writer's block (Master's and Work Documentation).

I am surprised that there are not more requests for this feature.....thus the developers not taking it seriously.       

But I am still trying to avoid MSword. Really need this feature.
Comment 147 algebraplusplus 2011-08-01 07:48:30 UTC
I often use a spreadsheet to create outlines. It's naturally hierarchical, and has some natural (and unnatural) ways to expand and collapse text. Definitely dragging and dropping groups of cells, is no problem. In a recent proposal, I even used multiple sheets at the highest level of delineation...one sheet each for Intro, Major Idea 1, Major Idea 2.....Conclusion. 

Again, easy to drag sheets around. Major 1, became Major 3....etc.

I suppose, you could use pivot tables in a creative way, but I've never tried that.

I also do my mind mapping in the spreadsheet. Very flexible...a lot of drag and drop.
Comment 148 rustianimal 2011-08-01 08:32:43 UTC
(In reply to comment #147)
> I often use a spreadsheet to create outlines. It's naturally hierarchical, and
> has some natural (and unnatural) ways to expand and collapse text. Definitely
> dragging and dropping groups of cells, is no problem. In a recent proposal, I
> even used multiple sheets at the highest level of delineation...one sheet each
> for Intro, Major Idea 1, Major Idea 2.....Conclusion. 
> 
> Again, easy to drag sheets around. Major 1, became Major 3....etc.
> 
> I suppose, you could use pivot tables in a creative way, but I've never tried
> that.
> 
> I also do my mind mapping in the spreadsheet. Very flexible...a lot of drag and
> drop.

Unfortunately, your suggestion misses a major point and that is 'ease-of-use'. An Outliner should be an integral part of the document so that you can take an existing document and restructure its outline, with all its attached content.

I regularly create or edit large and complex technical documents. Firstly, MSWord's outliner that we are using as the baseline for this function not only allows the manipulation of topics and ideas as you suggest above, but also ties each of these headings with the pre-formatted Heading style sheets and auto-numbering of the document. This means that while placing your ideas into a structure, it is automatically setting the Heading Style and automatic numbering while you are using the tool, which saves a huge amount of style formatting and numbering compared to pasting details from a separate outliner into the word processor.

This function is also extremely useful when editing and restructuring large and complex technical documents. As MS Word ties the text blocks that follow after a particular heading to that particular heading section, it is possible to reposition an entire section of a document to a different place in the outline with ease. MS Word makes it easy to do this complex editing by enabling the text blocks to be hidden to to first line of each paragraph only, or hidden completely, making it simple to isolate large blocks of the document to move around. 

In general, this outline facility, as implemented in MS Word, is one of THE most powerful features of any word processor and is what keeps many organisations tied into Microsoft Office. If OpenOffice is going to break the stranglehold that Microsoft have in this field, it has to be able to at least MATCH this kind of functionality. Forget the fancy Wizards that Microsoft have, or the screen-real-estate wasting icons and buttons they put all over the place. Just create really good, basic functions such as a fantastic easy-to-use outliner with the ability to move around not just headings, but automatically set their style and numbering and enable the user to manipulate entire sections of a document and you have a winning tool.
Comment 149 sophia 2011-08-01 08:50:28 UTC
Maybe the LibreOffice project is more alive than OpenOffice :
libreoffice.org
Comment 150 harryb49 2011-08-18 18:56:20 UTC
My work would be made much easier if it were possible to use a collapsible outline as is available in MS Word. Please put some resources to repairing this omission.
Comment 151 Donald Murray 2011-10-30 00:39:33 UTC
I know this has been said and made into an actual bugfix before and the resources were assigned. OO needs to have Outline mode like in WORD before it will be useful for many people out there. I'm talking there are probably several million people who's only tie to MS is WORD because of Outline mode. It really is that big, yet this project has not implemented this effectively. No, Navigator does not do outline mode. You need to be able to number the chapters using the outline headers and to be able to expand and collapse the text in each outline subsection and the ones below the one selected (like it's done in WORD). No, it cannot be done in OO or Libre. There was one time where I was persistent on this and it was assigned as a bugfix and someone looked at it. Matched the issue up with one where it was argued that Navigator fixed it, and therefor assumed the problem was fixed and closed the bug as solved, when, in fact, it was not solved at all. This is an issue that needs to be embraced by the team as a very important feature and tackled until working.....not writing it off by finding an old bug statement that it was fixed when it wasn't even close. I know, I'd be a very happy man if this feature were available. Many users of Linux use VMWare with Windows and MSOffice in order to do their documentation. 
Is there any chance that some talented member of the team would take on this as "their" issue and be a hero to those of us who still have to use windows because of the lack of WORD-like outline mode in Writer? 
Check out here to get some unbiased views.... 
http://serendipity.ruwenzori.net/index.php/2006/11/05/openoffice-outline-mode 
...just scroll down.... 
Thank you Mr unknown hero out there....
Comment 152 debrota 2011-10-30 12:34:30 UTC
I use Microsoft Word to take notes in an outline form.  I know that I can open and close my outline as it gets created, and this is moderately useful, but what I most often do is re-order items within an outline level, and promote or demote items.  I simply position the cursor anywhere within an item (which is actually a paragraph), use my left hand to hold down Alt-Shift, and then use my right hand on the arrow keys to move the item up, down, left (promotion), or right (demotion).  This is so fast and so easy to learn and do that when people watch me do it, they are amazed.  I do not need to move my fingers from the keyboard to/from a mouse or use any other pointing device.  I have many times taken notes as a team leader ran a meeting, and had my computer screen projected for everyone to see my "minutes" of the meeting projected live for everyone to see.
In my opinion, Microsoft Word is the single best "outliner" available.  I would like to see similar pointing-device-free outlining functionality in all serious "word processors".
Comment 153 LSr 2012-02-03 12:06:31 UTC
I found a very good looking equivalent to M$Word Outliner mode. I got the iWork's Pages '09, that has an almost identically functioning Outliner. It actually imports M$Word *.doc files created in the M$Word Outline mode almost exactly like the M$Word look. It is just much, much cleaner and looks really professional; well the Apple way! What is surprising, is that it currently costs only 14,99 Euro, for as many installations you want. It remains in the AppStore for all present and future installations, and get updated automatically.

At last the wine installed Word is deleted from my openSuSE PC, and now iWork '09 on my MacBooks will replace the openOffice (OOo, NeoOffice and LibreO) word processors on my Macs! I have no solution for Linux yet - I will now just work on the Macs for desktops, Linux is now just my File Server. Pity, Linux FS and general environment is superior to Darwin driven X-OS; but hey, I have to work. This issue on openOffice (& co) with Linux has kept me away from the pleasant Outliner feature for too long now. Farewell and good luck friends.
Comment 154 apache 2012-05-12 18:10:33 UTC
Wow - this feature request just celebrated IT'S 10-YEAR ANNIVERSARY...  I hope someone in the Apache org will take this request seriously.  This is a major short coming of the OO suite...
Comment 155 Susan Cragin 2012-05-12 23:44:21 UTC
I have heard two suggestions for this:
1. Make the Navigator editable so that people can use Navigator as the main word processing panel. 
2. Turn Impress into a word processor. 
But clearly, we need a good one-pane editor. 
I have shifted my composition from OO to EMACS, and believe me, there's a learning curve, and it's not for everything.
Comment 156 William 2012-05-25 09:51:15 UTC
Mathias_Bauer said :
"But I wanted to let you know that the
whole Writer team agrees with you that the Outline View is one of the most
important missing features in Writer."

It was in... 2007 feb (comment #54]

Let's understand there "more important" and urgent things to achieve. But if a 10 years old issue never become important, it will never be done.

It's importance is only "P3 trivial". But how many people didn't vote at all because they gave up to try Ooo further after noticing the lack of outline view ?

This lack is the only think that make me keep a MS Word in my computer. I finally use Ooo by activism, but many people who are not so involved may just give up.

I don't want to be harsh with developers. Only encourage them. And thank them.
Comment 157 Susan Cragin 2012-05-25 11:20:08 UTC
My feeling is that the outline view is of concern mainly to serious writers and researchers handling long documents. I am an English professor, and teach Composition, where an intrinsic outline is part of the teaching process. I also belong to several book-writing groups. Neither students nor book writers are likely to be at all technically savvy, and most of the writers I know think that the solution is to buy an Apple product, which has a wide range of wonderful intrinstic outliners at all levels. This is also the solution that my students adopt: those who have money, anyway. 
I have written two serious nonfiction books published by conventional publishers, and intrinsic outlining is incredibly valuable for me. I know many successful authors, and most use OmniOutliner. Many also buy specialized writing software programs that attempt to replicate an intrinsic outliner. 
Some universities teach EMACS with org-mode as a writing tool, including the one in my state.
Comment 158 gdinwiddie 2012-05-25 12:35:41 UTC
Susan (https://issues.apache.org/ooo/show_bug.cgi?id=3959#c157), I can tell you that outline view is very helpful for business documents, also. There are other assumptions in you comment that are probably incorrect, also.
Comment 159 lllactive 2012-05-25 13:17:16 UTC
Yes, only serious users of technical or complex documents normally use the outliners. Most others don't even know what it is, even developers; jut look at the attempts above to explain what an outliner should do and is since the beginnings of Dos. 

I was given an old macbook two years ago, and found the use of Writer '09 excellent. I use outliners for everything. Now with a new macbook pro I got an outliner from the Apple App Store for 14,99 Euro!! It is as good as openoffice, much cleaner and good for just writing lots of text and documentation. When it comes to using graphics openoffice is better for placing the graphics linked to text or paragraphs etc. 

As Susan Craig mentions, I see many more people now rather spending double the amount of money to get excellent hardware and a Linux based Mac. No more terror from the operating system and programs written just for the masses. There are an incredible amount of very cheap applications for under 20 Euro for all sorts of uses. If you are a professional in audio or graphics, nothing touches a mac. I also use LibreOffice now (sorry OOo :-( since Oracle's disaster).

Outliners in OpenSource Office will not come in the near future. Settle down to something else; I even used M$Office with (free) wine on Linux or (pricy) CrossOver from CodeWeavers on Macs and Linux.

For the masses LibreOffice is coming with all Linux distributions. It also works well on Macs, with a lot of improvements since the fork from OOo in it's dark Oracle days. Hope Apache does better, but I'm afraid the developers that left are not coming back. Pity for OOo. CU at LO and MBP.
Comment 160 joaosousa 2012-05-25 15:01:35 UTC
Are there any other alternatives of text processors with this feature in linux? Every once in a while a do a search, but always come empty-handed.

Lately I have been using word with Virtual Box in my 8Gb RAM laptop. It works reasonably well.
Comment 161 lllactive 2012-05-25 18:37:52 UTC
(In reply to comment #160)
> Are there any other alternatives of text processors with this feature in
> linux? Every once in a while a do a search, but always come empty-handed.
> 
> Lately I have been using word with Virtual Box in my 8Gb RAM laptop. It
> works reasonably well.

No, unfortunately not. Most here who have not used wine, vmware or virtualbox with word or gone to Mac have tried to push the openoffice or other open-source word processors to get the feature. Often we are directed to mindmapping programs by those who do not use outliners, but it is a different kind of tool. Outliners follow the mindmappers by giving it a structure. Mindmappers are the inductive idea finding tools, which are then followed by the outliners. Those who have been using the outliners a long time also use it as a mindmapping tool quite effectively in the same manner. Only difference is that mindmappers are picture graphic and outliners still hail from the text only word processors. 
FreeMind or Freeplane are neat cross platform mindmappers. Freeplane is a Freemind brance by the original developer; it exports to openoffice with Headings, but no outliner :-(. Export the OOo odt to doc and then import with Apple Pages '89 or Word :-).
Comment 162 lllactive 2012-05-25 19:03:33 UTC
Pardon: Pages '09 (V4.01 2009), part of the iWork package, also available separately. Alternative is, for 3-4 times the price, OmniOutliner. The Apple applications are much cleaner and user intuitive than those of M$, but most have been bent to the M$ way. :-/
Comment 163 Donald Murray 2012-05-25 19:15:11 UTC
Forget about using mindmapper tools, etc, what a kludge....just use MS WORD!!!!
Navigator in any format just cannot come even close to Windows MS WORD outline view.
I dont' know why pople just don't "do it".
It really is that important. I WANT ooffice or the other alternatives (from staroffice) to take over from WORD, but that WILL NOT HAPPEN until outlining is properly implemented.
Good Luck.
-Donald
Comment 164 lllactive 2012-05-25 21:56:10 UTC
Amen!
Comment 165 vardiss 2012-05-26 04:11:31 UTC
>Forget about using mindmapper tools, etc, what a kludge....just use MS WORD!

Unfortunately, I can't just use Word because I find that once my docs reach a certain size or complexity, Word keeps crashing and I lose my work. This has happened for years over several versions of Word and Windows on different computers.

I appreciate the alternative suggestions but I didn't see any that are on the Windows platform. 

I like the OOP philosophy but it's reached the point now where it's time to start looking elsewhere. The recent direction of this thread shows that I'm not the only one.

If you have any suggestions for *Windows* Word Processors with outlining or outliners with easy compatibility with OOP please let us know.
Comment 166 mkotsbak 2012-05-26 07:54:31 UTC
I suggest that someone set up and add an amount on a bounty site like http://www.fossfactory.org/ I guess several people would be interested in paying someif this was implemented.
Comment 167 sophia 2012-05-26 09:08:54 UTC
Maybe you could document the below LibreOffice bug :
https://bugs.freedesktop.org/show_bug.cgi?id=38262

It seems that LibreOffice is more active than OpenOffice and they could possibly fix this bug before the OpenOffice team.
Comment 168 largo84 2012-05-26 14:33:09 UTC
I gave up on this a long time ago. I used ECCO Pro for years as it was a great outlining tool. However, it wasn't particularly good for document creation and management.

I have since discovered Leo (see link below). I use it for *everything* I write now, large documents and small, web sites, LaTex, articles, books, etc.

It's not a WYSIWYG word processor like Word or OOWriter, but a very powerful text editor/outliner. It's easier for me to concentrate on the content and structure (outline) of what I'm writing and worry about what it looks like later. It has a steep learning curve, but well worth it. And it's free!

http://webpages.charter.net/edreamleo/front.html
Comment 169 apache 2012-05-26 16:37:24 UTC
I am VERY happy to see this feature request getting so much activity -- does anyone know if the Apache team who's responsible for development reads this forum?  I'll keep watching this thread & hoping that they do...  

A previous poster (Susan - https://issues.apache.org/ooo/show_bug.cgi?id=3959#c157) - and the two afterward, seem to think that it's only for "serious" writers, or those working on long documents.  Perhaps they have some research to back that up, but to my point of view that's a mute point.  

I believe that a well-integrated outlining feature COULD be useful to a majority of users, and WOULD be used on a majority of writing tasks IF IT WERE well-integrated.  The #1 sole metric of a good integration is EASE OF USE.  

Take MS Word (Office 2003).  I am writing a white paper, and use Word for the one and only reason that it has outlining embedded.  Here's the problem, though:  while viewing the outline, I scroll to a section which capture's my attention, place my cursor at that point in the document's outline, switch back to 'Normal' mode to add my thoughts and VOILA - my document is auto-incorrectly scrolled to somewhere else completely unrelated within the document!  Now, I'm an outline-addict, so I put up with this stupid behavior.  But if it were well-integrated, well-thought out, bug free, etc etc etc...

Come on Apache developers, someone take the baton, please...
Comment 170 graylion 2012-05-26 19:13:58 UTC
I need to add my support for this feature again. it is one of the major problems holding the product back.
Comment 171 lllactive 2012-05-26 23:48:18 UTC
@apache@cognisense.com;

You may be right that more and more people are using the outliners. I saw that in our schools the kids are now taught mindmaps and outlining quite early already. Most normal users I ask are mystified at the question whether they use outlining tools. I am always selling the idea of using outliners to my kid's friends and other friends. As most use M$, they are surprised that such a useful tool is imbedded into Word. Mac users normally use either Pages '09 or Omnioutliner, only two of quite a few.

@graylion;
I do not want to be pessimistic, but is the Apache team a different team to the OOo team? All moved with the takeover. There are, however, some signs of life at LibreOffice, a completely new team  I think. I presume some come from the OOo developer team when it branched from OOo, but probably some new developers came on board LO, having an ear for this valuable utility. 

I have moved on to a MacBook workstation, using Linux only for servers now. I am sure that the desktop Linux will remain a minute small percentage due to the distro desktop disasters of KDE 3 to 4, Gnome 2 to 3 and now also Unity. They just scare off users; forcing them to adapt to a new environment every 8 to 12 months. Windows will remain the office and home user desktops in the foreseeable future. OOo and LO will still have to get the Outliner utility if it wants to compete with Word on the Windows market. I left M$ a decade ago, but still used Word till 2009 with wine and VirtualBox on OpenSuse. Using Mac is such a pleasure and I come to long for the days I had to fight with the OS to be productive. Using Darwin with X-code and Mac Ports has revived the pleasure of just playing around with some Linux things like OpenSource and administrate my Linux servers.

So I think the outline utility is sorely needed if OOo, LO and the others want to make any dent into M$ office user base. I've used Writer and Calc quite a bit in the last 5 years on Linux. I will look at LO on Mac from now on, because OpenSource on Mac is also up and coming. Writer should look closely at Apple's Pages '09 and the other iWork apps. It is not that expensive (79 Euro) for the whole package, but smoother and cleaner than M$-Office. Don't just copy M$-Office, make something better and more productive than all the eye candy of M$-Office.
Comment 172 RJ Mical 2012-08-09 00:21:01 UTC
I want to add my voice to this issue.  I use the collapse/expand outline feature of M$ Word extensively.  Using collapsable outlines makes it extremely easy for me to compose/review/rearrange my thoughts.  I even use this mode when keeping notes during meetings!  It is the only feature that keeps me using that program after all these years; if OO had this capability I would switch over completely.  PLEASE bump up the priority of this feature.  
 -RJ
Comment 173 Susan Cragin 2012-08-09 11:36:04 UTC
I had suggested earlier that the Navigator feature have collapsing outlines (as LO does now) and be able to be made the main editing panel. 
The LO navigator box has arrows and a collapsible feature, and I would love to have the Navigator box be able to be the main editing panel. 
That would solve two problems for us researchers / writers / note-takers. 

(1) collapsing outlines. 
(2) gets the formatting out of the way while we're working. 

Comments.
Comment 174 jb 2012-11-24 17:45:20 UTC
Wanted to add my support. I am also stuck using ms word until some open source alternative can get an outliner working correctly... :(
libreoffice don't have it right yet either
Comment 175 Scott Kallen 2013-03-11 16:07:03 UTC
Yet another "Me Too".

I use outline view in MSO as my primary form of entry for any level of documentation.  Only after most of the document is entered via outline mode do I switch to normal/print mode to apply formatting.

For me (and apparently many others), it is a gaping hole of functionality when considering switching completely to OO.  Move this up in the priority list, please@!
Comment 176 lllactive 2013-03-12 11:23:01 UTC
Looking at the headings of this 'Bug':

Reported: 	2002-04-10 20:39 UTC by jwernerny
Modified: 	2013-03-11 16:07 UTC (History)
CC List: 	52 users including you (edit)

It is a dead end - it will never come. 

How I solved it for myself: I'm now using OSX with iWorks' Pages. Cleaner and leaner than MSWord. Linux has no worthwhile Outliners like these two (no, don't reply to this comment till u read the other comments in this 'bug' 3959). 

Word 2000 with Wine worked for me until 2-3 years ago. I also dumped Linux as Work Station due to Display Manager feuds and infantile responses among developers at opensuse and ubuntu. The new Ubuntu is an workable OSX-like desktop with a better ext4 file system than the scary and crappy* HFS+ of OSX. 

:-(


(* Linus Torvalds' and others' opinions also: http://apple.stackexchange.com/questions/51650/linus-torvalds-and-the-os-x-filesystem)
Comment 177 lllactive 2013-03-12 11:30:39 UTC
Looking at the headings of this 'Bug':

Reported: 	2002-04-10 20:39 UTC by jwernerny
Modified: 	2013-03-11 16:07 UTC (History)
CC List: 	52 users including you (edit)

It is a dead end - it will never come. 

How I solved it for myself: I'm now using OSX with iWorks' Pages. Cleaner and leaner than MSWord. Linux has no worthwhile Outliners like these two (no, don't reply to this comment till u read the other comments in this 'bug' 3959). 

Word 2000 with Wine worked for me until 2-3 years ago. I also dumped Linux as Work Station due to Display Manager feuds and infantile responses among developers at opensuse and ubuntu. The new Ubuntu is an workable OSX-like desktop with a better ext4 file system than the scary and crappy* HFS+ of OSX. The hardware is excellent though, the main reason I got it.

:-(


(* Linus Torvalds' and others' opinions also: http://apple.stackexchange.com/questions/51650/linus-torvalds-and-the-os-x-filesystem)
Comment 178 Donald Murray 2013-03-12 17:22:44 UTC
THIS IS NOT THE SAME AS THE OTHER ISSUES. Navigator does NOT even come close to WORD's outliner. This is the biggest issue keeping people tethered to microsoft products. If you guys want open office or libre-office to become the "standard" word processor then please implement this exactliy as requested....please please please. I've asked for this dozens of times. There is a constant misunderstanding due to a combination of:
1. misconception. Navigator does not do it. The user is not familiar with Word's outline mode.
2. Ego. No, navigator is a piece of dirt in comparison to Word's outliner.
3. Laziness. No, this has not been addressed before. It might have been complained about, but it was never fixed.
4. Circular reasoning. Addressed before, navigator excuse, marking new request as fixed by old non-fixed issue.
Comment 179 james flowerdew 2013-05-28 01:21:26 UTC
Outline is not a "view" in MSO.
It is really more useful as a method for writing which allows you to edit your writing structure easily.
Imagine starting with a list of points that you wish to present, and then discovering that many of your points belong to a group.
You would then add that group title and drag the points in or demote them to be children of the group.
Many people including myself struggle to keep their written thoughts in order, and allowing this free-form structure editing technique allows people to take thoughts and structure them cohesively.
It is the equivalent of using headings on slices of paper and moving them about until they fit(A process respected in both the business, and creative worlds).
Outline mode also allows you to collapse text using the hierachy, which gives you the ability to focus in on small areas within a very large body of text with ease.

As an example, let's say I only want to see an appendix, but I want to see it in detail, and I want to see the structure that leads to it.

Outline View from MSO revolutionised my writing ability, and sadly my move to open office set me back to where I was before it, writing like I did at school.

You really need outline based editing, as well as viewing IMHO.
Comment 180 dwig 2013-05-28 03:32:21 UTC
Since it looks like an integrated outlining capability isn't likely anytime soon, here's some possible alternatives, based on Freemind, which can be thought of as a visual outliner.  (See https://en.wikipedia.org/wiki/FreeMind for an overview.)

Here's a couple of links I found:

- http://freemind.sourceforge.net/wiki/index.php/Import_and_export_to_other_applications#OpenOffice_Writer is a Writer macro that creates a FeeMind-readable XML file from a document using heading levels for outlines.  The good news is that someone with some OOo Basic skills could enhance this.

- http://sourceforge.net/apps/mediawiki/freemind/index.php?title=Requests_for_enhancements#Export_to_OpenOffice describes ways to export Freemind maps to something readable by OOo.
Comment 181 dwig 2013-05-28 03:37:59 UTC
In addition to mindmappers, there are outliners that might be usable with OOo.  Here's a review of some of them:
http://www.marktaw.com/reviews/Outliners.html
Comment 182 Donald Murray 2013-05-28 04:13:38 UTC
These mindmappers and external outliners are all pointless. Might as well use MSWORD. Like I've been saying for the last 10 years, Microsoft's hold on PC's will not be broken until outline view is added to OPenoffice writer. When that happens, people shall be able to let go of MSOFFICE and then we don't have to use MSWINDOWS any more. Outline view IS that important.
Comment 183 Regina Henschel 2013-05-28 06:36:22 UTC
Apache OpenOffice has the Navigator for quickly changing document structure.
Comment 184 Donald Murray 2013-05-28 08:44:31 UTC
Navigator, schmavigator.....that thing is not outline. It's a piece of garbage compared to proper outline mode. That piece of garbage is why outline never got done. People who have never used outline mode saying...."Oh, Navigator does that, so we don't need to do it".....Navigator DOES NOT DO OUTLINE MODE..... I'm so sick and tired of saying this.....and I've said it to the openoffice forums and elsewhere so many times now and it still hasn't sunk in....
Openoffice Writer is a toy until it has Outline mode. I cannot justify using it and will continue to use MSWORD until it does.....as will everyone who is used to using outline mode....
Comment 185 graylion 2013-05-28 09:33:27 UTC
I couldn't agree more. The navigator is not useful for proper writing in outline view and the power level is not comparable.
Comment 186 lllactive 2013-05-28 12:47:01 UTC
.
****************************************************************************
***********  PLEASE NOTE: TO ALL WHO OFFER SUGGESTIONS *********************
****************************************************************************

Please read the whole Issue from top to bottom, before suggesting things like Navigator, Mind-Mappers and Macros again! Make sure you know what an Outliner is before you comment. Most of the unusable comments come from those who do not know what an Outliner is and who did not read the whole thread.

I moved to Mac and use iWorks' Pages for Outlining. Costs only €14,95, and installable on all computers that share the store account. It is just as good and looks much better for the author than M$Word's very narrow column like presentation when in edit mode.

- On the side - 

Another big reason to get an Outliner going and porting to Pads & Co.:
Few buy PC's these days (refer to the slump in Dell and other PC sales). Most buy Notebooks, Pads or Smart-phones. M$Office only works properly on PC's. OOo and derivatives should consider the market niche (growing exponentially) as a chance to upstage M$Office, by producing for all Apples', Linux's and Androids'; especially Writer with a real (not Navigator) Outliner for the large number of students who are buying the new technology on Mac & Linux Laptops, Android Tabs and Smart-phones. In this area M$ has lost its way and does not feature as an OS any more; only Apple and Android feature in this market.

:-)

.
Comment 187 olteangb 2013-06-15 05:42:34 UTC
I used PC Outline back in the days of Newword before MSO existed.  I was delighted to find outline view in MSO, but really disappointed that a working version does not exist in Writer.  Navigator does not hack it.  It is so useful for preparing any form original document because you an enter thoughts in any order and then reorganise them later into sections, subsections and paragraphs, moving whole sections throughout a document at a late stage of writing and the numbering is reorganised automatically.
Why cannot we have a similar facility in Writer?
Comment 188 bkp 2013-10-24 09:53:08 UTC
Almost 12 years and we still don't have a selectively collapsable outline view.
Comment 189 William 2013-10-25 14:08:06 UTC
Don't worry : I've been told it would be done within 12 years (the next 12)
Comment 190 Colin Stoneman 2014-01-03 17:44:01 UTC
I first tried Writer about 5 years ago and abandoned Open Office as there was no decent outliner and no response to my request for information as to when there might be one.
The situation is unchanged (or worse) now. I fully support Comments 172, 174, 175, 178 and 179.
I have uninstalled Open Office as I cannot work without a decent Outliner. It is a great shame as I support the philosophy behind open access and would love to become a Microsoft-free zone!
Colin
Comment 191 ther 2014-01-11 18:30:03 UTC
As others have stated, there are other tools to achieve outliner functionality, such a mind map or text editors. New tools, technologies often necessitate developing new methods of working. Asking superior software to adopt legacy mentalities of performing tasks in m$o is a mistake.

The m$o outliner functionality as described here may well be a cause for software instability of m$o, such as the ability to move sections of formatted text whilst within this outline mode.

Introducing outline functionality like m$ would be a mistake and should be rejected.
Comment 192 Joe L 2014-01-11 18:59:19 UTC
(In reply to ther from comment #191)
> As others have stated, there are other tools to achieve outliner
> functionality, such a mind map or text editors. New tools, technologies
> often necessitate developing new methods of working. Asking superior
> software to adopt legacy mentalities of performing tasks in m$o is a mistake.
> 
> The m$o outliner functionality as described here may well be a cause for
> software instability of m$o, such as the ability to move sections of
> formatted text whilst within this outline mode.
> 
> Introducing outline functionality like m$ would be a mistake and should be
> rejected.

This person is clearly not a writer.  

This is the main problem with the issue.   A bunch of engineers reluctant to implement something they do not understand -- the writing process.
Comment 193 gdinwiddie 2014-01-11 19:09:42 UTC
It should not be hard to keep the formatting straight. The outline levels use styles. If some formatting spans the paragraph boundaries, they can be split at that boundary with a close at the end of one paragraph, and an open at the beginning of the other.
Comment 194 Manfred Braun 2014-01-11 20:08:40 UTC
I see this the same. There are rare problems in MS Word with formatting, while you work with the outline mode.

I started using outlining with that ultra-old Framework2 - more then
25 years ago. I usually stay with the MS Office package, because I
need the outlining functionality too. Tools like mindmap are just nice
for simple demonstrations, but have really no functionality except
that small "outline" itself and they do not offer any form of interop
with other programs and do not have a standardized file format.
For some very little exceptions, VUE [ http://vue.tufts.edu/ ] is
really great But this is nothing to draft a doc, where you are moving
and changing chapters and subchapters into other ones while you are
thinking.

Although I am one of the biggest fried of (all) kind of open ideas,
they must be complete. I sat down and tried to migrate my MS Outlook
usage to the open world and I felt miserably. And I am using only
a small set of features ....

It is not enough to write the $ sign to mark something bad.
I am sad not to be able to sponsor the open idea finanicially,
but this is really a neccecity.

Best regards,

Manfred
Comment 195 johngardner58 2014-01-11 21:11:51 UTC
(In reply to ther from comment #191)
> As others have stated, there are other tools to achieve outliner
> functionality, such a mind map or text editors. New tools, technologies
> often necessitate developing new methods of working. Asking superior
> software to adopt legacy mentalities of performing tasks in m$o is a mistake.
> 
> The m$o outliner functionality as described here may well be a cause for
> software instability of m$o, such as the ability to move sections of
> formatted text whilst within this outline mode.
> 
> Introducing outline functionality like m$ would be a mistake and should be
> rejected.

Outliners are not legacy and as others have stated before, please do not suggest mindmaps or other tools besides word processing.  For many of us outlining is a requirement in a word processor.  And in some companies it is a requirement for documentation.

Bottom line is this has been a normal feature for all major word processors past and present.  Wordstar, WordPerfect, MS Word since the beginning and is available in in iWorks.  Writer is the only mainstream word processor that does not have an outline mode.

Bottom line, OO doesn't have a chance of gaining a large following without this feature.  

Then need for MS Office and a few other widely used apps like PhotoShop may be the single reason that Windows continues to have dominance on the desktop.  And 
many simply won't switch until Writer supports outlining.  I won't.  My family won't.  They have tried OO but have rejected it in favor of Word.  They would rather me spend $200 for each computer than use OO for free.  That says something.
Comment 196 ther 2014-01-11 23:10:41 UTC
(In reply to mark from comment #192)
> 
> This person is clearly not a writer.  
> 
> This is the main problem with the issue.   A bunch of engineers reluctant to
> implement something they do not understand -- the writing process.

You're entitled to your opinion, from a _writer_ having use LaTeX, LyX, Jedit, SO, LO to write numerous documents without being proficient in a single computer programming language...
Comment 197 ther 2014-01-11 23:11:04 UTC
(In reply to mark from comment #192)
> 
> This person is clearly not a writer.  
> 
> This is the main problem with the issue.   A bunch of engineers reluctant to
> implement something they do not understand -- the writing process.

You're entitled to your opinion, from a _writer_ having used LaTeX, LyX, Jedit, SO, LO to write numerous documents without being proficient in a single computer programming language...
Comment 198 ther 2014-01-11 23:11:21 UTC
(In reply to mark from comment #192)
> 
> This person is clearly not a writer.  
> 
> This is the main problem with the issue.   A bunch of engineers reluctant to
> implement something they do not understand -- the writing process.

You're entitled to your opinion, from a _writer_ having used LaTeX, LyX, Jedit, SO, LO to write numerous documents without being proficient in a single computer programming language...
Comment 199 debrota 2014-01-12 00:47:51 UTC
I see that there is at least one comment arguing against outliner functionality.  My assumption is that its author has simply never used Microsoft Word's outline view functionality, or has only used it for a few moments.  As a person who was actually part of the beta test for the original Microsoft Word (yes, I mean the version that pre-dates Windows), and as a person who has used the Word outliner on almost a daily basis for close to 20 years, I can assure you that there is nothing else like it.  "Mind mapping" is not the same thing at all.
I have tried OpenOffice and LibreOffice.  I have looked for products that do what Word does.  Every few years I have made a thorough search.  I have never found a substitute.  And that's why I am still a Word user.
I don't use ANY other functionality of Word which is not duplicated in OpenOffice.    If OpenOffice had an outliner to simply do what Word does, I wouldn't need Word, and I wouldn't even need Windows.
Comment 200 Scott Kallen 2014-01-12 03:40:45 UTC
(In reply to ther from comment #191)
> As others have stated, there are other tools to achieve outliner
> functionality, such a mind map or text editors. New tools, technologies
> often necessitate developing new methods of working. Asking superior
> software to adopt legacy mentalities of performing tasks in m$o is a mistake.
> 
> The m$o outliner functionality as described here may well be a cause for
> software instability of m$o, such as the ability to move sections of
> formatted text whilst within this outline mode.
> 
> Introducing outline functionality like m$ would be a mistake and should be
> rejected.

You think the Outlining function might be a cause of MSW instability?  Talk about grasping at straws to support your point.  Until you can produce something other than an uneducated guess about the code of outline mode, we'll just toss that in the word-chipper.

So, what other legacy mentalities shall we toss out?  How about formatting?  Backspace!  Maybe Undo?  Outlining is a very basic function to many, many people who write for a living, not to mention those of us who code for a living and have a need to document what we do.

Honestly, the more I think about this ridiculous post, the more I think I just stuck my foot into flame bait.  It is frustrating to me because I'm sure one person taking the time to push back gives fuel to the Outlining opponents at OO (the OO@OO group.)
Comment 201 ther 2014-01-12 10:44:14 UTC
(In reply to debrota from comment #199)
> I see that there is at least one comment arguing against outliner
> functionality.  My assumption is that its author has simply never used
> Microsoft Word's outline view functionality, or has only used it for a few
> moments.  As a person who was actually part of the beta test for the
> original Microsoft Word (yes, I mean the version that pre-dates Windows),
> and as a person who has used the Word outliner on almost a daily basis for
> close to 20 years, I can assure you that there is nothing else like it. 
> "Mind mapping" is not the same thing at all.

It is a personal opinion that outline functionality is over-rated; from what has been stated, this legacy function is designed to enable an author to organise and plan the generation of content.

There are now numerous, multiple options available for authors to learn new working methods. Manufacturers removed the floppy disk drive from their products, the world did not stop.

> I have tried OpenOffice and LibreOffice.  I have looked for products that do
> what Word does.  Every few years I have made a thorough search.  I have
> never found a substitute.  And that's why I am still a Word user.
> I don't use ANY other functionality of Word which is not duplicated in
> OpenOffice.    If OpenOffice had an outliner to simply do what Word does, I
> wouldn't need Word, and I wouldn't even need Windows.

In the free market, m$ provides a legacy function that people value so much that they are prepared to do pay for, instead of learning a new method to achieve their target objective. The only people demanding outline function are those who learnt how to use m$o first. There is nothing to stop m$ fans from forming a group and offering a competition for programmers to develop a fork of the SO code with this outline function.

So, a suggestion. Find 1000 people currently paying to use m$o (no idea of the cost of m$ licences but for simplicity suggest each group member donates US$10). Form a group and offer a competition to programmers to create a fork ("outlineoffice"?;) ) with this function. When the fork is made available, allow the free-market to operate; people will have a simple option: m$; outlineoffice; OO; LO; etc..

After 10 years or so, it is evident now that the majority of users are not interested in outliner. This could be proven as and when outlineoffice becomes an available fork.
Comment 202 liotier 2014-01-12 11:47:17 UTC
--- Re: comment #201 from ther <inpost@gmail.com> ---
> 
> this legacy function is designed to enable
> an author to organise and plan the generation of content.

No, outlining is not an activity preliminary to the generation of content: it is the generation of content. It allows the writer to continuously reorganize the structure as his ideas take shape : thoughts and document structure feed back into each other.

> After 10 years or so, it is evident now that the majority of users
> are not interested in outliner.

Indeed the majority of users are not interested in an outliner... But when I reach out to hapless users lost in multi-hundred pages documents and show them how to use outline mode, it is usually a beautiful epiphany - they realize that word processing is all about structure, not presentation ! Suddenly, a disciplined style structure makes a whole lot of sense and the user ceases to format his document using carriage returns...

This is a recurring theme in collecting user requirements: 19th century people don't want a car - they want a faster horse. Just because the majority of users don't know they need an outliner doesn't mean is would not be useful to them. But from twenty years of writing as a software projects manager, I can testify that word processing productivity and well-structured documents are strongly correlated to the use of the outline mode.
Comment 203 ther 2014-01-12 12:14:26 UTC
(In reply to liotier from comment #202)
> 
> Indeed the majority of users are not interested in an outliner... But when I
> reach out to hapless users lost in multi-hundred pages documents and show
> them how to use outline mode, it is usually a beautiful epiphany - they
> realize that word processing is all about structure, not presentation !
> Suddenly, a disciplined style structure makes a whole lot of sense and the
> user ceases to format his document using carriage returns...
> 

For documents > 100 pages, consisting of cross references, bibliographies, graphics, maths, no word-processor can beat the power of LaTeX...

> This is a recurring theme in collecting user requirements: 19th century
> people don't want a car - they want a faster horse. Just because the
> majority of users don't know they need an outliner doesn't mean is would not
> be useful to them. But from twenty years of writing as a software projects
> manager, I can testify that word processing productivity and well-structured
> documents are strongly correlated to the use of the outline mode.

See reply above; the conclusion is, that there are alternative tools to achieve tho objective (logical, structured documents). When the only tool is a (word-processor) hammer, every problem is seen as a nail.
Comment 204 Manfred Braun 2014-01-12 12:35:57 UTC
This seems to be too zynic to me. I started using this type
of work more then 25 years ago [I mentioned it, I used
Framework2] and so came to word.

Why should I learn rules and mechanics of Latex, when
I can make this easiely visually ? And this even modifies
my thinking of the work, as other described. This is real
interactivity - building fluid between barin and result.

User dont use consoles, they use windowing apps.
Users use mouses and windowing systems since they
appear at Rank Xerox. Would you recommend to train
them to learn shell instead ?

Unix nerds uses mailinglists, everything interactive ouside
this type of thinking and behavior uses forum software.

One world cannot exist without the other, they are siblings
and this disput is really worthless. The majority lives in
a more interactive world, which doesnt neccessarily imply
all of them uses outlining. For the typical two pages letter
it does not give anything.

The growing complexity forces my to go back to word, because
of the outling. I am a lon time user of jEdit. But I need
meore structure, links, interactivity, graphics together
in one document. There usually the worthless shout of the
$ company, but there is nothing open like OneNote.

Mananging a complex world is not something which stops
at the current level.
Comment 205 liotier 2014-01-12 12:48:35 UTC
On 01/12/2014 01:14 PM, Comment #203 from ther <inpost@gmail.com> wrote:
>
> For documents > 100 pages, consisting of cross references,
> bibliographies, graphics, maths, no word-processor can beat the power
> of LaTeX...
>
> the conclusion is, that there are alternative tools to achieve
> the objective (logical, structured documents). When the
> only tool is a (word-processor) hammer, every problem is seen as a
> nail.

Word processing is not desktop publishing. What differentiate them is a different compromise between fluid expression and document control. This difference exists both in the WYSIWYG world (Scribus) and in the markup world (LaTeX).

Everyone who has used and cursed a word processor has at some point been tempted to use LaTeX... And most of those who were not typesetting to some academic norm or producing a book have gone back to word processing. Why ? Because typesetting posits a pipeline from content to rendering - the creative process is not a linear pipe but a hive of feedback loops... And that is why interactive tools are more popular.

Also, WYSIWYG or even pseudo-WYSIWYG makes the embedded rich content part of the creative process, not just a bit of irrelevant ornementation: in a marked up document, I can see that I emmbedded an image - but I can't see so I can't make it part of my thinking... So no LaTeX for me.
Comment 206 Susan Cragin 2014-01-12 13:19:18 UTC
I write documents of around 60,000 words, for which I need three or four levels of subheadings. 
Drafts are very important. I change constantly. 
I don't need much formatting. I don't need to insert pictures. 
And I value words over views. 
For that, the best outliner is EMACS. A half-day learning its basic functions (with org-mode) is well worth the trouble. People complain that EMACS is hard to learn, but it's not. 
Together with a great outline, it has simple and intuitive keystroke combinations for moving text around. 
When I want to print, I need only standard formatting, so it is never a problem for me to cut / paste to an empty OO document with the formatting I require. (TNR 12 and double-spacing.)
The only open-source word processor with outlining function is by Kingsoft. This Chinese-sponsored program may well be the wave of the future but right now it is VERY buggy. I don't recommend it. 

Both sides of this argument are right. There needs to be some program for those of us who produce a lot of words, and right now OO (and LO) is not it, and M$W is shabby at doing it. 
Apple users draft with OmniOutline, which is a great program but not a word processor. I am in a book-writers group and everyone seems to have an Apple but me. I have Ubuntu Linux. 
There needs to be an open-source program like OmniOutline, but non-Apple products in general seem to have poor outlining capabilites. There are a half-dozen great ones for Apple. 
Susan C
Comment 207 ther 2014-01-12 15:47:30 UTC
(In reply to liotier from comment #205)
> 
> Everyone who has used and cursed a word processor has at some point been
> tempted to use LaTeX... And most of those who were not typesetting to some
> academic norm or producing a book have gone back to word processing. Why ?
> Because typesetting posits a pipeline from content to rendering - the
> creative process is not a linear pipe but a hive of feedback loops... And
> that is why interactive tools are more popular.
>

This is a flawed criticism because it suggests feedback is not possible within LaTeX, when it is possible to review and edit content many iterative times prior final production by simple use of a dvi viewer.
Comment 208 ther 2014-01-12 15:56:55 UTC
(In reply to Susan Cragin from comment #206)
> For that, the best outliner is EMACS. A half-day learning its basic
> functions (with org-mode) is well worth the trouble. People complain that
> EMACS is hard to learn, but it's not. 
> Together with a great outline, it has simple and intuitive keystroke
> combinations for moving text around. 

Not being a user, it is understood from others that Emacs has good support for LaTeX via the optional modes available; perhaps you could try that option: Emacs-outline, followed by Emacs-latex to produce output.
Comment 209 jcartland 2014-01-12 19:44:22 UTC
I've come to the conclusion that Open Office is simply a tool for document formatting. It's good for that. As a writer's tool, it's even less useful than MS Office. 

For actual writing, working with thoughts and words, I've currently settled on a workflow of:
- Freeplane, for brain-storming and mind-mapping
- Scrivener, for outlining and composition.
- an assortment of tools to format the work product

Scrivener is one of the few pieces of proprietary software that I use and respect. It can import mind-maps and export into a variety of formats. 

Open/Libre Office can be useful in formatting Scrivener output for a printed document, but mostly I use Sigil and Calibre. 

Now, I'm going to stop following this discussion, it doesn't seem very productive.
Comment 210 wnross 2014-01-12 21:33:34 UTC
Seems how I've been monitoring this rather pointless discussion since 2003, and in the entire time I have not seen anything except hostility from the community to even discussing the issue of an outline capability, I propose two solutions

1) Put up or shut up.  If there is a valid writing workflow can ther please add a link to tutorials and documentation or a Wikipedia article that can demonstrate this.  Keep in mind that showing how to use Mindmaps and fighting with OOo's Navigator don't count.

2) Challenge to the developer community: So where would we start?  Give me the general gist of where in the code we could introduce a feature like this.  I can begin the process if I know where to look.  If I get a reply I will fork this on google code since any work I do will be sub par compared to the main tree since I will be developing a feature without the support of the development team.

Either way this discussion ends now.
Comment 211 ther 2014-01-12 23:18:17 UTC
(In reply to wnross from comment #210)
> 
> 1) Put up or shut up.  If there is a valid writing workflow can ther please
> add a link to tutorials and documentation or a Wikipedia article that can
> demonstrate this.  Keep in mind that showing how to use Mindmaps and
> fighting with OOo's Navigator don't count.
> 

It doesn't seem possible demonstrate a "valid" workflow, because general writing unlike other activities such as computer programming cannot have defined rules. In the first instance, authors should simply share their knowledge of other tools; it is then up to authors to conduct their own analyses and determine the most appropriate tools for their personal preferences.
Comment 212 Keith Collyer 2014-01-12 23:24:22 UTC
This whole thread has degenerated into a pissing competition between fanboyz  trying to prove that they are the most macho. I used EMACS (and LaTex, which is a separate topic and has no place in this discussion) when I wrote Lisp professionally, but I have no desire to use it for word processing. The plain fact is that for a lot of people an outliner is a basic writing tool that OO lacks. The traffic here shows that it is far higher priority than the "Trivial" currently assigned.
Comment 213 ther 2014-01-12 23:39:19 UTC
(In reply to keith from comment #212)
> This whole thread has degenerated into a pissing competition between fanboyz
> trying to prove that they are the most macho. I used EMACS (and LaTex, which
> is a separate topic and has no place in this discussion) when I wrote Lisp
> professionally, but I have no desire to use it for word processing. The
> plain fact is that for a lot of people an outliner is a basic writing tool
> that OO lacks. The traffic here shows that it is far higher priority than
> the "Trivial" currently assigned.

It was amazing to read the history duration; why haven't the fans of this feature organised a fork if extant programmers have (apparently) consistently expressed disinterest?
Comment 214 Donald Murray 2014-01-13 01:42:15 UTC
I'm one of the people that tried to push this feature on OO as I wanted to see an end to MS control of the desktop PC and quite simply, this feature IS the only feature that is keeping MS in control of the desktop market. Linux would explode exponentially over windows if this feature were added. I am a software engineer with 30 years experience and I've used outlining for almost that entire time. It is such a useful feature for specifications which most professional engineers produce. I think the engineers that write the code here are used to not writing specs....after all it is an open source development effort, which isn't necessarily done professionally....you pay for what you get....
I submitted this as we all want Outline mode, but the problem is that someone long time ago said "Navigator does it or there are 3rd party mindmapping tools" (which I quoted and stated that this is unmitigated BS). .....and the person assigned to my issue said that this problem was a duplicate of the one that said that crap and so it was already addressed, which of course it wasn't. We need to get to the head of the project and inform that person.....or if I had the time, I could get the source code and write my own version.
Make no mistake it's a big project to have to produce an alternative display for the entire project (Outline mode) and the controls and ability to apply outline formatting information to any text, and display that too in other display mode.

So for those of you that this outlining is considered ancient technology, if you supply an alternative that works, I'd be the first one to try it out, but nobody has done that yet. It needs to have ALL the features of MS outline mode, including the ability to expand and collapse the different outline sections.
I even tried to write my own macros with hidden text to handle hiding the text in a section to try and immitate outline mode, but it can't be done in any way using the existing controls.
It'll also need to be possible to generate tables of contents from the outline titles and to sort by outline sections, etc, etc...

So, yea, it's a lot of work and because the package wasn't designed with this in mind from day one, it'll be difficult.
However, Writer just isn't good enough without this functionality, and I still need MS WORD until Writer is fixed to support this.

Also, if anyone knows how to get this issue expanded beyond trivial, please do so.
Finally, please stop telling us to use 3rd party or navigator.....that's just not good enough. Also, stop talking about Latex, etc, as that is a different subject.
Thank you all for your input....keep trying....
Comment 215 Vivek Shroff 2014-01-13 07:30:10 UTC
This is a very important feature - indeed a game changer in the fight for dominance between MS Word and OpenOffice Writer.
I believe many corporates are actively supporting OpenOffice by encouraging their programmers to contribute to it. If it is so, I am surprised this feature has not received their attention.
If this particular feature requires financing, apart from the programming effort from the open source community, we can have a donation box to contribute for this feature.
The earlier this is done, the better.
Comment 216 ther 2014-01-13 10:07:10 UTC
(In reply to Donald Murray from comment #214)
> 
> So, yea, it's a lot of work and because the package wasn't designed with
> this in mind from day one, it'll be difficult.
> However, Writer just isn't good enough without this functionality, and I
> still need MS WORD until Writer is fixed to support this.
>

After greater than 10 years(!), it seems a fork is the logical way forward. Is it not possible for those vastly experienced to create some sort of UML specification for this function and offer some sort of crowd-funding proposal?

People have to put their money with their mouth is...no programmers here are interested, so this ticket should be closed and a new project created.
Comment 217 graylion 2014-01-13 10:34:42 UTC
Well, This bug is also being discussed in Libreoffice: https://bugs.freedesktop.org/show_bug.cgi?id=68167 and it appears, with a somewhat more open mind.
Comment 218 Oliver-Rainer Wittmann 2014-01-13 10:38:20 UTC
I am a developer and I am carefully listening to the what has been said here - just to demonstrate that not all developers are deaf and blind ;-)

Currently, my development priorities are set to other areas of OpenOffice. But I would be able to support others in their development work on this issue.
I can make no promises, but may be in the future I will get the corresponding resources to work on this issue.
Comment 219 Grisemine 2014-01-14 10:39:48 UTC
I took some time to read all the looong thread, and I feel a bit upset. Not for the dev team (they work for free and can do what they want :)) but for some comments.  

Have 2 books to write. I need outiner. Tried without, but it's hell. 

I wont learn emacs. I wont use the Navigator (crap). I use OpenOffice (LO in fact :p) for many years, everyday, for short to medium texts. It is nice. Tried Navigator, it is really not very good. Do more bad than good at organizing complex structured texts. 

Some are stating here that "they not need outile mode, so it is not needed". It is stupid, why do they talk here if they do not need this functionnality ? Please just pass buy and go bother others. I do NOT need to know that YOU can manage without this fonction. I CANNOT ! 

Here Word costs 62€. Just bought it. I love open source, mostly use it, but i'm not maniac. When OOo (or LO) gets a decent outline view, I will switch back. No big deal. 

But for all who say this feature is not neaded : just go play in the microwave oven (^^)! 

Sorry for my english.
Comment 220 LSr 2014-01-14 18:27:12 UTC
>
> https://issues.apache.org/ooo/show_bug.cgi?id=3959 jcartland <jcartland@gmail.com> changed: What |Removed |Added ---------------------------------------------------------------------------- CC| |jcartland@gmail.com --- Comment #209 from jcartland <jcartland@gmail.com> --- I've come to the conclusion that Open Office is simply a tool for document formatting. It's good for that. As a writer's tool, it's even less useful than MS Office. For actual writing, working with thoughts and words, I've currently settled on a workflow of: - Freeplane, for brain-storming and mind-mapping - Scrivener, for outlining and composition. - an assortment of tools to format the work product Scrivener is one of the few pieces of proprietary software that I use and respect. It can import mind-maps and export into a variety of formats. Open/Libre Office can be useful in formatting Scrivener output for a printed document, but mostly I use Sigil and Calibre. Now, I'm going to stop following this discussion, it doesn't seem very productive. 
I can confirm jcartland's experience.
We have been using Outliners since the DOS days. I have dumped SO, OO & LO on all our Win, Mac & Linux machines, because we need outlining tools.
We used Pages on Mac and also tried OmniOutline. Pages messes up formatting when documents get more than 3 levels deep and over 10,000 words in it's M$-Style outline mode.
Been using Word on Linux with wine and even Windows in VirtualBox with only Word installed for outlining. We also used Word on Mac till very recently, and found that one starts loosing the oversight in the 6-9 levels of large documents, let alone master and sub-documents with outlines.
We discovered Scrivener for Mac (also works on Win) two weeks ago. This is a professional tool. It needs a little time getting the hang of it, but there are many How-To's on YouTube for it to get going in about an hour. I am prepared to pay the $39 for it. I do not have time for this pathetic religiosity in the pro-contra Outliner discussions started by those who never used Outliners, exposing themselves through their ignorant responses for all to see by suggestion things like explorer and mind mapping tools for serious writing. We have to deliver technical academic documents without having to mess around with silly tools made for writing single page letters and simple stuff like that. We hav given up the hope we had in the OO project. I support FOSS and contributed financially to some good applications. I just can't support engineers (I'm one too) that have the attitude, that I had to unlearn, that they know what the customer needs and will only give him/her what they think is right. They usually go under with their dying projects; so move on to professional stuff for little money like Scrivener.

Oliver-Rainer Wittmann, I wish you all the best if you can get this off the ground. But with colleagues like inpost@gmail.com, you will have a tough time to get support - you may be on your own .... if I could code, I would help you all the way.

Cheers and have fun with your attitude "inpost@gmail.com" ... actually you are just causing troll flame bait. If only we could be sure you and other religiously 'I have the truth' contributors would heed to jljovano's comments, we could get a constructive environment for Oliver-Rainer Wittmann to enjoy the task ahead.

To Quote jcartland: " Now, I'm going to stop following this discussion, it doesn't seem very productive."

 ... Pity for the OO community to be buckled down by such mono-dimensional attitudes.
Comment 221 LSr 2014-01-14 18:29:32 UTC
>
> https://issues.apache.org/ooo/show_bug.cgi?id=3959 jcartland <jcartland@gmail.com> changed: What |Removed |Added ---------------------------------------------------------------------------- CC| |jcartland@gmail.com --- Comment #209 from jcartland <jcartland@gmail.com> --- I've come to the conclusion that Open Office is simply a tool for document formatting. It's good for that. As a writer's tool, it's even less useful than MS Office. For actual writing, working with thoughts and words, I've currently settled on a workflow of: - Freeplane, for brain-storming and mind-mapping - Scrivener, for outlining and composition. - an assortment of tools to format the work product Scrivener is one of the few pieces of proprietary software that I use and respect. It can import mind-maps and export into a variety of formats. Open/Libre Office can be useful in formatting Scrivener output for a printed document, but mostly I use Sigil and Calibre. Now, I'm going to stop following this discussion, it doesn't seem very productive. 
I can confirm jcartland's experience.
We have been using Outliners since the DOS days. I have dumped SO, OO & LO on all our Win, Mac & Linux machines, because we need outlining tools.
We used Pages on Mac and also tried OmniOutline. Pages messes up formatting when documents get more than 3 levels deep and over 10,000 words in it's M$-Style outline mode.
Been using Word on Linux with wine and even Windows in VirtualBox with only Word installed for outlining. We also used Word on Mac till very recently, and found that one starts loosing the oversight in the 6-9 levels of large documents, let alone master and sub-documents with outlines.
We discovered Scrivener for Mac (also works on Win) two weeks ago. This is a professional tool. It needs a little time getting the hang of it, but there are many How-To's on YouTube for it to get going in about an hour. I am prepared to pay the $39 for it. I do not have time for this pathetic religiosity in the pro-contra Outliner discussions started by those who never used Outliners, exposing themselves through their ignorant responses for all to see by suggestion things like explorer and mind mapping tools for serious writing. We have to deliver technical academic documents without having to mess around with silly tools made for writing single page letters and simple stuff like that. We haveå given up the hope we had in the OO project. I support FOSS and contributed financially to some good applications. I just can't support engineers (I'm one too) that have the attitude, that I had to unlearn, that they know what the customer needs and will only give him/her what they think is right. They usually go under with their dying projects; so move on to professional stuff for little money like Scrivener.

Oliver-Rainer Wittmann, I wish you all the best if you can get this off the ground. But with colleagues like inpost@gmail.com, you will have a tough time to get support - you may be on your own .... if I could code, I would help you all the way.

Cheers and have fun with your attitude "inpost@gmail.com" ... actually you are just causing troll flame bait. If only we could be sure you and other religiously 'I have the truth' contributors would heed to jljovano's comments, we could get a constructive environment for Oliver-Rainer Wittmann to enjoy the task ahead.

To Quote jcartland: " Now, I'm going to stop following this discussion, it doesn't seem very productive."

 ... Pity for the OO community to be buckled down by such mono-dimensional attitudes.
Comment 222 ther 2014-01-14 21:31:00 UTC
(In reply to LSr from comment #221)
> 
> Oliver-Rainer Wittmann, I wish you all the best if you can get this off the
> ground. But with colleagues like inpost@gmail.com, you will have a tough
> time to get support - you may be on your own .... if I could code, I would
> help you all the way.
> 

For the record, am not a "colleague" of Mr Wittmann, not connected in any way to SO, OO, LO, m$, LaTeX, LyX etc. etc., but a mere user of _any_ tool to meet a target objective to write content.
Comment 223 ther 2014-01-18 00:40:56 UTC
(In reply to ther from comment #201)
> (In reply to debrota from comment #199)
> 
> So, a suggestion. Find 1000 people currently paying to use m$o (no idea of
> the cost of m$ licences but for simplicity suggest each group member donates
> US$10). Form a group and offer a competition to programmers to create a fork
> ("outlineoffice"?;) ) with this function. When the fork is made available,
> allow the free-market to operate; people will have a simple option: m$;
> outlineoffice; OO; LO; etc..
>

Donations are now being accepted for the forthcoming LyX-outline function. See: http://www.oak-tree.us/lyx-outline/
Comment 224 Joe Locey 2014-01-18 01:00:19 UTC
I am skeptical of Ther's interests on this feature.

Also, I only give money to projects, where I feel that the developers have already shown that they have my best interest.  This means not begging for standard features like an outliner....and being ignored.


But I will say this.  After reading all of the posts in this thread, I do give Ther credit for reviving the conversation again.   Thanks for helping us out. ;-)
Comment 225 Grisemine 2014-01-18 09:16:44 UTC
@ther : tried Lyx years ago, it was still in early dev and missed lots of functions. Will try now with the plugin you mention. 
Thank you

(still, outline view in Writer would hit the spot better...)
Comment 226 ther 2014-01-18 14:20:52 UTC
(In reply to Joe Locey from comment #224)
> I am skeptical of Ther's interests on this feature.
>

Scepticism is your prerogative. Personally, have minimal interest in this feature, but wish to see one less trivial feature request when programmers should spend their time on far more critical _bugs_ in the software. If and when an open source tool with the outline functionality as described by protagonists becomes available, I'm sufficiently open-minded to investigate further; but paying m$? No thanks.
 
> Also, I only give money to projects, where I feel that the developers have
> already shown that they have my best interest.  This means not begging for
> standard features like an outliner....and being ignored.
>

One (wo)man's standard feature is another's gratuitous feature...
 
> 
> But I will say this.  After reading all of the posts in this thread, I do
> give Ther credit for reviving the conversation again.   Thanks for helping
> us out. ;-)

Suggestions have been made; it is up to those most passionate about this function to organise themselves accordingly.
Comment 227 Grisemine 2014-01-18 21:49:43 UTC
Hello, just found TreeSheets, a very nice and open source program that I think can help me organizing my ideas. Changing my way to work to incorporate it in my workflow. I recommand it (in the wait of real "outline mode" in Writer of course). It is a bit hard to get into it, so take the "tour" loaded at 1st start. 

By the way, @ther : what the hell are you still doing on this thread ? 14 messages ? What the f..k !!! Just provocating ? Remember : this thread is asking for a functionality that you do not think usefull ! I believe coming here bashing people asking for this feature is not very usefull. Or is it for you ? 
Dozens of people have bothered to come here asking for this feature, and you : 
"Introducing outline functionality like m$ would be a mistake and should be rejected." 
Who are you to state things like that ? 

Are trolls so bored they even come here ??? 
Please post where you have constructive comments to do.  Thank you.
Comment 228 plumb 2014-01-19 02:00:33 UTC
Since this issue has lasted for so many years, it seems that there must be some extreme difficulty blocking its implementation. Is there something basic to the structure of the program that would have to be completely rewritten? I am sure many people commenting here would appreciate a detailed technical explanation of the problems involved. Is someone willing and able to explain in layman's language?
Comment 229 liotier 2014-01-19 12:27:50 UTC
Mathias Bauer explained in 2007 (https://issues.apache.org/ooo/show_bug.cgi?id=3959#c76) that, on top of being a substantial and entirely new layout, this functionnality depended on being able to display simultaneously multiple layouts for a single document - which implied significant refactoring of the existing functionnality. In 2008 (https://issues.apache.org/ooo/show_bug.cgi?id=3959#c96) he underlined that lack of progress was not caused by undervaluing this feature but because its cost made it a lower priority. Support for multiple layouts was added in 2010 (https://issues.apache.org/ooo/show_bug.cgi?id=81480). Since then, no news as far as I could find by searching around. Mathias was most informative and constructive - has anyone heard from him ?

The last modifications to the wiki's Writer/ToDo/Layout page (https://wiki.openoffice.org/w/index.php?title=Writer/ToDo/Layout) were in 2009.

How much of those issues is shared with the LibreOffice project ? I'm posting here because that is where the conversation about Outline Mode has historically been focused, but maybe the relevant people have moved on...
Comment 230 ther 2014-01-19 16:06:15 UTC
(In reply to liotier from comment #229)
> Mathias Bauer explained in 2007
> (https://issues.apache.org/ooo/show_bug.cgi?id=3959#c76) that, on top of
> being a substantial and entirely new layout, this functionnality depended on
> being able to display simultaneously multiple layouts for a single document
> - which implied significant refactoring of the existing functionnality. In
> 2008 (https://issues.apache.org/ooo/show_bug.cgi?id=3959#c96) he underlined
> that lack of progress was not caused by undervaluing this feature but
> because its cost made it a lower priority. Support for multiple layouts was
> added in 2010 (https://issues.apache.org/ooo/show_bug.cgi?id=81480). Since
> then, no news as far as I could find by searching around. Mathias was most
> informative and constructive - has anyone heard from him ?
> 

No, but thanks for this history review. It prompted a search of the OO web site, which encountered the interesting concept of "lazy consensus" (http://openoffice.apache.org/community-faqs.html). Others equally ignorant are encouraged to read; learnt something new! :)
Comment 231 james flowerdew 2014-01-20 14:16:28 UTC
I wanted to add something again, appologies If I'm spamming.
From this end the argument seems so simple.
My emails take me an hour longer than they used to.
I used to write stories, I now don't.
I was writing a book, I have given up.
All this when we downgraded to open office, and more.
My thoughts like those of many come through muddled and need re-ordering after the inital recording process. Doing this without outline edit is a time consuming and confusing process.
The idea of flipping through various mind mapping technologies, and indeed learning their idioms and tool-sets fills me with fear (I am already clogged up with c#, php, html, javascript and several other coding languages, concepts, and GUI interfaces that are in themselves constantly re-shaping etc.).
Formatting also becomes harder, as outline editing allows you to choose your heading styles, and automatically these are reproduced as you promote and demote certain text/headings etc.
Think in terms of HTML where <h1> is always of a certain format and <h2> another. It makes life easy.
Please add this functionality, and make me recommend your product, which is otherwise great. Free software that only half replaces paid software is actually aiding it's paid competitors.
Comment 232 aduck 2014-01-30 23:57:31 UTC
Just adding another post to stress the significance of a MS Word-like outline mode.  It is an extraordinarily productive tool - random thoughts can be brainstormed, collected collated and organised.  If you are writing anything of any size or scope, it can cut the re-work you doby 90% - re-ordering, modifying structure etc.

I cannot move to OO until it has something as functional.
Comment 233 wenuti 2014-03-08 19:32:55 UTC
Again, just registered to support this request for a proper outline editing mode. Navigator is a subset of what is needed. I've used MS word outline heavily for nearly two decades. Switched to Linux and OO a while ago. And _really_ missing outline mode in writer. Documents of several dozen pages, heavily structured, need be complemented with an effective rearranging tool. Needed features have all been requested here before
Comment 234 tsudhonimh 2015-02-11 13:40:35 UTC
As this issue and #4914 approach their THIRTEENTH BIRTHDAYS, with no resolution in sight ... I continue to use MSWord for most of my large projects. 

Look - on this issue and #4914, both of which are old enough to start dating, just TRUST THE USERS TO KNOW WHAT FEATURES THEY NEED! 

Please go see this page ... It explains exactly why we want Outline view (and "normal" view. With NO need to import mind maps or look back and forth from side bar to text and back, you can see the information structure of the document. 

http://www.colelearning.net/ilo/English/Module_1/026_writing_strategy.htm

What they don't show is that you can drag an entire section  - if I decide that Horses should be the first topic, I can click on the top-level heading of that section and drag it and everything subordinate to it to the top of the document. 

Doesn't sound like much, but if someone is writing a 100+ page thesis where information order is important, seeing the headings and arranging them into a logical flow is part of the process. The more closely it is integrated into text entry and editing the better.
Comment 235 FCdBQxSEbhQs 2015-02-11 23:40:59 UTC
> Doesn't sound like much, but if someone is writing a 100+ page thesis where
> information order is important, seeing the headings and arranging them into
> a logical flow is part of the process. The more closely it is integrated
> into text entry and editing the better.


Tottaly agree! 
Outline is the only reason I open MS word. Unfortunately, I do it often, especially when I am in a "brainstorming" situation.
Comment 236 Sven AERTS 2015-02-12 12:37:05 UTC
Aha, finally financial requirement numbers!
Isn't that where the issue also lies: apparently at the moment - there's not enough programmers around here to program the outline feature?
As i understand, they could be attracted at a small cost.
Instead of swearing to each other and increasing frustration, anybody knows if there's a tool/space in Bugzilla where programmers can indicate how much money they need to make themselves free to program this on one hand and allow people who need a feature to chip in?

I think open source is important, the way I understand things, is that it is important to the 5 billion or so who do not participate in the formal economy at the moment to keep things free, and make everyone understand to please contribute also financially with what they can afford/think is fair.

Keep up the good vibe, all ! It's our world, our future, our dignity ...

(In reply to ther from comment #201)
> (In reply to debrota from comment #199)
> > I see that there is at least one comment arguing against outliner
> > functionality.  My assumption is that its author has simply never used
> > Microsoft Word's outline view functionality, or has only used it for a few
> > moments.  As a person who was actually part of the beta test for the
> > original Microsoft Word (yes, I mean the version that pre-dates Windows),
> > and as a person who has used the Word outliner on almost a daily basis for
> > close to 20 years, I can assure you that there is nothing else like it. 
> > "Mind mapping" is not the same thing at all.
> 
> It is a personal opinion that outline functionality is over-rated; from what
> has been stated, this legacy function is designed to enable an author to
> organise and plan the generation of content.
> 
> There are now numerous, multiple options available for authors to learn new
> working methods. Manufacturers removed the floppy disk drive from their
> products, the world did not stop.
> 
> > I have tried OpenOffice and LibreOffice.  I have looked for products that do
> > what Word does.  Every few years I have made a thorough search.  I have
> > never found a substitute.  And that's why I am still a Word user.
> > I don't use ANY other functionality of Word which is not duplicated in
> > OpenOffice.    If OpenOffice had an outliner to simply do what Word does, I
> > wouldn't need Word, and I wouldn't even need Windows.
> 
> In the free market, m$ provides a legacy function that people value so much
> that they are prepared to do pay for, instead of learning a new method to
> achieve their target objective. The only people demanding outline function
> are those who learnt how to use m$o first. There is nothing to stop m$ fans
> from forming a group and offering a competition for programmers to develop a
> fork of the SO code with this outline function.
> 
> So, a suggestion. Find 1000 people currently paying to use m$o (no idea of
> the cost of m$ licences but for simplicity suggest each group member donates
> US$10). Form a group and offer a competition to programmers to create a fork
> ("outlineoffice"?;) ) with this function. When the fork is made available,
> allow the free-market to operate; people will have a simple option: m$;
> outlineoffice; OO; LO; etc..
> 
> After 10 years or so, it is evident now that the majority of users are not
> interested in outliner. This could be proven as and when outlineoffice
> becomes an available fork.
Comment 237 Scott Kallen 2015-02-12 13:42:01 UTC
With the advent of Office 365, I don't see myself ever using OO again.  This refusal to implement Outline is actually the deal-breaker for me.

For all who are out here, wishing for a decent implementation of Outline Mode, you need to make sure you've voted two points and if you know *anyone* who feels the same way, get them to vote as well.  Right now, OO regards this as "trivial".  So you can imagine it will never be added unless more people complain about it.
Comment 238 ther 2015-02-18 22:05:06 UTC
With all these crowdfunding, bitcoin, donations, etc.. systems, it is
 notable that these m$ fans remain unable and unwilling to pay if this
 function is so "valuable". Meanwhile, more open-minded next generation
 computer users are nimble and adaptable enough to try freeplane,
 docear, qiqqa, lyx and of course the legendary latex, to name but a
 few.
Comment 239 Scott Kallen 2015-02-19 00:14:28 UTC
I have tried latex, freeplane and qiqqa.  As well as Mind Mapper and Omnigraffle.  None of these meet my needs.  OO w/Outline mode would be perfect.

Having said that, it should be notable that those of us you say are "unable and unwilling" to pay for this function *ARE* paying for this function.  We're spending money on Word, wishing OO would make that moot.
Comment 240 ther 2015-02-19 11:45:37 UTC
(In reply to Scott Kallen from comment #239)
> 
> Having said that, it should be notable that those of us you say are "unable
> and unwilling" to pay for this function *ARE* paying for this function. 
> We're spending money on Word, wishing OO would make that moot.

Exactly. Please refrain from the complaints ad nauseum and get organised. It should be easy for x people to donate even 10 % of the m$ tax they currently pay, to finance a programmer to resolve this legacy request. Why m$ fans are unable to do this is a mystery.
Comment 241 darobm 2015-02-19 12:04:44 UTC
It's been more than THIRTEEN YEARS of OOo programmers and managers NOT willing to consider this feature, plus other assorted morons than probably never wrote anything longer than 2 pages in their whole lives eager to explain to me why I can't understand what I need when I write.

To the oh-so-gentle-and-caring "ther": would you consider paying people that spent more than a decade not even considering your request and marking it "invalid" and!"trivial"?


Enjoy the bitching on an abandonware on apache.org, I'm outta here now.
Comment 242 Grisemine 2015-02-19 14:08:12 UTC
As the subject is restarting, I will just try to help a bit with some little (freeà things I found. (google them, or pm me if you cant find

- Organon module for Writer, promising but still unstable. 

- UV Outliner (simple) and Noteliner (more powerfull), both freeware, to make outlines. Also recent Foldout (open sourced I think)
- Plume creator, Judoom, oStoryBook and YWriter to organize text files for authors. 
- Bibisco, many things for writers (open sourced)
- Timeline (open sources) for ... timelines

For the outline mode in LO/Ooo, I won't wait for it anymore. If could I get more time and energy, I would and should start making it myself, but, well... 

Good writings !!
Comment 243 aexl 2015-02-19 15:17:27 UTC
YES, this is an important feature.

NO, shitstorming programmers will have no positive impact.

YES, we have libreoffice!

It was noticeable that some long-open usability features *have* been addressed by the libreoffice fork.
Although this issue surely won't be completed in one week, it may be possible that libreoffice folks at documentfoundation give higher priority to it.

IF someone wants to help in this direction: Create a companion ticket on https://bugs.documentfoundation.org/ and crosslink it on both sides.
Comment 244 moy 2015-02-19 16:08:36 UTC
> IF someone wants to help in this direction: Create a companion ticket on
> https://bugs.documentfoundation.org/ and crosslink it on both sides.

Don't report a new one. The bug is (obviously) already filled there:

https://bugs.documentfoundation.org/show_bug.cgi?id=38262
https://bugs.documentfoundation.org/show_bug.cgi?id=38093
Comment 245 ther 2015-02-19 18:58:39 UTC
(In reply to moy from comment #244)
> https://bugs.documentfoundation.org/show_bug.cgi?id=38093

The screenshots in this bug quoted above can be easily achieved using jedit (which has a separate outline plugin) and the 'fold' function in this program.

On the basis of the screenshots, it is easy to obtain outline functionality in existing other tools. Programmers should concentrate on other priorities.
Comment 246 Keith Collyer 2015-02-19 19:58:29 UTC
There is a bit of a dialogue of the deaf going on here. There seem to be a number of reasons why people are saying we don't need this:
1 I don't need it, so I can't see why anyone else does
2 You can use another program to do outlining
2.1 You can use freeplane or similar
2.2 You can use jedit
3 It's in Word, and MS is evil, so we won't do it
4 You can use Navigator
5 If you really want it, you'll pay for it

OK, 1 is a strawman, so ignore that (though it is evident that a lot of the people giving other answers really can't see why others need this capability)

2. No, you can't. The point about the outlining capability in MS Word is that it is pretty seamlessly integrated into the word processor. So freeplane isn't an option after the initial creation. Nor is jedit, as that is plain text. These are both fine programs, I often use freeplane myself in the initial stages, and I use a folding editor for plain text (not jedit, as it happens, but that's not really relevant)

3 grow up, little boy, some of us are in the real world

4 Navigator is very useful, but it is what it is. It allows you to navigate, but not to edit and move stuff

5 As has been said, we are paying, we have to use Word for this. If OO wants to be a serious competitor, it has to have features that people need, and a significant number of people, particularly those writing long documents, need a real outliner.

And from the "pro" side, a lot of frustration and, in some cases, insults (like in 3 above ;) )

BUT, none of this gets away from the fact that this is a significant, very useful and very powerful capability that has been requested for many, many years yet hasn't happened.
Comment 247 mroe 2015-02-19 20:19:54 UTC
Only one correction:

> 4 You can use Navigator

> 4 Navigator is very useful, but it is what it is. It allows you to navigate,
> but not to edit and move stuff


Yes, you can rearrange the content by using the navigator!
Comment 248 Donald Murray 2015-02-19 20:47:50 UTC
For the last time...NAVIGATOR DOES NOT DO THE EQUIVALENT OF OUTLINE VIEW. I have reported and refiled this bug again and again for the last 20 years or so. I'm tired of doing this.
Originally when I stated that adding Outline view to OOWriter could end Microsoft's domination of the world's software, I was laughed at, and yet, now, many years later, I am absolutely convinced that this is true. Many people, myself included would have switched many years ago to OO if it only had Outline View.
To understand how Outline view works, you should just try it within MS WORD. Stop trying to rationalize not doing it by saying it's already there in Navigator. Please just accept that we all know what features are present and Outline view is NOT there. Not in Navigator, not in any other feature.
Note that it's not just the functionality. Outline view actually marks the text with an invisible unique mark so you can create table of contents from Outline view, number using Outline View, etc., etc..
I wish sometimes that someone would just code it. I wonder if Microsoft has commissioned some of the OO developers not to develop it and to confuse the issue trough bugzilla here, so that it gets forever stuck in bugzilla mode, and never gets done.
Well, I hope it gets done this time.
Comment 249 Keith Collyer 2015-02-19 21:00:04 UTC
Created attachment 84513 [details]
Highlight Content View icon
Comment 250 Keith Collyer 2015-02-19 21:00:55 UTC
(In reply to mroe from comment #247)
> Only one correction:
> 
> > 4 You can use Navigator
> 
> > 4 Navigator is very useful, but it is what it is. It allows you to navigate,
> > but not to edit and move stuff
> 
> 
> Yes, you can rearrange the content by using the navigator!

I take it back, I had totally missed that. As, it seems, has pretty much everyone else who has commented here. Thanks. It's a shame this is not clearer, but who RTFM anyway!

It's still not as quite easy to use as in Word for moving, probably about the same for promotion and demotion.

In fact, this probably meets my needs. I wish someone had pointed this out earlier instead of the rants that appeared.

Fo people who don't know how this works, if you click on the "Content View" icon (see attachment, highlighted with red outline), you can even drag and drop in Navigator.
Comment 251 orcmid 2015-02-19 22:26:35 UTC
Created attachment 84514 [details]
Example of MS Word 2013 Outline View

(In reply to Donald Murray from comment #248)
> For the last time...NAVIGATOR DOES NOT DO THE EQUIVALENT OF OUTLINE VIEW. I
> have reported and refiled this bug again and again for the last 20 years or
> so. I'm tired of doing this.
> [ ... ]
> I wonder if Microsoft has
> commissioned some of the OO developers not to develop it and to confuse the
> issue trough bugzilla here, so that it gets forever stuck in bugzilla mode,
> and never gets done.
> Well, I hope it gets done this time.

I have included an image of the Outline view of a report I am currently finalizing for publication, so that folks can see what it is like and what the toolbar for it (aka Outline-specific ribbon) provides.

It seems forgotten that this issue was recorded in 2002 and for 10 years the code was under the control of Sun Microsystems and Oracle Corporation.  My impression is nothing is required on the part of Microsofties other than watching these issue threads for their own bemusement.

In fact, there is no commitment that this will be worked on.  The volume of the discussion here isn't the determining factor.  It has to do with expertise in the code and both availability and willingness of a developer to take this on versus whatever other priorities attract those skills.  Although some AOO developers are on the payroll of one firm or another, I fear Microsoft is not one of them and I'm not certain being here has anything much to do with anyone's day job.
Comment 252 Donald Murray 2015-02-20 02:40:13 UTC
Comment on attachment 84514 [details]
Example of MS Word 2013 Outline View

I'm sure. I was only venting (about Microsoft infiltrating the OO development team) as I'm tired of asking for this. Maybe I'll look at it and maybe I'll write the code myself. I can't guarantee this myself, as my time is at a premium, but I might....meanwhile, please try to get it assigned to someone currently on the project. Thank you.
Comment 253 Donald Murray 2015-02-20 02:40:16 UTC
Comment on attachment 84514 [details]
Example of MS Word 2013 Outline View

I'm sure. I was only venting (about Microsoft infiltrating the OO development team) as I'm tired of asking for this. Maybe I'll look at it and maybe I'll write the code myself. I can't guarantee this myself, as my time is at a premium, but I might....meanwhile, please try to get it assigned to someone currently on the project. Thank you.
Comment 254 orcmid 2015-02-20 03:04:03 UTC
Created attachment 84516 [details]
Example of the Navigation Sidebar in Word 2013

Here's another image to demonstrate that, at least for Word, Navigation and Outline are separate.

It may still be that the Navigation facility of OpenOffice Writer will alleviate some of the pain for folks.

(In reply to Donald Murray from comment #253)
> ....meanwhile, please try to get it assigned to
> someone currently on the project. Thank you.

There is no way to assign someone.  Someone must assign themselves.  I know it is difficult to appreciate that about the governance model that Apache OpenOffice is under, but that is how it works.  

Something that we need to do more of is figure out how to triage all of these open issues and present some sort of view into them where the available and potential developers can assess the situations and perhaps provide a more visible, systematic approach.  It will all depend on consensus and folks both able and ready to do the work.
Comment 255 gryphonB 2015-05-31 21:32:43 UTC
Love this feature
Comment 256 FCdBQxSEbhQs 2015-06-02 08:21:41 UTC
The missing "Outline View" feature in open-office is of such paramount importance, I am unable of letting it being ignored.

The feature is going to be implemented by programmers, so in order to have more chances to take high priority, I believe it must be described in a "language" closer to coding.

As I see it, the "feature" in question is ***very familiar to programmers*** who use it every day. Every IDE and most code editors include it. The "feature" is consisted by the following sub-features:
a) Code folding, and
b) Auto indenting

According to Wikipedia, Code folding "allows the user to selectively hide and display – 'fold' – sections of a currently-edited file as a part of routine edit operations. This allows the user to manage large amounts of text while viewing only those subsections of the text that are specifically relevant at any given time."(!!) (http://en.wikipedia.org/wiki/Code_folding). Furthermore, indentation "is used to format program source code to improve readability" (http://en.wikipedia.org/wiki/Indentation_%28typesetting%29)

I find both descriptions, very accurate regarding the "Outline View", which is requested here. Although most programmers could not live without the above, the request of implementing it for authors is disregarded, and marked as "trivial".
It is not the same as the "Navigator" feature mentioned here before. It is a pure productivity tool, essential for large size text authoring.

I am absolutely sure there are already available open source routines to handle the above mentioned functions. The challenge is to adapt the routines to the open-office framework. I wish I could help, but my knowledge of the open-office framework is extremely limited.

I hope someone from the core team will notice this. In the current condition, each OO text document is doomed to contain just a few pages of content.

regards


-- 
----------------------------------
Tassos Kolydas
PhD Musicology - MSc Computer Science

http://www.kolydart.gr/en/
----------------------------------
--
Comment 257 ther 2015-06-03 06:33:10 UTC
(In reply to FCdBQxSEbhQs from comment #256)
> The missing "Outline View" feature in open-office is of such paramount
> importance, I am unable of letting it being ignored.
> 

If you have the flexibility of mind to change from m$, you should have similar mental flexibility to adjust away from the m$ concept of outline view.

> 
> As I see it, the "feature" in question is ***very familiar to programmers***
> who use it every day. Every IDE and most code editors include it. The
> "feature" is consisted by the following sub-features:
> a) Code folding, and
> b) Auto indenting
>

Easily achievable in many text editors such as jedit, or mind map such as freeplane.

You can achieve outline function in jedit, use version control and make final formatting in writer by simple copy of text from text editor to writer.
Comment 258 liotier 2015-06-03 06:45:33 UTC
> You can achieve outline function in jedit, use version control
> and make final formatting in writer by simple copy of text
> from text editor to writer.

What sets a word processor apart from a
Comment 259 liotier 2015-06-03 06:52:09 UTC
(Apologies for the previous fragment inadvertently sent.)

> You can achieve outline function in jedit, use version control
> and make final formatting in writer by simple copy of text
> from text editor to writer.

What sets a word processing apart from a desktop publishing and text editing is that content and form are melded. The text editor focuses on the content, the desktop publishing package focus on format - a word processor does both... It is a compromise.

In desktop publishing, such as using the excellent Scribus for example, the workflow is indeed to take a piece of text produced elsewhere and use it as raw material for a set of pages where formatting happens.

The attraction of word processing is that content creation happens in a formatted environment. Considering a word processor as a mere last stage in the pipeline is quite demeaning... And if that is the role assigned to Writer, the why use it instead of Scribus ?
Comment 260 Grisemine 2015-06-03 07:24:01 UTC
@ther, you are still doing nothing good here. 

May you please answer me : "why do you keep talking here about something you do not want and clearly do not understand ?"

Now it is "copy your text to a code editor (losing all your formattings ?) and then fold/unfold as you like, and then back to Writer (put back all formatting ?)
It is just PLAIN STUPID, it seems you never used a word processor in real life, for anything longer than a letter !

ALL  your (MANY) answers are totally out of the subject, you keep trying to give (BAD) workarounds on a very precise and necessary functionnality. And, again, if you do not need it, I do, so please stop saying it is not usefull !

So many people came here to ask for this, and you are still trying to tell us how to do without. Hey, man, if I wanted to do without, I would not ask for it !

Last thing : you should try to find some version (even very old) of MS Word, and try to work in the Plan mode. You then would understand : why it is so "different" from navigator or other "workarounds", and why it is so usefull to so many people !

@all others : is there a way to "report" him for polluting this (very important ;)) thread ? 

and sorry for my poor english...
Comment 261 Scott Kallen 2015-06-03 07:24:53 UTC
(In reply to ther from comment #257)

> If you have the flexibility of mind to change from m$, you should have
> similar mental flexibility to adjust away from the m$ concept of outline
> view.

At issue is not whether or not we can use some alternate method of doing outlines.  It's that while m$ Word has many faults, it does this one thing extremely efficiently and well.  The ease of use of the Outline view is, in my opinion, second to none.

You sound like Steve Jobs when people complained about the faulty antenna years back, and his answer was "You're holding it wrong."  You comment indicates I should just change the way I want to work because OO doesn't support it.  If that's not the cart before the horse, I don't know what is.

> Easily achievable in many text editors such as jedit, or mind map such as
> freeplane.
> 
> You can achieve outline function in jedit, use version control and make
> final formatting in writer by simple copy of text from text editor to writer.

Really?  That's your proposed solution?  This is a forum for Open Office not jedit or some other Rube-Goldbergesque workflow.  No one is debating whether or not you can do all sorts of things to create an outline and stuff it into Writer.

This thread is begging for a clean, straightforward and easy-to-use Outline mode.  We all cite Microsoft (oh, sorry, I forgot to be pegorative) M$ Word not because we love M$ or Word.  But because that particular feature of Word seems to be one of the best, if not the best, implementation of an outliner integrated seamlessly into a powerful Word Processor.

This is what those of us voting for this *ALL* want to see.
Comment 262 mroe 2015-06-03 08:03:58 UTC
@all:

1. Have you ever used the Navigator? Have you looked at *all* its features?
2. Have you ever used File → Send → Create AutoAbstract…?
3. Have you ever created big documents using a Master Document?
4. You are family with templates (for any object)? Press F11 …
5. …

=> What is the benefit of a separated Outline View (for text documents with all capabilities {not only simply text and code!})?
Comment 263 William 2015-06-04 10:11:18 UTC
Who talks about a *separate* outline view ? 

It's not separate. And your whole questions simple proove you've never used MS Outline view to build a document. So, I invite anybody not to answer this troll anymore.
Comment 264 ther 2015-06-05 11:19:27 UTC
(In reply to Grisemine from comment #260)
> @ther, you are still doing nothing good here. 
> 

https://bz.apache.org/ooo/show_bug.cgi?id=3959#c238

As the second decade since this "bug" approaches, why as the m$ clone fans unable to organise, pay programmers to make this "bug" top priority and make the function a reality.

The fact is, for gratis, the majority of programmers see no value in the time required to produce this function. Suggestion? Substitute your m$ licence fee to pay for the development. To clarify, not a programmer, therefore no conflict of interest in the suggestion.

> May you please answer me : "why do you keep talking here about something you
> do not want and clearly do not understand ?"
> 
> Now it is "copy your text to a code editor (losing all your formattings ?)
> and then fold/unfold as you like, and then back to Writer (put back all
> formatting ?)
> It is just PLAIN STUPID, it seems you never used a word processor in real
> life, for anything longer than a letter !
> 

Assumptions, assumptions, assumptions.
(In reply to Scott Kallen from comment #261)
> (In reply to ther from comment #257)
> 
> > If you have the flexibility of mind to change from m$, you should have
> > similar mental flexibility to adjust away from the m$ concept of outline
> > view.
> 
> At issue is not whether or not we can use some alternate method of doing
> outlines.  It's that while m$ Word has many faults, it does this one thing
> extremely efficiently and well.  The ease of use of the Outline view is, in
> my opinion, second to none.
> 
> You sound like Steve Jobs when people complained about the faulty antenna
> years back, and his answer was "You're holding it wrong."  You comment
> indicates I should just change the way I want to work because OO doesn't
> support it.  If that's not the cart before the horse, I don't know what is.
> 
> > Easily achievable in many text editors such as jedit, or mind map such as
> > freeplane.
> > 
> > You can achieve outline function in jedit, use version control and make
> > final formatting in writer by simple copy of text from text editor to writer.
> 
> Really?  That's your proposed solution?  This is a forum for Open Office not
> jedit or some other Rube-Goldbergesque workflow.  No one is debating whether
> or not you can do all sorts of things to create an outline and stuff it into
> Writer.
> 
> This thread is begging for a clean, straightforward and easy-to-use Outline
> mode.  We all cite Microsoft (oh, sorry, I forgot to be pegorative) M$ Word
> not because we love M$ or Word.  But because that particular feature of Word
> seems to be one of the best, if not the best, implementation of an outliner
> integrated seamlessly into a powerful Word Processor.
> 
> This is what those of us voting for this *ALL* want to see.
Comment 265 ther 2015-06-05 11:21:04 UTC
(In reply to Grisemine from comment #260)
> @ther, you are still doing nothing good here. 
> 

https://bz.apache.org/ooo/show_bug.cgi?id=3959#c238

As the second decade since this "bug" approaches, why as the m$ clone fans unable to organise, pay programmers to make this "bug" top priority and make the function a reality.

The fact is, for gratis, the majority of programmers see no value in the time required to produce this function. Suggestion? Substitute your m$ licence fee to pay for the development. To clarify, not a programmer, therefore no conflict of interest in the suggestion.

> May you please answer me : "why do you keep talking here about something you
> do not want and clearly do not understand ?"
> 
> Now it is "copy your text to a code editor (losing all your formattings ?)
> and then fold/unfold as you like, and then back to Writer (put back all
> formatting ?)
> It is just PLAIN STUPID, it seems you never used a word processor in real
> life, for anything longer than a letter !
> 

Assumptions, assumptions, assumptions.
Comment 266 Grisemine 2015-06-05 19:08:05 UTC
@ther : you are just a troll. Now on I will ignore you totally.
Comment 267 lllactive 2015-06-06 11:12:41 UTC
I've got no hope this issue will be addressed. I'm leaving the list and wish all happy Outlining with M$. I worked with Word through VirtualBox with Win-XP; now I have dropped M$ and Word; I now use Scrivener. Scrivener is a writing studio that goes beyond Outlining. It can also be used in an Outlining fashion, but it goes beyond that. It is a writer's tool, not a formatting tool. Formatting documents is done with other applications like Pages, Adobe, even Word, etc. Formatting with AOO is too laborious. LibreOffice is similar, but also needs more work than Proprietary software to format documents for printing. I recommend using Scrivener (US$45 is cheap enough) for all who do serious writing. I decided to buy the software that is important for my writing, like Scrivener and Pages on Mac. Farewell to all - I'M out of here.
Comment 268 jonathon 2015-06-06 20:03:06 UTC
> And your whole questions simple prove you've never used MS Outline view to build a document.

And that response simply proves that you've never learnt how to replicate MS Outline view in AOo, using the currently available tools. 

IOW, this bug should be closed as "requested functionality is currently provided".
Comment 269 Grisemine 2015-06-06 21:16:12 UTC
As some of the negative contributors clearly don't know what we are talking about, here are some videos of the "Plan mode" of MS Word. There is nothing close in Writer, nothing you can emulate or "do as if it was in". The closest thing would be master document, but it is INCREDIBLY mode combersome. And no, the Navigator have nearly nothing to do with this. 

In Plan mode : 
- you still are in a "full editing mode", no restriction
- you select a line or paragraph, hit "tab" and it "promote" it and all that is after. Shift-tab to demote. 
- you select and grab and move all the text (ok, here the navigator can do this, but it is far more powerfull and convenient)
- you can hide/show content (expand collapse) for all or any of the parts, at any level, with a clic. 

Did I say that ALL THE TIME you are in a "full editing mode", no restriction ??? 

So, is there another way to do this, even better than Plan mode of MS Word ? Certainly. The "multidocument arborescent organisation" of Scrivenr (very good too) is better. And using some kind of "linear" mindmapping would be far more powerfull. I'm not programmer, but I would be happy to help think about it. 

https://www.youtube.com/watch?v=qfi6fNJ3tj8
https://www.youtube.com/watch?v=tjoDe9ObnEk
Comment 270 Scott Kallen 2015-06-06 21:25:03 UTC
(In reply to jonathon from comment #268)
> > And your whole questions simple prove you've never used MS Outline view to build a document.
> 
> And that response simply proves that you've never learnt how to replicate MS
> Outline view in AOo, using the currently available tools. 
> 
> IOW, this bug should be closed as "requested functionality is currently
> provided".

Jonathon,

Before you criticize a writing tool perhaps you should learn or bother to read.

No one in this thread is suggesting that Outlining can't be done in OO.  We all have tried it.  I, for one, gave it a month of daily use, thinking the Navigator could suffice and I just needed to adapt my workflow.  It did not and never will.  So not "currently provided."

When I work on technical docs, I use outline mode for just about everything.  No one is saying this is a bug.  This is a feature request--that the task of outlining become much more usable.  Who knows?  Maybe they could come up with something that was better than Word.

I love much about Open Office.  I eagerly installed and used it.  But this was a show-stopper for me (and others, it would seem.)

So, while I watch this list on the slim chance that someone will tackle this feature I don't expect it.  But I (and whatever percentage those of us in favor of this feature represent) won't be reinstalling OO anytime soon, either.  It's a shame but there it is.

It's trolls like you who come in to muddy the waters and keep OO from gaining a feature that could increase market share.
Comment 271 Donald Murray 2015-06-06 21:47:39 UTC
I'm one of the original people that brought up this issue. I also submitted one of the issues to have it marked as duplicate solved by someone who thought that navigator could do the same functionality (which it emphatically cannot even come close).
I didn't arrive at this request lightly. I even tried creating a set of macros to collapse and expand text in a way similar to outline, and it was just not possible.
Simply put, the existing tool is just incapable of providing this functionality on it's own....and yes, I tried to use what was there and as I said, tried to use every available macro and functionality to find an alternate way to do it using the existing tool....just cannot do it.
Right now, this is a more important feature than the keepers of this tool realize as this is the sole reason a lot of these people are not switching to linux as their desktop....
I write mostly specifications and there isn't another tool that can do this as MS WORD with outline mode. I use all the functionality, including section promotion/demotion, expand/collapse, etc, etc...and I need all the functionality.
The suggestion that we use another tool to do that "part" shows a clear lack of understanding on how to use this.
Please do not suggest that this functionality is provided elsewhere and this is a duplicate....as this shows unprofessionalism and an inability to listen and comprehend, and please stop with the name calling on this forum, or I'll have you removed. Thankyou.
Comment 272 Mark McKay 2015-06-06 23:37:42 UTC
Are new features like this still being added to OpenOffice, or is the development more in bugfix-only mode?  If so, where would be a more appropriate place to request this useful feature?  This feature request has been open for a long time to no avail.

I know there were some earlier posts saying it might help things if folks contributed money toward the project - is there a way to make a donation and also attach the message 'please implement an MS-like outliner feature'?
Comment 273 FCdBQxSEbhQs 2015-06-07 08:28:40 UTC
@Mark McKay &all

> I know there were some earlier posts saying it might help things if folks
> contributed money toward the project - is there a way to make a donation and
> also attach the message 'please implement an MS-like outliner feature'?

Count me in, too.

@Grisemine &all
Thanks for the video links. It seems to me that the second one is more descriptive. I was thinking of creating a demo video of the requested feature, myself. Both videos do not emphasize enough on the (large) size of the document you can handle with the feature. 

Also, you mention that 
> - you select and grab and move all the text 
> (ok, here the navigator can do this, but it is 
> far more powerfull and convenient)
Navigator is not able to move multiple nodes with one gesture. Say you want to move three sections elsewhere, you have to do the same gesture three times, which is error prone, and confusing.

The most important functionality is what you emphasize:
> ALL THE TIME you are in a "full editing mode", no restriction

I am a big fan of Aoo and I am involved in promoting open source software in educational institutes, especially academic. This missing feature is one of the biggest drawbacks against using Open Office in serious writing.

-- 
----------------------------------
Tassos Kolydas
PhD Musicology - MSc Computer Science

http://www.kolydart.gr/en/
----------------------------------
--
Comment 274 nmailhot 2015-06-07 09:03:43 UTC
(In reply to mroe from comment #262)
> @all:

> => What is the benefit of a separated Outline View (for text documents with
> all capabilities {not only simply text and code!})?

What is the benefit of Styles in Openoffice? Word does styles too! Has done so for years!

The difference is one implementation can be used for mass document writing, the other is incredibly cumbersome and no one in his right mind will use it for anything but demos or small-time editing. And, also to pretend "my app does this too" to fool third parties that do not actually use the feature.

BTW Styles are all about document structure, and so does outline view, it's incredibly frustrating not to have a correct implementation of both in the same app.
Comment 275 mroe 2015-06-07 11:55:17 UTC
Created attachment 84777 [details]
Navigator with Outline View

(In reply to Grisemine from comment #269)
> And no, the Navigator have nearly nothing to do with this. 

???
This is exactly what we talking about!
You can rearrange chapters also by D&D.

> - you can hide/show content (expand collapse) for all or any of the parts,
> at any level, with a clic. 

This is the only thing that is missing in Writer.


> Did I say that ALL THE TIME you are in a "full editing mode", no restriction
> ??? 

Which restrictions you find in Writer?
Comment 276 Grisemine 2015-06-07 13:23:41 UTC
(In reply to mroe from comment #275)
> Created attachment 84777 [details]
> Navigator with Outline View
> 
> (In reply to Grisemine from comment #269)
> > And no, the Navigator have nearly nothing to do with this. 
> 
> ???
> This is exactly what we talking about!
> You can rearrange chapters also by D&D.
> 
> > - you can hide/show content (expand collapse) for all or any of the parts,
> > at any level, with a clic. 
> 
> This is the only thing that is missing in Writer.
> 
> 
> > Did I say that ALL THE TIME you are in a "full editing mode", no restriction
> > ??? 
> 
> Which restrictions you find in Writer?

Lets stop arguing about content. Lets argue about your behaviors. 
We (lots of people !) miss something. We come here and say "hey, OOo/LO people, we miss that, please make it for us". 
You and some others morons (no name given :p)come and say "no, it is not missing". You explain why you think so. We (alot of people) tell you "you missed the point, it is really missing". And you continuously hammer "it is here, you just don't know how to use it". 

Ok, it is your point of view. But I still miss this functionnality. You can say what you want, I still miss it. I'm 50 years old, and I will not change my way of working. And I missed Outline mode enough to buy MS Word, AND scrivener and some more.
And I'm here to ask for it, so it is in Open Source sofware too, because I love Open Sourced software (and I'm avaricious), and I miss this function alot. 
And still you come here to say "no you do not need it" or "it is allready there".
Comment 277 FCdBQxSEbhQs 2015-06-07 14:01:26 UTC
(In reply to mroe from comment #275)
> Created attachment 84777 [details]
> Navigator with Outline View
> 
> (In reply to Grisemine from comment #269)
> > And no, the Navigator have nearly nothing to do with this. 
> 
> ???
> This is exactly what we talking about!
> You can rearrange chapters also by D&D.

It is not the same! 
Try moving multiple headings of the same level; impossible.
Go to the nth Heading in the text and locate it in Navigator. Let's say you are in Heading 14.8.5.2 and heading numbering is disabled; it will take you a very (very) long time! 
Try moving paragraphs; impossible.

All that happen, because the editing area is separated from the organizing/navigating function. You have to use two pair of eyes to observe two different representations, which should be unified in a single interface.


-- 
----------------------------------
Tassos Kolydas
PhD Musicology - MSc Computer Science

http://www.kolydart.gr/en/
----------------------------------
--
Comment 278 tsudhonimh 2015-06-07 15:39:09 UTC
I just finished editing and layout for a friend's PhD dissertation. It has 150 or so pages of text, tables with titles, images with captions, appendices with more images and tables, several pages of Matlab code with comments, and all the academic rigamarole in the front matter, footnotes and pagination. There is no way in Hades that Open/LibreOffice could have been used for that document without missing the deadline.

(In reply to mroe from comment #275)
> Which restrictions you find in Writer?

How does OpenOffice's "Navigator" restrict me compared to what I can do with the full-featured outline view, let me count the ways ... and this list is with only a few minutes doing things that I have to do repeatedly while writing. They all relate to how OO makes it harder for me to get things done in a complex document.

They all relate to OO's making it harder to have a smooth workflow and harder to create a document where the information is in logical order and levels of importance are clear than MSWord does. 

1 - It takes up screen space I need for doing layout. A proper outline mode would merely switch the view within the active window, without popping up another window. 

2 - It's a split screen with poor integration to the document, requiring me to find the section in the Navigator or document, click or double click it to go to the section, then do what I need to in the section, go back to the other window ... over and over and over.

Promoting and demoting requires me to select stuff on one screen, find it on the Navigator screen (see point 3), click the promoter or demote button and then go back and make sure it worked.

3 - It's not bidirectional ... if I doubleclick on something in the Navigator it will pull up that section of the document in the text window.  If I doubleclick on a heading in the document, it does not highlight that section in the navigator. And I often need to see where a bit of information is in a document, looking for the most logical place to move it to.

4 - It does not show me the formatting of the headings. Sounds picky, but when chunks of text are coming from several sources, checking for uniform formatting of the headings is critical, and showing just the headings with MSWord's optional "show styles and formatting" makes it easy.  OO makes it impossible.

5 - The Tables and Images are not shown under their section headings in the Navigator, they are in separate listings with no indication of what heading they are under - that is NOT a useful map of my document.

6 - The tables and images are in separate lists, so I don't have an easy way to make sure that tables are in the correct position with respect to the images they accompany. 

7 - Text is not shown under a header in the navigator.  I often have a heading with just a sentence saying "TBD", or "Chuck owes me this info by Tuesday" ... I can scan the document first lines in MSWord's outline view and spot those things if I have the "show first line of the paragraph" is active. I can't with the Navigator. 


======================

The suggestion, which has been repeated several times, that an author use a stand-alone outliner and then import the outline into OO and then do the writing ignores the way that most professional writers work. As the work develops, as reviewers give us input, we add and move text, adding and removing headings, moving content around until the information flow is smooth and easy to follow through the document.

The suggestion that we should fork the project and write that feature ourselves has also been made. Does anyone seriously think that if any of the persons who have voted for this feature KNEW how to do it they would not have just DONE it already? 

The suggestion has been made that we pay to have someone do it, and that it would take 50K euros or so ... I'll start a kickstarter or gofundme with payment to be delivered if and only if the enhancement is released into the main distribution with all the requested features working as specified. The things holding it up - some sort of refactoring - have apparently been taken care of, so it should be an easy chunk of money for someone. 


======================

If you wonder why it's hard to get professional writers to work on Linux documentation, wonder why the Linux documentation is legendary for its suckiness ... why should a professional writer work for FREE for the very people who don't take OUR tool requirements seriously.
Comment 279 mroe 2015-06-07 16:34:07 UTC
(In reply to tsudhonimh from comment #278)
> They all relate to OO's making it harder to have a smooth workflow and
> harder to create a document where the information is in logical order and
> levels of importance are clear than MSWord does. 

Thank you for your listing. It seems clear that people who works a long time with OpenOffice (LibreOffice, StarOffice) and especially people who never worked with another word processor have another workflow than you.

> 3 - It's not bidirectional ... if I doubleclick on something in the
> Navigator it will pull up that section of the document in the text window. 
> If I doubleclick on a heading in the document, it does not highlight that
> section in the navigator. And I often need to see where a bit of information
> is in a document, looking for the most logical place to move it to.

Activate the Content View.
Comment 280 jonathon 2015-06-09 01:50:10 UTC
> Before you criticize a writing tool perhaps you should learn or bother to read.

Before calling me a troll, perhaps you ought to learn how to use AOo.

There is nothing, but nothing, in that video, that can not be done today, from within AOo.
Comment 281 j_s_dussault 2015-06-09 01:58:13 UTC
(In reply to jonathon from comment #280)

> There is nothing, but nothing, in that video, that can not be done today,
> from within AOo.

Collapsible and modifiable structure system interface fully usable inside the writing window area?

Where? What is it called?
Comment 282 sophia 2015-06-09 12:48:18 UTC
I just though to an another way to see possible enhancement. Could we possibly allow to edit content directly into the navigator (and layout the navigator window into the main application window) ?

About forking : maybe you could try LibreOffice : http://www.libreoffice.org/
Comment 283 Scott Kallen 2015-06-09 14:22:00 UTC
(In reply to jonathon from comment #280)
> > Before you criticize a writing tool perhaps you should learn or bother to read.
> 
> Before calling me a troll, perhaps you ought to learn how to use AOo.
>
> There is nothing, but nothing, in that video, that can not be done today,
> from within AOo.

I'll assume you just missed this part of my post.  The part right under the section you quoted:

> No one in this thread is suggesting that Outlining can't be done in OO.  We
> all have tried it.  I, for one, gave it a month of daily use, thinking the
> Navigator could suffice and I just needed to adapt my workflow.  It did not
> and never will.  So not "currently provided."

Which A) points out (for the umpteenth time) that no one argues that you *can* make an outline with Navigator; the issue is that the workflow required to do so is cumbersome and unwieldy for those of us who use outlining on a regular basis, and B) lays out that I spent the time to learn the tool and tried to integrate it into MY workflow.

So, yeah.  Troll.
Comment 284 ther 2015-06-11 11:06:06 UTC
LaTeX??? :)
Comment 285 ther 2015-06-11 11:11:56 UTC
(In reply to tsudhonimh from comment #278)
> I just finished editing and layout for a friend's PhD dissertation. It has
> 150 or so pages of text, tables with titles, images with captions,
> appendices with more images and tables, several pages of Matlab code with
> comments, and all the academic rigamarole in the front matter, footnotes and
> pagination. There is no way in Hades that Open/LibreOffice could have been
> used for that document without missing the deadline.
> 

Latex??? :)


> 
> The suggestion, which has been repeated several times, that an author use a
> stand-alone outliner and then import the outline into OO and then do the
> writing ignores the way that most professional writers work. As the work
> develops, as reviewers give us input, we add and move text, adding and
> removing headings, moving content around until the information flow is
> smooth and easy to follow through the document.
>

Writers should learn new tools, new methods. When you bought that ipod, did you insist on trying to insert a cassette tape?
 
> 
> The suggestion has been made that we pay to have someone do it, and that it
> would take 50K euros or so ... I'll start a kickstarter or gofundme with
> payment to be delivered if and only if the enhancement is released into the
> main distribution with all the requested features working as specified. The
> things holding it up - some sort of refactoring - have apparently been taken
> care of, so it should be an easy chunk of money for someone. 
> 
> 

Please provide the necessary links and specification into the campaign. That is the best way to get the m$ fans to stop whining and actually do something. If  a $10m fund exists and noone is interested to write the code...

> 
> If you wonder why it's hard to get professional writers to work on Linux
> documentation, wonder why the Linux documentation is legendary for its
> suckiness ... why should a professional writer work for FREE for the very
> people who don't take OUR tool requirements seriously.

Gnuplot (using latex) is a good example of what is possible
Comment 286 Grisemine 2015-06-11 18:34:45 UTC
Trolls alert : ther, jonathon, mroe
Comment 287 ther 2015-06-12 08:26:57 UTC
(In reply to Grisemine from comment #286)
> Trolls alert : ther, jonathon, mroe

The old weak argument: dislike the message, shoot the messenger.
Comment 288 jmcvetta 2015-06-12 11:01:59 UTC
How much of this trolling do you suppose is sponsored by Microsoft & friends?  Gotta make sure Word's special sauce feature never gets implemented in Free Software.  And if it makes the OpenOffice community look like a bunch of dense, belligerent pricks then even better!
Comment 289 William 2015-06-12 11:02:58 UTC
I don't know why we loose time to argue. 

On one side, we've many people asking for a feature. I'm one of these.

On the other side, we have a small bunch of people explaining us that 
- we don't know how to use Ooo
- the feature we want is useless 
- the work can be done by ather way. 

None of them has been able to show a efficient way to do the same as with the MSW outline view and all what they say show that they never had to work with such a feature. Furthermore, they're able to tell people working for decades with different word processors, text editors and publishing software and producing huge and various documents that they are just unable to think different.

What else should be done ? There nothing to argue with these kind of people. There's no way to convince them and the only way they would have to convince us is to show or explain us a real good way to work in Ooe like with MSW Outline view. What they are unable to do 'cause they don't even know what they're talking about.

There is no reason to loose more time with these guys.


BUT I've been shocked by the idea to make a donation while asking to implement the feature. I hope that Ooo Foundation would NEVER take such a manoeuvre in consideration. (Even if I'm not naive enough to think it never happens)

That would mean that future developments would be chosen, not considering what users want or miss, but be guided by the amount of donations. So the richest would have the features, the poorest would have the contempt. That sounds completely opposed to Open Source spirit.

I make donations from time to time because I use these software, adhere to the Open Source spirit and goals and want to help the way I can. I wouldn't never think about putting requests in front of my donations. It wouldn't be donations anymore, but fees. 

Anyway, I'm fed up with all this sterile discussion, so I give up. I've moved to LibreOffice anyway and would only come back to Ooo if it has killing features or an outline view one day. But I don't think it will ever happen : this request last for too long, even after it has been "confirmed".
And our opponents words show that development team may never understand why we miss this feature and how to achieve it the right way.
Comment 290 Keith Collyer 2015-06-12 12:58:30 UTC
(In reply to Keith Collyer from comment #250)
> I take it back, I had totally missed that. As, it seems, has pretty much
> everyone else who has commented here. Thanks. It's a shame this is not
> clearer, but who RTFM anyway!
> 
> It's still not as quite easy to use as in Word for moving, probably about
> the same for promotion and demotion.
> 
> In fact, this probably meets my needs. I wish someone had pointed this out
> earlier instead of the rants that appeared.

I should say that, even though this mostly meets my needs, it is far from providing the facilities needed for a full outliner. It doesn't offer in-place editing, which is vital to many people. It doesn't support folding, which is also vital to many people. I have found both of these useful in the past.
Comment 291 Grisemine 2015-06-12 13:09:15 UTC
I was puzzled by so much hattred about this feature. So I made some researches. Mroe is making many good demands and remarks on this forum. Jonathon is a computer tech from NZ it seams, nothing to do here but why not. 

but I am wondering, ther, why you are only participating this thread, still so actievly ??? You have no presence on the Ooo forum, no other topic quote, nothing. Just come here to bash systematically the Outline view. 

Is it possible that you actually are just here to somehow hinder about this feature, that misses to much in Writer and make Word so usefull for writers ??? 

(home my last sentense is understandable, hard in english :p)
Comment 292 ther 2015-06-12 14:01:11 UTC
(In reply to William from comment #289)
> 
> On the other side, we have a small bunch of people explaining us that 
> - we don't know how to use Ooo

true

> - the feature we want is useless 

personal opinions? Note that to date, not a single programmer values the requirement sufficient to write new code accordingly. Authors, by definition good communicators, continue to fail to communicate the value...

> - the work can be done by ather way. 
> 

ibid.

> None of them has been able to show a efficient way to do the same as with
> the MSW outline view and all what they say show that they never had to work
> with such a feature. Furthermore, they're able to tell people working for
> decades with different word processors, text editors and publishing software
> and producing huge and various documents that they are just unable to think
> different.
> 

Correct

> 
> BUT I've been shocked by the idea to make a donation while asking to
> implement the feature. I hope that Ooo Foundation would NEVER take such a
> manoeuvre in consideration. (Even if I'm not naive enough to think it never
> happens)
>

There is nothing wrong with the principle of a group a people stating that they value something (in this case, an m$ clone but without being prepared to pay BTC 1e-5!) that they are prepared to commission payment. In the real world, it's called consultancy. The whole purpose of open source software is _freedom_: to pay, or not to pay...
 
> That would mean that future developments would be chosen, not considering
> what users want or miss, but be guided by the amount of donations. So the
> richest would have the features, the poorest would have the contempt. That
> sounds completely opposed to Open Source spirit.
> 

Total nonsense, future development has always been chosen by a combination of donations, programmers skills and interests, users. Note that programmers' interests are not mandated to equate to the priorities of users. Programmers donate their time, users donate their time also.

> I make donations from time to time because I use these software, adhere to
> the Open Source spirit and goals and want to help the way I can. I wouldn't
> never think about putting requests in front of my donations. It wouldn't be
> donations anymore, but fees. 
> 

Nothing wrong with donations and consultancy fees. Those freedoms are the basis of GPL. Compare with the option of m$ that all those that want a free m$ clone: pay the licence fee or break the law (and we know many m$ fans have illegal copies of m$ software...).

> Anyway, I'm fed up with all this sterile discussion, so I give up. I've
> moved to LibreOffice anyway and would only come back to Ooo if it has
> killing features or an outline view one day. But I don't think it will ever
> happen : this request last for too long, even after it has been "confirmed".
> And our opponents words show that development team may never understand why
> we miss this feature and how to achieve it the right way.

LO has m$ clone outline mode??? ;)
Comment 293 lllactive 2015-06-12 15:53:40 UTC
I have found a solution for the Outline user. I used M$-Outliner for writing a few theses already. I have no time and decades of time to wait for OO, LO, etc., because they will not become the Outliner feature. 
The trolls here just try to side-track all, but they will never pull the wool over an Outline user's eyes. But a dumb mind will keep trying to scare off the genuine users and FUD the newcomers. They have succeeded in this case -- we have no Outline function in OOo. That is why I write this message, to help the desperate Outliners find a useful tool, not FOSS, but which is not too costly.
As a true help, I found a package that does much more than Outlining, but I can use the M$ Outline skills in the propriety program Scrivener (affordable and definitely value for the money; students pay 15% less). It is a writer's tool. I wrote an APA formatted dissertation with it last year, exported it to Word 2003 as a perfect outlined document, then formatted it and made a printable pdf for the Univ. and printers. Outlining is done in the Binder and an Outline View -- there are various ways to do outlining. Scrivener goes much further than just outlining, however.
Just watch this Video made by the designer. Intro: https://www.literatureandlatte.com/videos/ScrivIntroLarge.mov, 
and search with https://startpage.com (meta search machine, no goggle slanted results) for "scrivener outline". There are numerous tutorials and different approaches to Outline with Scrivener. HTH Outliner friends!
Comment 294 orcmid 2015-06-12 17:02:01 UTC
While this seems to be a lot of wonderful "There's something wrong in the Internet" good clean fun, it appears to me that a key point of open-source software projects is being overlooked.

It does not matter what this perpetual debate concludes, if it ever reaches a conclusion.

All that matters is that someone who is equipped to implement such a features offers a definition of what the result will be (so the community can respond and help refine that).  And that person and others must actually undertake the design, program, testing, and quality assurance of such a feature.

Without available and committed project capability, there is no point in expecting that this perpetual discussion will have any purpose but being for the fun of it and an expression of righteous opinions and ad hominem insults.

Arguing about what someone else is expected to do, without anyone else stepping forward to do it, is not destined to achieve any useful result.

Enjoy.
Comment 295 RJ Mical 2015-06-12 20:55:51 UTC
The cavemen that want us to use stone-age tools, they are NEVER going to change, they will NEVER give us outlining mode.  They will never understand the usefulness and power of this tool.  We will continue to turn our backs on OO and give money and support to Microsoft for creating the superior product.  

I want to believe in OO, but the disregard and disrespect shown here to us, the users who vote with our wallets and our mindshare, these jerks and their attitude have made me give the finger to the whole thing.  

And to you effin trolls who never spent a month with Word Outline Mode the way we have spent many months trying to get OO to do the same, you blind argumentative fools, I hope you take at least a little joy from the sound of the lonely winds howling down the empty streets of your failed open source project.  You killed it with your senile attempt to cling to your dusty old ways.  Gnuplot with LaTex, indeed.  Wake up and join the 21st Century.

OO could have been a champion.  Instead it's relegated to the heap of "cheap attempts that never quite made it."  And it's this same "crap brew is good enough" attitude that may keep Linux from ever becoming mainstream.  

I've watched this discussion for three years now since my initial request.  I've had enough.  How do I unsubscribe from this list?
Comment 296 cmpike1 2015-06-12 22:08:59 UTC
I'm unsubscribing this list.  I'm using MS Word for everything.  Every document I create starts in outline mode, and is often rearranged and organized in outline mode many times before final.  'bye, all.
Comment 297 Joe L 2015-06-12 22:46:02 UTC
>>>> Assigned To:Mathias_Bauer@gmx.net <<<<<

There is the problem. This is assigned to Mathias Bauer (absent).

@those who are leaving this list. You are giving into these lazy trolls who want to convince us that we don't know what we are asking for.


I also find it interesting that a couple of these guys are so high-strung negative (Ther)about our request..  Because of this rude guy (THER), I have already switched over to LibreOffice.  

When OoO decides to be better than M$word, I will happily come back. Today, a professional writer needs a solid outliner.  A techie guy would not understnad this, becuase he wants us to use a mickey mouse method.

Fire the guy this assigned to, and get someone who will promote the user request.

(scratching head) I still don't understand why this one guy wants to stand in everyone's way. Does he work for M$ or it is a job beyond his ability?
  :-p   ;-)
Comment 298 Mark McKay 2015-06-12 23:50:54 UTC
It would be nice if everyone here were to relax.  Developing open source software isn't easy.  Most of OpenOffice is a reqorking of Star Office - Sun Microsystem's attempt to compete with MS Office back in the day.

Something an integrated as an Outline View strikes me as something that would be fairly tricky to implement.  Not only is it complex, but if it's done wrong it could mess up the primary function of the word processor.  For that reason, it's pretty unlikely that any outside contractor and/or could fix this since even if they came up with a solution I would expect the chances of it being integrated into the main code base would be nil.  (I've on occasion submitted small patches to other open source projects.  Usually they go ignored).

If anything is to get done, there needs to be someone on the core OpenOffice team that thinks it is a good idea - which begs the question of just how active the dev team is.  Is there a core team actively working on new features?  Or is the code in a bugfix-only state?  If there is an active dev team, how can outsiders get involved?

Also, if the OO team is not interested/able to work on this feature, it would be nice if they could just say so plainly.  The Navigator is a great feature, but it falls short of a fully integrated outliner mode.  (And LaTeX - seriously?  Does anyone outside of a university engineering department use that?).
Comment 299 orcmid 2015-06-13 05:00:03 UTC
(In reply to Joe L from comment #297)
> >>>> Assigned To:Mathias_Bauer@gmx.net <<<<<
[ ... ]
> Fire the guy this assigned to, and get someone who will promote the user
> request.
> 
> (scratching head) I still don't understand why this one guy wants to stand
> in everyone's way. Does he work for M$ or it is a job beyond his ability?
>   :-p   ;-)

Who says Mathias Bauer is standing in the way?

The assignment probably existed from before Apache OpenOffice, since this bugzilla repository was inherited from Oracle who continued it from Sun.  Please look at comments ##51, 54, 64, 76 (all in 2007) with more information in comments ## 89, 92,  96 (in 2008) and then #224 in 2014.  Mathias has not commented on this issue since 2008.  Yet you will find that he took it seriously and analyzed how difficult it would be to do.  Considering that he was a seasoned OpenOffice developer, assuming he is a roadblock is unwarranted as is the magical thinking that the complexity of the solution is irrelevant to the importance of the feature to some.  

This is not a business and we don't operate on a corporate model where people are fired.  

I have switched the assignment to the generic default so you can see there is no one responsible for this incident.  And even if someone was listed, because they took custody of the issue, that does not mean they are promising to implement the enhancement.  Michael knew what he was doing and he was not promising an implementation either.  Obviously, circumstances were such that the feature has never been implemented.

To be clear.  No current experienced developer has taken on assigning this issue to themselves and figuring out how to take its development further.  There is no timeline and there is no project of the imagined kind ready to force this enhancement into reality.

I suggest those who find outlines to be an indispensible feature find a product where the feature is available.  Here it is at best available someday in an indefinite and very speculative future.
Comment 300 dwig 2015-06-13 05:47:13 UTC
orcmid,

Thanks for your clear and concise reply.  As I read it, this statement in effect closes this issue, until/unless someone outside the core team decides to take it on.  (Is there anyone out there who writes many documents, uses outlining heavily, and is also a developer with considerable free time?)

I'm a developer, but I don't match the other two attributes.  Out of curiosity, is this something that could be done by an extension (maybe in Python, my language of choice)?  Is there documentation of the code that would be useful to an outsider willing to take on this project?
Comment 301 ther 2015-06-13 06:16:51 UTC
(In reply to lllactive from comment #293)
> As a true help, I found a package that does much more than Outlining, but I
> can use the M$ Outline skills in the propriety program Scrivener (affordable
> and definitely value for the money; students pay 15% less). It is a writer's
> tool. I wrote an APA formatted dissertation with it last year, exported it
> to Word 2003 as a perfect outlined document, then formatted it and made a
> printable pdf for the Univ. and printers. Outlining is done in the Binder
> and an Outline View -- there are various ways to do outlining. Scrivener
> goes much further than just outlining, however.

Any competent writer can achieve exactly the same using LyX/text editor with outline function (see above!!!) and LaTeX.
Comment 302 ther 2015-06-13 06:20:25 UTC
(In reply to Joe L from comment #297)
> 
> @those who are leaving this list. You are giving into these lazy trolls who
> want to convince us that we don't know what we are asking for.
>

:) :) Some don't even know how to un-subscribe...
 
> 
> I also find it interesting that a couple of these guys are so high-strung
> negative (Ther)about our request..  Because of this rude guy (THER), I have
> already switched over to LibreOffice.  
>

Does LO have outline mode?
 
> 
> Fire the guy this assigned to, and get someone who will promote the user
> request.
>

Is the person employed? By whom?
Comment 303 ther 2015-06-13 06:23:23 UTC
(In reply to Mark McKay from comment #298)
> It would be nice if everyone here were to relax.  Developing open source
> software isn't easy.  Most of OpenOffice is a reqorking of Star Office - Sun
> Microsystem's attempt to compete with MS Office back in the day.
>

At long last, recognition of the difficulty...

> 
> Also, if the OO team is not interested/able to work on this feature, it
> would be nice if they could just say so plainly.  The Navigator is a great
> feature, but it falls short of a fully integrated outliner mode.  (And LaTeX
> - seriously?  Does anyone outside of a university engineering department use
> that?).

Yes, commercial software development and financial services, to give two examples (from observation, not speculation)
Comment 304 ther 2015-06-13 06:26:54 UTC
(In reply to dwig from comment #300)
> orcmid,
> 
> Thanks for your clear and concise reply.  As I read it, this statement in
> effect closes this issue, until/unless someone outside the core team decides
> to take it on.  (Is there anyone out there who writes many documents, uses
> outlining heavily, and is also a developer with considerable free time?)
> 

Agree, but the problem is the protagonists demanding an m$-clone without making any contribution to development of such a tool...

> I'm a developer, but I don't match the other two attributes.  Out of
> curiosity, is this something that could be done by an extension (maybe in
> Python, my language of choice)?  Is there documentation of the code that
> would be useful to an outsider willing to take on this project?

Since the user requirements of this request seem to require a fundamental review of the core code, the extension option does not seem viable.
Comment 305 Keith Collyer 2015-06-13 13:20:15 UTC
Over on the LibreOffice wiki someone has created a page (https://wiki.documentfoundation.org/WikiAction/history/Outline_view) for specifying what an Outliner should do. Unfortunately, it doesn't actually have any real content right ow, but maybe that's a place it could be developed.

Here is my starter for what is needed (N) means you can do this in Navigator, (W) that you can do it in Word:
1. Display text to any level (W fully; N partially, only for headings)
2. Fold (hide) text under a heading (W)
3. Allow editing in the outline (W)
4. Move, promote and demote text (W fully; N partially, as it does not allow promoting non-headings to headings or demoting headings to non-headings)
5. (Good practice, but not essential) Enforce strict parent-child relationship
6. (Useful, but not essential) Focus on a single "section", including children, hiding, or at least fading, all others

Notice neither Word nor OO has all these features. 

The thing that makes Word's outline editor uniquely powerful is that it does not force you to switch windows (or panes within a window, but it's really the same thing). Someone once said switching windows while working on a computer is like having to go to a different room  in a building to do a specific task. Now, for some tasks this is necessary, but for doing your everyday job it should not be. Imagine if you had to be in a different room to write documents from the one you are in to read them. This is why editing in the outline is so valuable. You might be rearranging a document in Word's outline view when you notice a spelling mistake, you can fix it straight away. In Navigator, you wouldn't even see it. This is also why suggestions to use a separate outliner miss the point. You use outlining not just to create the initial structure, but also to work with it afterwards. And suggestions to go back and forth between an outliner and word processor are equally silly for reasons thrashed to death above.

Word also has other features that are useful, but to my mind not that valuable, such as optionally displaying a single line of text under a heading.

So I would not be looking for a Word clone, I want something better. I suspect that the internal document structure used by OO is what makes this difficult. I don't mean the .odt file format, but how OO holds information in memory.

As for Lyx / LaTeX, I would happily use them if I were producing documents just for myself. But I work with a large team and documents are produced collaboratively. Hell with be at absolute zero before they move away from standard word processors. We are supposed to all use OO, but most docs are still in Word.
Comment 306 Scott Kallen 2015-06-13 20:21:20 UTC
(In reply to orcmid from comment #299)
> (In reply to Joe L from comment #297)
> > >>>> Assigned To:Mathias_Bauer@gmx.net <<<<<
> [ ... ]
> > Fire the guy this assigned to, and get someone who will promote the user
> > request.
> > 
> > (scratching head) I still don't understand why this one guy wants to stand
> > in everyone's way. Does he work for M$ or it is a job beyond his ability?
> >   :-p   ;-)
> 
> Who says Mathias Bauer is standing in the way?
> 
> The assignment probably existed from before Apache OpenOffice, since this
> bugzilla repository was inherited from Oracle who continued it from Sun. 
> Please look at comments ##51, 54, 64, 76 (all in 2007) with more information
> in comments ## 89, 92,  96 (in 2008) and then #224 in 2014.  Mathias has not
> commented on this issue since 2008.  Yet you will find that he took it
> seriously and analyzed how difficult it would be to do.  Considering that he
> was a seasoned OpenOffice developer, assuming he is a roadblock is
> unwarranted as is the magical thinking that the complexity of the solution
> is irrelevant to the importance of the feature to some.  
> 
> This is not a business and we don't operate on a corporate model where
> people are fired.  
> 
> I have switched the assignment to the generic default so you can see there
> is no one responsible for this incident.  And even if someone was listed,
> because they took custody of the issue, that does not mean they are
> promising to implement the enhancement.  Michael knew what he was doing and
> he was not promising an implementation either.  Obviously, circumstances
> were such that the feature has never been implemented.
> 
> To be clear.  No current experienced developer has taken on assigning this
> issue to themselves and figuring out how to take its development further. 
> There is no timeline and there is no project of the imagined kind ready to
> force this enhancement into reality.
> 
> I suggest those who find outlines to be an indispensible feature find a
> product where the feature is available.  Here it is at best available
> someday in an indefinite and very speculative future.

... Ands this closes the subject for me.  The problem here is that the coders are making the calls as to what needs to be implemented.  They're basing it on ease of coding, not user need.  With the comment above representing actual policy of OO, this feature will never see the light of day and I think we can all quit trying to "teach the pig to sing."  It's never going to happen. 

Honestly the only reason I was pulling for this feature was because I was rooting for Open Source.  It's done and like Linux Desktop, it will never be a major player.

Too bad.

So long and thanks for all the fish.
Comment 307 Donald Murray 2015-06-14 00:21:46 UTC
I'm going to have to unsubscribe too. I really am annoyed at those who seem to be fighting what the user's want. Outline mode as implemented in WORD is what people want. There is NOTHING in OOWriter that currently doesn't this even partially. So, those who claim that Navigator does it just don't understand it and have never used it.
So, those who are arguing that it does possess it have succeeded. I just can't be reading 20 emails a day watching stupid arguing over what I know to be....OOWriter is an inferior product without this Outlining function and I just have no time for it. When I read that it has been implemented I'll look at it....however, I've said all I'm going to say on this forum.
i.e. Currently, is NOT implemented.
I, and the million other Word users will continue to use Word until we read that this situation has changed.
I don't want to hear how someone who has never used Word THINKS that it's already implemented. I've tried all these suggestions before and they don't work and they do not implement Outline view the way it should be implemented.
Also, no, I do not want to use a 3rd party in addition to my word processor to implement it....just isn't practical. Word is easier...
So, Good day and good night. I'm outta here...unsubscribe.

I'll keep my eye on this functionality in the vain hope that it'll get implemented. Maybe if I ever get time, I'll code it myself...

Good Luck to y'all.
Comment 308 ther 2015-06-14 11:17:15 UTC
(In reply to Keith Collyer from comment #305)
> Over on the LibreOffice wiki someone has created a page
> (https://wiki.documentfoundation.org/WikiAction/history/Outline_view) for
> specifying what an Outliner should do. Unfortunately, it doesn't actually
> have any real content right ow, but maybe that's a place it could be
> developed.
> 

Where it gets developed should be irrelevant; what's more important is that a defined specification is made to enable the decision to proceed (or not).

> 
> Notice neither Word nor OO has all these features. 
>

With respect, proper user specification is required, analogous to UML. If features prove to be more powerful than m$, at last we would be seeing a real desire for other word processors to be more than an m$-clone for those that want free software without any need to change behaviour or to donate towards _free_ development.
 
> away. In Navigator, you wouldn't even see it. This is also why suggestions
> to use a separate outliner miss the point. You use outlining not just to
> create the initial structure, but also to work with it afterwards. And
> suggestions to go back and forth between an outliner and word processor are
> equally silly for reasons thrashed to death above.
>

The xml/dita/latex paradigm; write content once, write presentation/format elsewhere. As such, what's wrong with multiple windows? Do one thing, well, is the unix mindset...
 
> 
> As for Lyx / LaTeX, I would happily use them if I were producing documents
> just for myself. But I work with a large team and documents are produced
> collaboratively. Hell with be at absolute zero before they move away from
> standard word processors. We are supposed to all use OO, but most docs are
> still in Word.

Change is painful, especially from those too old/profitable to change. Disruptive, innovative technology, is by definition a major threat to the status quo. Anyway, lyx/latex/subversion is a successful collaboration environment: https://en.wikibooks.org/wiki/LaTeX/Collaborative_Writing_of_LaTeX_Documents
Comment 309 ther 2015-06-14 11:20:43 UTC
(In reply to Donald Murray from comment #307)
> I'm going to have to unsubscribe too. I really am annoyed at those who seem
> to be fighting what the user's want. Outline mode as implemented in WORD is
> what people want. There is NOTHING in OOWriter that currently doesn't this

Programmers are entitled to be annoyed that users want something for free, that took a commercial company much money to develop. To date, not one whiner seems prepared to put money on the table, whilst happily paying the m$ tax (legal users only, of course...)
Comment 310 jmcvetta 2015-06-14 11:42:57 UTC
MS-sponsored trolls, please stop insulting people.  You are tiresome.  

I think it's safe to say that most (not all) people who would benefit heavily from real outlining support in OO are not software developers.  And most software developers working on OO would not themselves benefit much from this feature.  So it never gets implemented.

Also, I get the impression this feature would be highly non-trivial to implement.  Might require a huge amount of labor to do even a half-assed job.  I have no personal experience with the OO codebase, but I have heard people say it can be overwhelming.

So for the time being, it looks like there will be no Free Software version of this important tool.  That will help prolong Microsoft's desktop dominance. Which is kind of the point of all the trolling here, I suspect.
Comment 311 Keith Collyer 2015-06-14 12:08:00 UTC
(In reply to ther from comment #308)
> (In reply to Keith Collyer from comment #305)
> > Over on the LibreOffice wiki someone has created a page
> > (https://wiki.documentfoundation.org/WikiAction/history/Outline_view) for
> > specifying what an Outliner should do. Unfortunately, it doesn't actually
> > have any real content right ow, but maybe that's a place it could be
> > developed.
> > 
> 
> Where it gets developed should be irrelevant; what's more important is that
> a defined specification is made to enable the decision to proceed (or not).

Indeed, I should add my suggestions to the specification.

> > Notice neither Word nor OO has all these features. 
> >
> 
> With respect, proper user specification is required, analogous to UML. If
> features prove to be more powerful than m$, at last we would be seeing a
> real desire for other word processors to be more than an m$-clone for those
> that want free software without any need to change behaviour or to donate
> towards _free_ development.

Professionally I am a requirements engineer, and I can tell you that the last thing that most non-software developer users want is a specification in UML ;). Use Cases are a great way of understanding and structuring requirements, User Stories are in many ways better, but neither are requirements. Once we have an agreed (sub-)set of user requirements, then we can start creating the sort of detailed requirements developers need, and designing the solution. BTW, this can be done in an agile way by identifying the best value for least effort.

> > away. In Navigator, you wouldn't even see it. This is also why suggestions
> > to use a separate outliner miss the point. You use outlining not just to
> > create the initial structure, but also to work with it afterwards. And
> > suggestions to go back and forth between an outliner and word processor are
> > equally silly for reasons thrashed to death above.
> >
> 
> The xml/dita/latex paradigm; write content once, write presentation/format
> elsewhere. As such, what's wrong with multiple windows? Do one thing, well,
> is the unix mindset...

Separating writing content and creating presentation is fine, so long as you can move seamlessly between the two. And you have to remember the audience, most users of word processors want WYSIWYG, they haven't made the conceptual switch needed to separate content and presentation. In some cases they don't want to - and we should acknowledge that there is nothing wrong with that, if you can do things in one tool why learn two? In some cases, they don't even realise that there is a difference. Again, this is the market that OO is in, like it or not. I am personally happy with that separation, though even I would prefer to use Lyx over a plain text editor to crate LaTeX material - it really does help to see things like headings clearly indicated on the screen.

As for the Unix mindset, that is a valid point, though it isn't a mindset that is acceptable to most word processor users. If OO is to be seen as a credible alternative to MS Office, it has to be acceptable to those who have grown up using MS. That is just reality. Refusing to see that means that OO will remain like Linux, in many ways better than the MS alternative, but never reaching mass appeal.

> > As for Lyx / LaTeX, I would happily use them if I were producing documents
> > just for myself. But I work with a large team and documents are produced
> > collaboratively. Hell with be at absolute zero before they move away from
> > standard word processors. We are supposed to all use OO, but most docs are
> > still in Word.
> 
> Change is painful, especially from those too old/profitable to change.
> Disruptive, innovative technology, is by definition a major threat to the
> status quo. Anyway, lyx/latex/subversion is a successful collaboration
> environment:
> https://en.wikibooks.org/wiki/LaTeX/Collaborative_Writing_of_LaTeX_Documents

I didn't say it couldn't be done, I said it would not happen. And where I work is fairly typical of most organizations. Even the geeks and nerds among us aren't geeky or nerdy enough to go against the flow and make our lives unnecessarily difficult. Read my earlier comments, I used to write Lisp professionally in EMACS, you don't get much more nerdy than that.
Comment 312 Keith Collyer 2015-06-14 12:38:32 UTC
(In reply to Keith Collyer from comment #305)
> Over on the LibreOffice wiki someone has created a page
> (https://wiki.documentfoundation.org/WikiAction/history/Outline_view) for
> specifying what an Outliner should do. Unfortunately, it doesn't actually
> have any real content right ow, but maybe that's a place it could be
> developed.

Added my notes to the LO Wiki page
Comment 313 ther 2015-06-14 12:56:18 UTC
(In reply to Keith Collyer from comment #311)
> 
> Professionally I am a requirements engineer, and I can tell you that the
> last thing that most non-software developer users want is a specification in
> UML ;). Use Cases are a great way of understanding and structuring
> requirements, User Stories are in many ways better, but neither are
> requirements. Once we have an agreed (sub-)set of user requirements, then we
> can start creating the sort of detailed requirements developers need, and
> designing the solution. BTW, this can be done in an agile way by identifying
> the best value for least effort.
>

The m$-clone fans do not seem prepared to acknowledge the difficulty of the task. After all these years, there does not seem to be a definitive specification, except for "I do this in m$, make it happen in oo at once!".
 
> 
> As for the Unix mindset, that is a valid point, though it isn't a mindset
> that is acceptable to most word processor users. If OO is to be seen as a
> credible alternative to MS Office, it has to be acceptable to those who have
> grown up using MS. That is just reality. Refusing to see that means that OO
> will remain like Linux, in many ways better than the MS alternative, but
> never reaching mass appeal.
>

Disagree with the "grown up with m$" excuse. Globally, there is a generation of IT users whose first experience will be via (gnu/linux android!) mobile phone.

OO does not need to reach mass appeal immediately by being a m$ clone. A better long term strategy is to focus on superior features that justify a change, not "oo is a free m$-clone, you can change today without learning anything new".

> > > As for Lyx / LaTeX, I would happily use them if I were producing documents
> > > just for myself. But I work with a large team and documents are produced
> > > collaboratively. Hell with be at absolute zero before they move away from
> > > standard word processors. We are supposed to all use OO, but most docs are
> > > still in Word.
> > 
> > Change is painful, especially from those too old/profitable to change.
> > Disruptive, innovative technology, is by definition a major threat to the
> > status quo. Anyway, lyx/latex/subversion is a successful collaboration
> > environment:
> > https://en.wikibooks.org/wiki/LaTeX/Collaborative_Writing_of_LaTeX_Documents
> 
> I didn't say it couldn't be done, I said it would not happen. And where I
> work is fairly typical of most organizations. Even the geeks and nerds among
> us aren't geeky or nerdy enough to go against the flow and make our lives
> unnecessarily difficult. Read my earlier comments, I used to write Lisp
> professionally in EMACS, you don't get much more nerdy than that.

Don't be too dismissive; having witnessed such a change, it can and does happen.
Comment 314 Grisemine 2015-06-14 16:02:05 UTC
ther, if you where in front of me, I would kick you. Hard. 
I will not read your shit again, nor reply to you. I suggest other users do the same.
Comment 315 Scott Kallen 2015-06-14 16:08:09 UTC
OK.  I must not have dropped myself from the list correctly, as I'm still getting these.  So, what the hell.

> The m$-clone fans do not seem prepared to acknowledge the difficulty of the
> task. After all these years, there does not seem to be a definitive
> specification, except for "I do this in m$, make it happen in oo at once!".

> OO does not need to reach mass appeal immediately by being a m$ clone. A
> better long term strategy is to focus on superior features that justify a
> change, not "oo is a free m$-clone, you can change today without learning
> anything new".

You can label us as "M$-clone fans" to try to lessen the validity of our request.  As has been stated repeatedly, no one wants and clone of Word.  Word is so cheap these days, it's not about wanting a "Free" version of Word.  It's about wanting a tool that meets the needs.

Also, many in the group have given clear, concise examples of how the Outline mode in MS is superior.  Can you give me an example of how the current implementation of Navigator is SUPERIOR (not 'well, if you do this, then jump through that hoop, you can achieve an outline') to Word Outline mode?

As I said before: I learned it, tried it and integrated it into my workflow.  I "learned something new" but even at it's best, doing it the OO way was too slow and cumbersome so I went back to Word.

Outlining is a core feature to how MANY writers work.  It's the starting point...

[INSERT 10+ YEARS OF PRO-OUTLINING DISCOURSE HERE]



> Programmers are entitled to be annoyed that users want something for free,
> that took a commercial company much money to develop. To date, not one
> whiner seems prepared to put money on the table, whilst happily paying the
> m$ tax (legal users only, of course...)

If you're annoyed doing development for free, I suggest you stay away from coding Open Source--cuz that's kinda the deal, right?  This generational thread started as a feature request for a better Outline mode.  The OP cited MS as an example of a good implementation. Since then it has devolved into a small group of people who are bent on trying to discredit the need for an improved Outline mode vs. the users who want to use OO but can't (or won't) work with a tool that is inefficient and cumbersome at a core aspect of what they do.

OO folks, do what you will.  So much of what has been done with Open Office is so very good.  However, as has been cited before, the lack of a good implementation of the Outline mode keeps OO from those of us who write (not necessarily code) for a living.
Comment 316 William 2015-06-14 16:56:03 UTC
> Programmers are entitled to be annoyed that users want something for free,
> that took a commercial company much money to develop. To date, not one
> whiner seems prepared to put money on the table, whilst happily paying the
> m$ tax (legal users only, of course...)


Why do you put words in our mouth ? Seriously ! I'm shocked. Did you see anybody there saying clearly he refuses to giva any money and want all for free ?
I give money from time to time to Ooo Fundation, to WP foundation and make donations to editors of freeware I use a lot.

I'd never been told "to have the right to contribute to an Open Source project, you have to be ready to pay for explaining your wishes".

I will go on to give money from time to time to Open Source foundations, not because of one feature, but because of the project and the Open Source concept.

You could accuse any Open Source software user to want things without paying for.
Comment 317 Keith Collyer 2015-06-14 17:14:12 UTC
(In reply to ther from comment #313)
> (In reply to Keith Collyer from comment #311)
> > 
[snip]
> The m$-clone fans do not seem prepared to acknowledge the difficulty of the
> task. After all these years, there does not seem to be a definitive
> specification, except for "I do this in m$, make it happen in oo at once!".

Please stop your childish "m$" nonsense, that was funny twenty years ago, it is just pathetic now.

Nobody is denying it will be difficult. Nobody is expecting it to happen just because they want it. I made a start on stating requirements, feel free to add to it.

> > As for the Unix mindset, that is a valid point, though it isn't a mindset
> > that is acceptable to most word processor users. If OO is to be seen as a
> > credible alternative to MS Office, it has to be acceptable to those who have
> > grown up using MS. That is just reality. Refusing to see that means that OO
> > will remain like Linux, in many ways better than the MS alternative, but
> > never reaching mass appeal.
> >
> 
> Disagree with the "grown up with m$" excuse. Globally, there is a generation
> of IT users whose first experience will be via (gnu/linux android!) mobile
> phone.

Not an excuse, a fact. Some of us have to live in the real world. And as for Android being based on Linux, oh, please! Nobody outside us geeks even knows or cares that it is. They certainly don't see it in the UI. There is nothing in a standard Android distribution that is visible to a normal user as Unix-based. And how many people try to use office tools on a phone anyway? I know you can, I have more than one office suite installed on my phone and my tablet. But it isn't mass market.

> OO does not need to reach mass appeal immediately by being a m$ clone. A
> better long term strategy is to focus on superior features that justify a
> change, not "oo is a free m$-clone, you can change today without learning
> anything new".

Right, so help to specify and create an outliner that is better than Word. I already gave a couple of examples in the requirements I added. Having used both tools extensively, it is difficult to think of a feature that I have used where one is significantly better than the other - except for outlining. So the long-term strategy isn't working - yet.

[snip]
> > I didn't say it couldn't be done, I said it would not happen. And where I
> > work is fairly typical of most organizations. Even the geeks and nerds among
> > us aren't geeky or nerdy enough to go against the flow and make our lives
> > unnecessarily difficult. Read my earlier comments, I used to write Lisp
> > professionally in EMACS, you don't get much more nerdy than that.
> 
> Don't be too dismissive; having witnessed such a change, it can and does
> happen.

Trust me on this, it won't happen, not where I work.
Comment 318 orcmid 2015-06-14 17:27:22 UTC
(In reply to William from comment #316)
> I give money from time to time to Ooo Fundation, to WP foundation and make
> donations to editors of freeware I use a lot.

Thank you for your generosity.

To be clear, the Ooo Foundation, whoever they are, have nothing to do with Apache OpenOffice, and there is no way to contribute directly to the Apache OpenOffice Project (although the Apache Software Foundation accepts contributions).

The ASF also does not pay developers nor does it solicit proposals for contract development work.  

The Document Foundation operates with a different model and they do solicit development for LibreOffice and related software.  That's not here though.
Comment 319 orcmid 2015-06-14 17:36:44 UTC
(In reply to Keith Collyer from comment #317)
> [ ... ] I made a start on stating requirements, feel free
> to add to it.
> 
[ ... ]
> Right, so help to specify and create an outliner that is better than Word. I
> already gave a couple of examples in the requirements I added. [ ... ]

I have lost track of where you are consolidating requirements.  It would be useful to do that on a wiki somewhere.

I don't know how that will move any office productivity software closer to having an implementation given the current state of affairs.  Clear requirements might be helpful in having the problem be appreciated though.
Comment 320 orcmid 2015-06-14 17:46:52 UTC
(In reply to orcmid from comment #319)
> (In reply to Keith Collyer from comment #317)

> I have lost track of where you are consolidating requirements.  It would be
> useful to do that on a wiki somewhere.

Oh, you are doing it at <https://wiki.documentfoundation.org/Outline_view>.

Please note that this is a LibreOffice Wiki and if you want to talk about having it in LibreOffide you might want to stop using this bugzilla for it.

PS: It turns out Mathias Bauer did explain how things were left when he stopped working on OpenOffice in 2011.  His explanation is on a different issue: <https://bz.apache.org/ooo/show_bug.cgi?id=81480#c10>.
Comment 321 Keith Collyer 2015-06-15 11:09:47 UTC
(In reply to orcmid from comment #320)
> (In reply to orcmid from comment #319)
> > (In reply to Keith Collyer from comment #317)
> 
> > I have lost track of where you are consolidating requirements.  It would be
> > useful to do that on a wiki somewhere.
> 
> Oh, you are doing it at <https://wiki.documentfoundation.org/Outline_view>.
> 
> Please note that this is a LibreOffice Wiki and if you want to talk about
> having it in LibreOffide you might want to stop using this bugzilla for it.

I did it there because (a) someone had already started the page and (b) I didn't see anywhere in OO where I could add something similar.
Comment 322 ther 2015-06-16 12:49:36 UTC
(In reply to Keith Collyer from comment #317)
> 
> Not an excuse, a fact. Some of us have to live in the real world. And as for
> Android being based on Linux, oh, please! Nobody outside us geeks even knows
> or cares that it is. They certainly don't see it in the UI. There is nothing
> in a standard Android distribution that is visible to a normal user as
> Unix-based. And how many people try to use office tools on a phone anyway? I
> know you can, I have more than one office suite installed on my phone and my
> tablet. But it isn't mass market.
>

Users don't have to care whether their phone is unix based or not. It's a fact: numerically at least, more people in the real world will have their first experience of a computer machine via a non-m$ android based device. If a child somewhere in the world first uses to write a document using an "office" (ironic, no offices to be seen!!!) program, that program should preferable be open source.

> > OO does not need to reach mass appeal immediately by being a m$ clone. A
> > better long term strategy is to focus on superior features that justify a
> > change, not "oo is a free m$-clone, you can change today without learning
> > anything new".
> 
> Right, so help to specify and create an outliner that is better than Word. I
> already gave a couple of examples in the requirements I added. Having used
> both tools extensively, it is difficult to think of a feature that I have
> used where one is significantly better than the other - except for
> outlining. So the long-term strategy isn't working - yet.
> 

It would be better to develop the long-term strategy of a superior function. The m$-clone fans assume everyone has access to and is able to use m$word and simply copy the functionality into lo/oo.

It's apparent that this function requires signficant work, requiring professional project management and user specification. It's very strange that authors with supposedly superior communication skills are unable to collaborative and produce a definitive specification of _superior_ functions for programmers to develop. We have this ancient request and an equivalent in LO. Which program should this function be written for, first?

It's equally strange that noone is willing to fund such work. Even if apache does not accept donations, why can't symbolic donations be collated for another organisation, FSF or LO, etc.?
Comment 323 liotier 2015-06-16 15:18:24 UTC

Also sprach bugzilla@apache.org [Tue, Jun 16, 2015 at 12:49:36PM +0000] :
> It would be better to develop the long-term strategy of a superior function.

Want long term ? Outliners have a track record that reaches to the beginning of
the eighties, back when writing "M$" was not even fashionable yet... See some
early history at http://outliners.scripting.com

Since then there has been an awful lot of outliner diversity ranging from
full-fledged mind mapping applications to a few embedded shortcuts in
generalist editors - for an example of the latter, see Writer's ability to
assign keyboard shortcuts to the 'Promote/Demote One Level' and 'Move Up/Down
with Subpoints' which work well with bullet lists but disappointingly not with
title levels... Extending their use to titles would be a nice way to start
alleviating the outlining pains in Writer without having to incur the high cost
of implementing a new view.

> The m$-clone fans assume everyone has access to and is able to use m$word and
> simply copy the functionality into lo/oo.

Of course - assuming is what users do. Are you new in this industry ?

As you helpfully suggest, people whose computing childhood has been fed on
Microsoft's tits twenty years ago have expectations shaped a certain way,
which makes them dinosaurs in a brave new world of tablet-toting small mammals.
At first sight, you might confuse those elderly saurians for the audience of
WYSIWYG outlining features - but that would be a mistake caused by the large
overlap between those 'desktop biased' users and the writers of large
structured documents.

What now ? As its long lineage shows, WYSIWYG outlining in desktop software is
a mature practice - and indeed it is not where user growth happens nowadays:
desktop is a heavy content creator's tool and the numbers are therefore
stagnating while consumption and light content creation soars on mobile
devices. So there we are with a classic product management dilemma: provide
advanced features that make power users happy but that won't help getting new
users onboard, or focus the resource on lowering the barriers to access. There
is no good answer there - only strategic choices, which in free software belong
to the developers.

Anyway, since the very idea of emulating Microsoft software give you the creeps
(I know the feeling - I only recently actually accepted CIFS as a first-class
citizen of my networks), here are a few non-Microsoft examples of outlining
practices...

A non-WYSIWYG example in the deceptively spartan Vim, The Vim Outliner:
http://bike-nomad.com/vim/vimoutliner.html - it does everything a classic
outliner does, as its documentation explains:
http://bike-nomad.com/vim/README.otl.txt

A cross-Apple example - Apple only, but the UI scales across the whole product
range from phone to desktop: https://www.omnigroup.com/omnioutliner/#Write -
autistic software, but functionally very nice.

A web-based example: https://www.theoutlinerofgiants.com - utterly removed from
the desktop world, but perfect for those newfangled youths who were born in a
browser... And it has an example structured document that happens to be a
great dissertation about the outliner nature:
https://www.theoutlinerofgiants.com/outliners

From that one, for some nice historical examples I recommend the sections
covering Wordperfect and FullWrite Pro at http://www.atpm.com/10.03/atpo.shtml

See ? Outlining doesn't have to bear the Microsoft stigma...

That said, although I hate to be the one telling you that, Microsoft document
compatibility is the contemporary user's main reason for using Openoffice or
Libreoffice... They can't escape the comparison with Microsoft products. Same
for the Samba project: it is great stuff in its own right and an unsung hero of
cross-platform interoperability, but it owes its place in the sun to Microsoft
replacement - why frame that as a bad thing ? But let's not that disturb this
discussion of outlining functionality !

As for funding... If some credible insider from Openoffice or Libreoffice
declared willingness and feasibility, I am pretty sure that drumming up funding
from users would be possible - I pledge €100. But facing only hostility, users
are evidently discouraged.
Comment 324 lllactive 2015-06-16 16:52:12 UTC
@liotier (2015-06-16 15:18:24 UTC)

AMEN, AMEN, AMEN!

Hail to the ASCII Outliners since the 80's

The oft religiousness and ideologized responses and hostile aura by some here has scared me off as well. Now paying for mine, and the developers actually answer personally to questions and problems. There I experience propriety Software with the old fashioned FOSS helpful and friendly attitude. 

Sorry to say, but here we too often experience FOSS with an old style propriety attitude: "w.t.f; bloody stupid customer!, _I know_ what they _shall_ need, that's what they get!"

A shame.
Comment 325 j_s_dussault 2015-06-16 17:16:16 UTC
(In reply to ther from comment #322)
> 
> It would be better to develop the long-term strategy of a superior function.
> The m$-clone fans assume everyone has access to and is able to use m$word
> and simply copy the functionality into lo/oo.
> 
> It's apparent that this function requires signficant work, requiring
> professional project management and user specification. It's very strange
> that authors with supposedly superior communication skills are unable to
> collaborative and produce a definitive specification of _superior_ functions
> for programmers to develop. We have this ancient request and an equivalent
> in LO. Which program should this function be written for, first?

I can't help to notice that you propose to do have superior functions than MS' Word, but fail yourself to produce a specification of these.

Coming up with something superior is a great concept, but people usually don't come up with new ideas if needs are filled by the existing model.

In any case, not having suggestions for the « next outline evolution » is not a reason to not implement the functionality when people are saying they would really work with the existing model.
Comment 326 Keith Collyer 2015-06-17 09:01:21 UTC
(In reply to ther from comment #322)
[snip] 
> Users don't have to care whether their phone is unix based or not. It's a
> fact: numerically at least, more people in the real world will have their
> first experience of a computer machine via a non-m$ android based device.

This is completely irrelevant. You mentioned Unix as an example of that philosophy (small, single-purpose programs), then claimed that people are used to it because ... Android!

This is a shame, as your last set of responses were quite reasoned, now you have gone back to troll-mode.

> If
> a child somewhere in the world first uses to write a document using an
> "office" (ironic, no offices to be seen!!!) program, that program should
> preferable be open source.
Whatever its source, it needs to provide the features needed.

> > Right, so help to specify and create an outliner that is better than Word. I
> > already gave a couple of examples in the requirements I added. Having used
> > both tools extensively, it is difficult to think of a feature that I have
> > used where one is significantly better than the other - except for
> > outlining. So the long-term strategy isn't working - yet.
> > 
> 
> It would be better to develop the long-term strategy of a superior function.

That's not "better", it's exactly what I said

> The m$-clone fans assume everyone has access to and is able to use m$word
> and simply copy the functionality into lo/oo.

You're at it again with the childish "m$" nonsense. If you want to be treated like an adult, act like one. If you are insulting me, you've missed the mark. I'm not asking for copying what Word has, the requirements I have outlined include things that Word does not do. Or did you not read that because it would cause cognitive dissonance?

> 
> It's apparent that this function requires signficant work, requiring
> professional project management and user specification. It's very strange
> that authors with supposedly superior communication skills are unable to
> collaborative and produce a definitive specification of _superior_ functions
> for programmers to develop. We have this ancient request and an equivalent
> in LO. Which program should this function be written for, first?

Don't care whether it is LO or OO. I would use whichever it appeared in. I've made a start on the requirements. OK I did it in the LO Wiki because there is no place I could find to do the same for OO. My requirements aren't perfect, they are very high level. But they are a start. 

> It's equally strange that noone is willing to fund such work. Even if apache
> does not accept donations, why can't symbolic donations be collated for
> another organisation, FSF or LO, etc.?

Totally irrelevant.
Comment 327 ther 2015-06-18 09:20:02 UTC
(In reply to Keith Collyer from comment #326)
> 
> Don't care whether it is LO or OO. I would use whichever it appeared in.
> I've made a start on the requirements. OK I did it in the LO Wiki because
> there is no place I could find to do the same for OO. My requirements aren't
> perfect, they are very high level. But they are a start. 
>

Then this ticket should be closed and further development built upon LO. OO and LO programmers, users who want to make contributions to the specifications should be directed to work on the code for this function.
Comment 328 ther 2015-06-18 14:12:05 UTC
(In reply to j_s_dussault from comment #325)
> 
> I can't help to notice that you propose to do have superior functions than
> MS' Word, but fail yourself to produce a specification of these.
>

You should also notice that as someone that does not use m$word and is satisfied to use outline functionality within a text editor (jedit), other people are better qualified to produce a necessarily detailed specification.
Comment 329 Keith Collyer 2015-06-18 22:24:51 UTC
(In reply to ther from comment #328)
> (In reply to j_s_dussault from comment #325)
> > 
> > I can't help to notice that you propose to do have superior functions than
> > MS' Word, but fail yourself to produce a specification of these.
> >
> 
> You should also notice that as someone that does not use m$word and is
> satisfied to use outline functionality within a text editor (jedit), other
> people are better qualified to produce a necessarily detailed specification.

Boy, you sure do put in a lot of work not caring. One would almost think you were doing a false flag op for MS
Comment 330 j_s_dussault 2015-06-18 23:13:11 UTC
(In reply to ther from comment #328)
> (In reply to j_s_dussault from comment #325)
> > 
> > I can't help to notice that you propose to do have superior functions than
> > MS' Word, but fail yourself to produce a specification of these.
> >
> 
> You should also notice that as someone that does not use m$word and is
> satisfied to use outline functionality within a text editor (jedit), other
> people are better qualified to produce a necessarily detailed specification.

All right, so, you seem to be content to use coding software to write documents, and like their integrated outlining capacities.

What I don't understand (among many things) is, why try to convince people it's a bas idea to have this in a proper word processor?
Comment 331 ther 2015-06-19 09:18:58 UTC
(In reply to j_s_dussault from comment #330)
> 
> What I don't understand (among many things) is, why try to convince people
> it's a bas idea to have this in a proper word processor?

Others have correctly stated that outline functionality is older than a certain word processor. There are other tools the exist to achieve this function outside the word processor mentality. M$ fans' refusal to learn a new way of working is analogous to being too lazy to learn to speak another language.
Comment 332 Keith Collyer 2015-06-19 12:09:26 UTC
(In reply to ther from comment #331)
> (In reply to j_s_dussault from comment #330)
> > 
> > What I don't understand (among many things) is, why try to convince people
> > it's a bas idea to have this in a proper word processor?
> 
> Others have correctly stated that outline functionality is older than a
> certain word processor. There are other tools the exist to achieve this
> function outside the word processor mentality. M$ fans' refusal to learn a
> new way of working is analogous to being too lazy to learn to speak another
> language.

please stop being a dick. What is the old saying "Better to Remain Silent and Be Thought a Fool than to Speak and Remove All Doubt". We get you don't like MS and that you resort to childishness to prove it. That isn't helping to move the discussion forward. You have made some good points in this thread, so you clearly have something of value to contribute. But then you spoil it with posts like that quoted. That leads to people ignoring what you say because of who you are, not because of what you are saying. Unfair, maybe, but purely of your own making.
Comment 333 Keith Collyer 2015-06-19 12:15:32 UTC
(In reply to ther from comment #331)
> (In reply to j_s_dussault from comment #330)
> > 
> > What I don't understand (among many things) is, why try to convince people
> > it's a bas idea to have this in a proper word processor?
> 
> Others have correctly stated that outline functionality is older than a
> certain word processor. There are other tools the exist to achieve this
> function outside the word processor mentality. M$ fans' refusal to learn a
> new way of working is analogous to being too lazy to learn to speak another
> language.

oh, I forgot to mention the main point. You really didn't address the question at all, you just went off on a rant. There is nothing in the comment you are replying to that says anything about solving the problem in the same way as Word. Yes, there are other tools that do outlining, and the reasons why working within the word processor is better than using a separate tool have been discussed ad nauseam above.
Comment 334 asexymind 2015-06-19 13:19:26 UTC
I think you have missed the point of this particular thread.

US (me) ms word users want a feature. We find it in ms word. we find it elsewhere, but not as good as in ms word. Hence, we use ms word. 

This thread is a suggestion - "If OO had this feature, we would use it. However, since it doesn't, we don't. If you want OO to spread, add this feature. Then, we (me) will use it and spread it.

I have successfully not used OO for 20 years at the cost of approx $10 per year. I feel zero desire to learn another language at that cost.

Feedback. $0.02. Take it or leave it. But insulting me does not endear me to the OO project.
Comment 335 ther 2015-06-19 14:08:25 UTC
(In reply to Keith Collyer from comment #333)
> 
> please stop being a dick. What is the old saying "Better to Remain Silent
> and Be Thought a Fool than to Speak and Remove All Doubt". We get you don't
> like MS and that you resort to childishness to prove it. That isn't helping
> to move the discussion forward. You have made some good points in this
> thread, so you clearly have something of value to contribute. But then you
> spoil it with posts like that quoted. That leads to people ignoring what you
> say because of who you are, not because of what you are saying. Unfair,
> maybe, but purely of your own making.

It doesn't matter, the more important issue is getting the specification decided, getting programmers to write the functionality. Users unwilling to donate cash should at least donate their time to complete the specification.
Comment 336 clmartin 2015-06-19 14:48:47 UTC
I have to be suspicious of someone who spends so much time attempting to denigrate the needs of others. There are a couple of people contributing little but bile to this discussion. I'm sick of it and am giving up. But I can't help being suspicious that MS is paying the assholes who are attacking people who have a legitimate desire for new functionality.
Comment 337 orcmid 2015-06-19 16:36:37 UTC
(In reply to clmartin from comment #336)
> ... I
> can't help being suspicious that MS is paying the assholes who are attacking
> people who have a legitimate desire for new functionality.

I am quite confident that Microsoft has no interest in such conduct.  They don't need to do it and it would be embarrassing were they caught at it.

The continuing trolling on this issue is probably more amusing than anything else.  Nothing in these debates is gong to lead to productive action.

I must assume that any Microsoft-related observers are perfectly clear that this issue generates heat and smoke without light, since there is developer agreement that the feature is very important yet no forth-coming capacity to actually provide it.

  No matter what happens on this length issue commentary, the absence of capacity applied to introduction of the feature trumps whatever the adversaries here continue to posture about it.
Comment 338 ther 2015-06-20 09:38:14 UTC
(In reply to orcmid from comment #337)
> (In reply to clmartin from comment #336)
> > ... I
> > can't help being suspicious that MS is paying the assholes who are attacking
> > people who have a legitimate desire for new functionality.
> 
> I am quite confident that Microsoft has no interest in such conduct.  They
> don't need to do it and it would be embarrassing were they caught at it.
> 
> The continuing trolling on this issue is probably more amusing than anything
> else.  Nothing in these debates is gong to lead to productive action.
> 

:) Why m$ would pay a gnu/linux user that doesn't even use m$word, has no direct experience of this function is the biggest amusement...

> I must assume that any Microsoft-related observers are perfectly clear that
> this issue generates heat and smoke without light, since there is developer
> agreement that the feature is very important yet no forth-coming capacity to
> actually provide it.
>

Who are these programmers that have declared the feature to be important?

p3 trivial???
Comment 339 richlv 2015-06-20 09:54:07 UTC
everybody, please ignore the obvious troll and/or poisonous person. finance some developers, help with testing and get it in - the time spent responding to the one who brings no useful contribution here is just wasted :)
Comment 340 liotier 2015-06-20 10:55:17 UTC
--- Comment #339 from richlv <richlv@nakts.net> ---
> finance some developers

Is anyone here familiar with how this is done around here ? Setting-up a kickstarter-style bounty fund seems feasible, but are any of the developers with sufficient knowledge of OO interested ?

If none of the developers with sufficient knowledge of OO is interested, then an hired outsider will have to spend an awful lot of effort getting familiar with it - this changes the budget quite a bit.

In the history of OO's development, have there been any other cases of features unpopular with insiders whose development users managed to set up ?

Also, it seems to me that while an actual "outline view" is a huge bloody chunk of invasive new code, just letting the user promote/demote 'text nodes' (OO internal vernacular for a paragraph - if I understand well) along the outline hierarchy (using icons in an 'outline' toolbar or keyboard shortcuts similar to the the 'Promote/Demote One Level' and 'Move Up/Down with Subpoints' that work well with bullet lists) might be a reasonable first approach in the right direction.

Now, does the readership of this train wreck include any insider with an informed opinion about all that ?
Comment 341 Mark McKay 2015-06-20 12:30:46 UTC
(In reply to ther from comment #338)

                            ___________________________
                   /|  /|  |                          |
                   ||__||  |       Please don't       |
                  /   O O\__           feed           |
                 /          \       the trolls        |
                /      \     \                        |
               /   _    \     \ ---------------------- 
              /    |\____\     \     ||                
             /     | | | |\____/     ||                
            /       \|_|_|/   |    __||                
           /  /  \            |____| ||                
          /   |   | /|        |      --|               
          |   |   |//         |____  --|               
   * _    |  |_|_|_|          |     \-/                
*-- _--\ _ \     //           |                        
  /  _     \\ _ //   |        /                        
*  /   \_ /- | -     |       |                         
  *      ___ c_c_c_C/ \C_c_c_c____________
Comment 342 orcmid 2015-06-20 16:11:14 UTC
(In reply to ther from comment #338)
[ ... ]> Who are these programmers that have declared the feature to be important?
> 
> p3 trivial???

(In reply to liotier from comment #340)
> Is anyone here familiar with how this is done around here ? Setting-up a
> kickstarter-style bounty fund seems feasible, but are any of the developers
> with sufficient knowledge of OO interested ?
> 
> If none of the developers with sufficient knowledge of OO is interested,
> then an hired outsider will have to spend an awful lot of effort getting
> familiar with it - this changes the budget quite a bit.

The p3 trivial is meaningless and I do not know how that was assigned.  Ignore that.  It doesn't matter what that is, since no one is assigned to it.

I provided a summary of comments that *were* from project developers and these all were affirmative about the importance of the feature *and* about the difficulty of providing it based on how the document is presented in graphical user interfaces.  See comment #299 
<https://bz.apache.org/ooo/show_bug.cgi?id=3959#c299>.

Most of the debate here does not involve "insiders" at all.  I don't recall seeing any arguments against the unnecessary need for the feature are not from developers on the project.  They are from AOO advocates, but not from the project.

Here are all of the recognized AOO committers, <http://people.apache.org/committers-by-project.html#openoffice>.  Not all of them are active at this time -- committer rights do not go away, generally.  Below that list is the list of current members of the AOO Project Management Committee (PMC).  The PMC's function is to nominate and invite new committers and PMC members and to deal with any private matters that must be handled with discretion (i.e., security issues, requests that someone makes in confidence such as for use of the trademarks, and so on).

With regard to funding.  As a project of the Apache Software Foundation, Apache OpenOffice does not accept direct funding.  One can make contributions to the ASF, but they generally cannot be targeted.

It is possible, of course, to fund a *developer* or a team of developers, if one found a *credible* team that is willing to do it and can provide a budget for what it would cost, including testing and integration into an AOO release.  They would need to consist of established committers who could arrange a way to work the changes into the code base (on a branch, say) and pull together all of the changes that would be needed, stage them somehow, ensure good QA, etc.

A kickstarter would have to be created by someone making a credible offer to accomplish the work.  I think that is tricky, because it involves a serious commitment and it could fail to succeed within the funding and any promised schedule. So we're back to finding the capacity to do the job "on spec" and then willing to loft a kickstarter to fund it.  It would be interesting to see what the minimum funding would be, and also what the stretch goals might be.  There needs to be some serious up-front feasibility work before seeking funding, I would say.
Comment 343 orcmid 2015-06-20 16:19:42 UTC
(In reply to orcmid from comment #342)

> I don't recall
> seeing any arguments against the unnecessary need for the feature are not
> from developers on the project.  

Mangled during editing.  Should read

"I don't recall any arguments against the necessity of the feature from developers on the project."

There was affirmation that working the feature into the current view model and GUI operation is extremely complicated.
Comment 344 ther 2015-06-22 13:35:26 UTC
(In reply to orcmid from comment #342)
> 
> It is possible, of course, to fund a *developer* or a team of developers, if
> one found a *credible* team that is willing to do it and can provide a
> budget for what it would cost, including testing and integration into an AOO
> release.  They would need to consist of established committers who could
> arrange a way to work the changes into the code base (on a branch, say) and
> pull together all of the changes that would be needed, stage them somehow,
> ensure good QA, etc.
> 
> A kickstarter would have to be created by someone making a credible offer to
> accomplish the work.  I think that is tricky, because it involves a serious
> commitment and it could fail to succeed within the funding and any promised
> schedule. So we're back to finding the capacity to do the job "on spec" and
> then willing to loft a kickstarter to fund it.  It would be interesting to
> see what the minimum funding would be, and also what the stretch goals might
> be.  There needs to be some serious up-front feasibility work before seeking
> funding, I would say.

To avoid the risk of funding failure, alternative platforms should be considered, i.e. those that allow projects to proceed with the money received during a certain time, without having to meet the original value requested.

Suppose € 1000 is requested, but € 500 received after 30 days. The project plan should be flexible enough to adjust to the budget received. If the revised plan completed 1 task instead of 3 tasks in the original, at least the successful completion of task 1 should be used to give credibility to future programmers and funders, that progress can be made. Another proposal can be made at a later date, i.e. an iterative crowdfund process.
Comment 345 jwernerny 2015-06-22 16:55:27 UTC
13 years since I created this issue.

11 "duplicates" of this issue.

340+ comments on it.

Still no real progress.

Still no outline view.  

Still seeing the same "Navigator does that" arguments.

No longer worth my time to monitor this issue.
Comment 346 Susan Cragin 2015-07-07 12:51:23 UTC
A basic outliner could be added with a simple toggle macro that sets the properties of "text body" to invisible. 

https://bugs.documentfoundation.org/show_bug.cgi?id=91973
Comment 347 Susan Cragin 2015-07-08 04:06:52 UTC
And thanks to the forum, I now know how to do it. If I can do this, I can also do a macro to "show" and other macros for other levels I want to hide. 

https://forum.openoffice.org/en/forum/viewtopic.php?f=20&t=78017